---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/action_logging/pm_action_schema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

--  pm_action_logging_areas contains meat data on the logging areas . this table is linked to the pm_action_logging.area_id
CREATE TABLE pm_action_logging_areas (
  ID       INTEGER      NOT NULL, 
  NAME     VARCHAR2(40) NOT NULL, 
  CONSTRAINT PK_ACTION_LOGGING_AREA PRIMARY KEY (ID) 
)
TABLESPACE WM_CLIENT;

-- logs the users actions
-- one record per user action
-- it is maitained by partition maintence
-- the action_log.ksh script querys it to generate logs in the form of files
declare 
     sqlStr         VARCHAR2(4000);
begin

 sqlStr := ' CREATE TABLE pm_action_logging ( '
        || ' id integer not null, '
        || ' priority integer not null, '
        || ' tstamp date not null, '
        || ' user_id integer not null, '
        || ' severity  integer not null, '
        || ' area_id integer not null, '
        || ' message varchar2(2000),  '
        || ' CONSTRAINT CHK_ACTION_LOGGING_SEVERITY CHECK (severity IN (5, 6)) ENABLE, '
        || ' CONSTRAINT CHK_ACTION_LOGGING_PRIORITY CHECK (priority IN (133, 134)) ENABLE, '
        || ' CONSTRAINT FK_ACTION_LOGGING_AREA FOREIGN KEY (AREA_ID) REFERENCES PM_ACTION_LOGGING_AREAS (ID) ENABLE,  '
        || ' CONSTRAINT pk_PM_ACTION_LOGGING PRIMARY KEY (id,tstamp)) '
        || ' ORGANIZATION INDEX PARTITION BY RANGE(tstamp) ' 
        || ' ( '
        || ' PARTITION P' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D'), 'YYYYMMDDHH24')
        || ' VALUES LESS THAN(to_date(' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D')+1, 'YYYYMMDDHH24') || ',''YYYYMMDDHH24'')), '
        || ' PARTITION P' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D')+1, 'YYYYMMDDHH24')
        || ' VALUES LESS THAN(to_date(' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D')+2, 'YYYYMMDDHH24') || ',''YYYYMMDDHH24'')) '
        || ' ) ' 
        || ' PCTFREE 5  TABLESPACE TRAFFIC_SMALL ' ;
               
        BEGIN
          execute immediate sqlStr;
       EXCEPTION
          WHEN OTHERS THEN
      
            dbms_output.put_line('ERROR: in create pm_action_logging ' || SQLERRM);
   END;  
end;
/

-- sequence for pm_action_logging.id . 
CREATE SEQUENCE PM_ACTION_LOGGING_SEQ START WITH 1 INCREMENT BY 1 NOCYCLE NOCACHE;



