--
-- (#) ./base/db/Oracle8i/bh/busyhour_task.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- Schema for part_task
--

CREATE OR REPLACE TYPE bh_session_id_rowtype AS OBJECT( job_id INTEGER );
/

CREATE OR REPLACE TYPE bh_session_id_tabletype AS TABLE OF bh_session_id_rowtype;
/

CREATE TABLE busyhour_task (
        job_id          INTEGER NOT NULL,
        task_id         INTEGER NOT NULL,
        status_code     INTEGER NOT NULL,
        start_date      DATE NOT NULL,
        end_date        DATE NOT NULL,
        retry_count     INTEGER NOT NULL,
        table_id        INTEGER NOT NULL,
        table_name      VARCHAR2(40) NOT NULL,
        entity_id       INTEGER,
        is_time_series  CHAR(1) NOT NULL,
        summary_id      INTEGER NOT NULL,
        start_id        INTEGER,
        end_id          INTEGER,
CONSTRAINT pk_busyhour_task 
   PRIMARY KEY (job_id, task_id),
CONSTRAINT fk_busyhour_task_task 
   FOREIGN KEY (job_id, task_id) 
   REFERENCES active_task(job_id, task_id) ON DELETE CASCADE
)
INITRANS 32
tablespace wm_flexpm;


-- TODO need index support for cursor in get_next_job
CREATE INDEX busyhour_task_retry_idx 
     on busyhour_task( retry_count, task_id ) 
     INITRANS 32
     TABLESPACE wm_flexpm;

