CREATE OR REPLACE TRIGGER
---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/client/PM_BusyHour_Trigger.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
PM_BusyHour_firstlast_avail
BEFORE INSERT OR UPDATE ON PM_BusyHour
FOR EACH ROW
DECLARE
BEGIN

   IF INSERTING THEN
      :new.firstavail := wm_date.trunc_to_last_period(:new.firstavail, :new.span);
      :new.lastavail := wm_date.trunc_to_last_period(:new.lastavail, :new.span);
   ELSE
      :new.firstavail := wm_date.trunc_to_last_period(:new.firstavail, :old.span);
      :new.lastavail := wm_date.trunc_to_last_period(:new.lastavail, :old.span);
   END IF;
        
   IF (:new.firstavail > :new.lastavail) THEN
      :new.firstavail := null;
      :new.lastavail := null;
   END IF;

END;
/
show errors;
