-- (#) ./base/db/Oracle8i/client/PM_SnmpSchema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
PROMPT Create table pm_snmp_group
CREATE TABLE pm_snmp_group(
    snmp_group_id       INTEGER CONSTRAINT pk_pm_snmp_group_id PRIMARY KEY,
    snmp_group_type     VARCHAR2(10) DEFAULT 'EH' CONSTRAINT ck_pm_snmp_group_type CHECK (snmp_group_type IN ('EH', 'SA'))
    )
TABLESPACE WM_Client;

PROMPT Create sequence sq_snmp_group
CREATE SEQUENCE sq_snmp_group
    START WITH 1000
    INCREMENT BY 1
    NOMAXVALUE;

PROMPT Create table pm_snmp_manager
CREATE TABLE pm_snmp_manager(
    snmp_manager_id   INTEGER CONSTRAINT pk_pm_snmp_manager_id PRIMARY KEY,
    host              VARCHAR2(128) NOT NULL,
    port              INTEGER       NOT NULL,
    version           VARCHAR2(5)   NOT NULL,
    time_format       VARCHAR2(10)  NOT NULL,
    snmp_group_id     INTEGER       NOT NULL,
    CONSTRAINT fk_snmp_group_id FOREIGN KEY(snmp_group_id)
      REFERENCES pm_snmp_group(snmp_group_id) ON DELETE CASCADE,
    CONSTRAINT chk_snmp_mgr_time_format CHECK (time_format IN ('UTC', 'UNIX')),
    CONSTRAINT chk_snmp_mgr_version CHECK (version in ('1','2'))
) TABLESPACE WM_Client;

PROMPT Create sequence sq_snmp_manager
CREATE SEQUENCE sq_snmp_manager
    START WITH 1000
    INCREMENT BY 1
    NOMAXVALUE;

PROMPT Create index unq_snmp_grp_mgr_host
CREATE UNIQUE INDEX unq_snmp_grp_mgr_host ON pm_snmp_manager
 (snmp_group_id, UPPER(host), port);

PROMPT Create table pm_snmp_notification
CREATE TABLE pm_snmp_notification(
    snmp_notify_id  INTEGER,
    snmp_group_id   INTEGER NOT NULL,
    Notify_Id       INTEGER NOT NULL,
    CONSTRAINT pk_snmp_notification PRIMARY KEY (snmp_notify_id),
    CONSTRAINT fk_snmp_notify_snmp_grp_id FOREIGN KEY(snmp_group_id)
     REFERENCES pm_snmp_group(snmp_group_id) ON DELETE CASCADE,
    CONSTRAINT fk_snmp_notify_id FOREIGN KEY(Notify_Id)
     REFERENCES PM_Notification(Id),
    CONSTRAINT unq_pm_snmp_notify_group UNIQUE(snmp_group_id, Notify_Id)
) TABLESPACE WM_Client;

PROMPT Create sequence sq_snmp_notification
CREATE SEQUENCE sq_snmp_notification
    START WITH 1000
    INCREMENT BY 1
    NOMAXVALUE;

PROMPT Create view pm_eh_snmp_managers_v
CREATE OR REPLACE VIEW pm_eh_snmp_managers_v AS
SELECT m.host, m.port, m.version, m.time_format
  FROM pm_snmp_manager m,
       pm_snmp_group g
 WHERE g.snmp_group_type = 'EH'
   AND g.snmp_group_id = m.snmp_group_id;       


PROMPT Create view pm_sa_snmp_managers_v
CREATE OR REPLACE VIEW pm_sa_snmp_managers_v AS
SELECT m.host, m.port, m.version, m.time_format
  FROM pm_snmp_manager m,
       pm_snmp_group g
 WHERE g.snmp_group_type = 'SA'
   AND g.snmp_group_id = m.snmp_group_id;       

   
    

