-- (#) ./base/db/Oracle8i/client/create_attr_schema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
-- Create the schema to handle generic report attributes
--

CREATE TABLE PM_REPORT_ATTR 
  (
  id	        INTEGER NOT NULL,
  reportspecid  INTEGER NOT NULL,
  name          VARCHAR(255),
  CONSTRAINT fk_pm_reportspec FOREIGN KEY( reportspecid )
  REFERENCES PM_REPORTSPEC( id ) ON DELETE CASCADE,
  CONSTRAINT pk_report_attr PRIMARY KEY( id ),
  CONSTRAINT unq_report_attr UNIQUE ( reportspecid, name )
  )
  TABLESPACE WM_Client;


CREATE TABLE PM_REPORT_VALUE
  (
  attrid  INTEGER NOT NULL,
  seq     INTEGER NOT NULL,
  value   VARCHAR(255),
  CONSTRAINT fk_pm_report_attr FOREIGN KEY( attrid ) 
  REFERENCES PM_REPORT_ATTR( id ) ON DELETE CASCADE,
  CONSTRAINT pk_pm_report_value PRIMARY KEY( attrid, seq )
  )
  TABLESPACE WM_Client;
    
CREATE SEQUENCE SQ_PM_REPORT_ATTR
  START WITH 1
  INCREMENT BY 1
  NOMAXVALUE
  NOCYCLE;

CREATE OR REPLACE VIEW PM_REPORT_ATTR_VALUES_V AS
  SELECT ra.reportspecid, ra.name, rv.value, rv.seq
    FROM PM_REPORT_ATTR ra, PM_REPORT_VALUE rv
    WHERE rv.attrid = ra.id;



-- ----------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
