#Prospect AddDatabaseTable.txt creation script
#Needed to create tables name other than %TAB
# (#) ./base/db/Oracle8i/creation_scripts/DMbuildDBTable.nawk BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
#
#N.B. buildDBFile.nawk has been replaced by this script called with a variable
#     writeDBfile=1 e.g. nawk -f buildDBTable.nawk -v writeDBfile=1 <TableDef>
#
BEGIN{
  exit_code=0
  FS="\t"

  #Store script version in variable "Release"
  Release="BL_core_schema_8.0.7_8.0.7.4.02_20100413"

  #Store Unix username in variable "Author"
  "who -m | cut -f1 -d \" \"" | getline Author

  #Store Date in variable script_run_date
  "date '+%m/%d/%Y %H:%M:%S'" | getline script_run_date

  print  "#AddDatabaseTable.txt"		> "AddDatabaseTable.txt"
  print  "#"				> "AddDatabaseTable.txt"
  print  "#Generated:   " script_run_date	> "AddDatabaseTable.txt"
  print  "#Executed by: " Author	> "AddDatabaseTable.txt"
  print  "#Script Release: " Release	> "AddDatabaseTable.txt"
  print  "#"				> "AddDatabaseTable.txt"
  if ( writeDBfile == 1 )
  {
    print  "#DatabaseFile.txt"		> "DatabaseFile.txt"
    print  "#"				> "DatabaseFile.txt"
    print  "#Generated:   " script_run_date	> "DatabaseFile.txt"
    print  "#Executed by: " Author	> "DatabaseFile.txt"
    print  "#Script Release: " Release	> "DatabaseFile.txt"
    print  "#"				> "DatabaseFile.txt"
  }

#GLOBAL PARAMETERS
#Define Parameter Names and Default Global Values
  global_parameter["LOADER_VERSION"]     = "7.0"
  global_parameter["TIMESERIES"]     = "YES"
  global_parameter["TABLE_NAME"]         = "NULL"
  global_parameter["TABLE_REF"]          = "NULL"
  global_parameter["ORACLE_SID"]         = "NULL"
  global_parameter["ORACLE_USER"]        = "NULL"
  global_parameter["ORACLE_PASSWORD"]    = "NULL"
  global_parameter["ORACLE_IUMODE"]      = "NULL"
  global_parameter["ORACLE_MAPTAB"]      = "NULL"
  global_parameter["ORACLE_CALTAB"]      = "NULL"
  global_parameter["CALENDAR_VAR"]       = "CAL"
  global_parameter["REQUEUE"]       = "NULL"
  global_parameter["LOADER_HISTORY_TAB"] = "loader_history"
  global_parameter["DB_FILE_ROOT"]       = "../tables"
  global_parameter["BOOLEAN_BUILD"]       = "1"
  global_parameter["DB_BUILD"]       = "NULL"

  #Read Global Parameters used by all other NAWK scripts
  FS="\""
  check_files["buildControl.nawk"] = 1
  check_files["buildTS.nawk"] = 1
  check_files["buildTruncate.nawk"] = 1
  for (file2check in check_files) while (getline < file2check > 0)
  {
    if ($1 ~ "global_parameter" && $3 ~ "=") other_parameters[ $2 ] = 1
  }
  FS = "\t"
  print ""
  print "STARTING ===================> BUILD AddDatabaseTable.txt"
  print ""

  #Determine Valid Ranges for some parameters...
  #LOADER_VERSION
  valid_loader_ver["1.2"]=1
  valid_loader_ver["1.3"]=1
  valid_loader_ver["7.0"]=1
  #ORACLE_IUMODE
  valid_ora_iumodes["IU"]=1
  valid_ora_iumodes["UI"]=1
  valid_ora_iumodes["I"]=1
  valid_ora_iumodes["U"]=1

}

#FUNCTION:reset_local_parameters()
#
#This function sets the array "local_parameter" to the Global or Default values
#
function reset_local_parameters() {
  for ( param in global_parameter) local_parameter[param] = global_parameter[param]
}


#FUNCTION:get_local_parameters()
#
#This function will take a field of comma separated name=value pairs
#and update the parameters stored in array "local_parameter".  If the
#parameter is unknown an error message is printed and the exit code
#is incremented.
#
function get_local_parameters( parameter_csv ) {
  reset_local_parameters()
  #Remove stray spaces
  gsub(" ","",parameter_csv)
  #Remove stray quotes
  gsub("\"","",parameter_csv)
  #Separate each parameter
  no_of_params=split(parameter_csv, pairs, ",")
  #Process each Parameter Pair
  for (position in pairs)
  {
    split(pairs[position],parameter,"=")
    if (parameter["1"] in local_parameter) local_parameter[parameter["1"]] = parameter["2"]
    else if ( ! (parameter["1"] in other_parameters ) )
    {
      print "===================================================="
      print "TABLE parameters are corrupted at line " NR
      printf("Parameter %s is UNKNOWN\n",parameter["1"])
      print "===================================================="
      exit_code += 1
    }
  }
  print "     Non-Default parameter values follow...."
  for ( param in local_parameter)
    if (local_parameter [param] != global_parameter[param] )
      printf("      %-20s= %s\n", param, local_parameter[param])
}


#FUNCTION:set_global_parameters()
#
#This function will take a field of comma separated name=value pairs
#and update the parameters stored in array "global_parameter".  If the
#parameter is unknown an error message is printed and the exit code
#is incremented.
#
function set_global_parameters( parameter_csv ) {
  #Remove stray spaces
  gsub(" ","",parameter_csv)
  #Remove stray quotes
  gsub("\"","",parameter_csv)
  #Separate each parameter
  no_of_params=split(parameter_csv, pairs, ",")
  #Process each Parameter Pair
  for (position in pairs)
  {
    split(pairs[position],parameter,"=")
    if (parameter["1"] in global_parameter) global_parameter[parameter["1"]] = parameter["2"]
    else if ( ! (parameter["1"] in other_parameters ) )
    {
      print "======================================================"
      print "Global TABLE parameters are corrupted at line " NR
      printf("Parameter %s is UNKNOWN\n",parameter["1"])
      print "======================================================"
      exit_code += 1
    }
  }
  print  ""
  printf("GLOBAL Parameters RESET at line %d in %s\n", NR, FILENAME)
  print  "Current values follow...."
  for ( param in global_parameter)
    printf(" %-20s= %s\n", param, global_parameter[param])
}


#FUNCTION:print_parameters()
#
#This function will print to the screen a list of all the parameters
#and their current stored value for a passed parameter array.
#
function print_parameters(param_array) {
  for ( param in param_array) {
    printf("\t%s=%s",param,param_array[param])
    }
  printf("\n")
}


#FUNCTION:check_param_vars(param, passed_var)
#
#This function will check to see if both a parameter and a passed 
#variable are set and return the default (parameter)
#
function check_param_vars( param, param_name, passed_var, var_name ) {
  if (passed_var != "" && param != "NULL")
  {
    if (passed_var != param)
    {
      exit_code += 1
      print "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
      printf( "WARNING ===> Passed variable '%s' set to (%s) and\n", var_name, passed_var)
      printf( "             local parameter set %s set to %s\n", param_name, param)
      print " Defaulting to local parameter value "
      print "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++"
    }
  }
  if (passed_var == "" && param == "NULL")
  {
    exit_code += 1
    print "==============================================================================="
    printf( "WARNING ===> Passed variable '%s' and parameter %s are UN-SET\n", var_name, param_name)
    print   "             ACTION: Set either in order to proceed...."
    print "==============================================================================="
  }
  if ( passed_var != "" ) return( passed_var )
   else return( param )
}

#START OF MAIN SCRIPT BODY
#
#Each line of the TableDefinitionFile will be processed by this part
#
{
  # Skip any comment lines in the TABLES file, check for EOF
  gotline=1
  while (gotline > 0 && substr($0,1,1) == "#") gotline=getline

  # Check if TableDefFile defines new default Parameters
  while (gotline > 0 && NF == 2 && $1 == "GLOBAL_PARAMETERS")
  {
    set_global_parameters( $2 )
    gotline=getline
  }

  # Skip any comment lines that follow GLOBAL_PARAMETERS, check for EOF
  while (gotline > 0 && substr($0,1,1) == "#") gotline=getline

  #If one of the above getlines reads an EOF exit script
  if (gotline <= 0) exit(0)

  #OK Let's do it !
  print  "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
  printf("DatabaseTable: Line %d for %s\n", NR, $1)

  #Set Configurable parameter variables for this table
  if ($9 == "") reset_local_parameters()
  else get_local_parameters($9)
  if (local_parameter["TABLE_NAME"] == "NULL") ts_name = $1
   else ts_name = local_parameter["TABLE_NAME"]
  if (local_parameter["TABLE_REF"] == "NULL") table_ref = ts_name
   else table_ref = local_parameter["TABLE_REF"]
  if (local_parameter["BOOLEAN_BUILD"] == "1") 
   { 
   # Determine if building entry for Store Summary/Store BusyHour
     if (ts_name ~ "^SS_")
      { ts_name2=ts_name; 
	sub("SS_","",ts_name2)
	fact_tab = sprintf("%s_DSM",ts_name2)
      }
     if (ts_name ~ "^SB_")
      { ts_name2=ts_name; 
	sub("SB_","",ts_name2)
	fact_tab = sprintf("%s_DBH",ts_name2)
      }
    }
  else 
  {
    printf("%s\n",ts_name);
    if (ts_name == "LUC_CPF_MESG_TMP")
     fact_tab = sprintf("%s",ts_name)
   }
   if(local_parameter["REQUEUE"] == "NULL") requeue = 1
     else requeue=local_parameter["REQUEUE"]
   if(local_parameter["DB_BUILD"] == "NULL") build="1"
     else build=local_parameter["DB_BUILD"]

  #Set the Loader Version from the parameters
  #
  loader_ver=local_parameter["LOADER_VERSION"]
  if ( ! (loader_ver in valid_loader_ver) )
  {
    loader_ver = "1.3"
    exit_code += 1
    print "*******************************************************************************"
    printf("WARNING invalid LOADER_VERSION (%s) defaulting to %s\n", local_parameter["LOADER_VERSION"], loader_ver)
    print "*******************************************************************************"
  }
  # N.B. A single LoaderControl.txt file can only be one type if loader
  #      so it is invalid to change the loader type in the middle of the
  #      file.  The following variable "first_loader_ver" is set the first
  #      time any loader is encountered, if another version is found an
  #      error is produced.
  #
  if (first_loader_ver != "" && first_loader_ver != loader_ver)
  {
    exit_code += 1
    print "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
    print "ERROR only one LOADER_VERSION can be used per LoaderControl.txt file"
    printf("See Table Definition file, line %d\n", NR)
    print "@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@"
  }

  oracle_iumode=local_parameter["ORACLE_IUMODE"]
  if ( ! (oracle_iumode in valid_ora_iumodes) )
  {
    oracle_iumode = "IU"
    exit_code += 1
    print "*******************************************************************************"
    printf("WARNING invalid ORACLE_IUMODE (%s) defaulting to %s\n", local_parameter["ORACLE_IUMODE"], oracle_iumode)
    print "*******************************************************************************"
  }

  #Check for incompatibility between parameters and passed variables.
  use_ora_sid = check_param_vars( local_parameter["ORACLE_SID"], "ORACLE_SID", ora_sid, "ora_sid" )
  use_ora_user = check_param_vars( local_parameter["ORACLE_USER"], "ORACLE_USER", ora_user, "ora_user" )
  use_ora_passwd = check_param_vars( local_parameter["ORACLE_PASSWORD"], "ORACLE_PASSWORD", ora_passwd, "ora_passwd" )

  if (local_parameter["ORACLE_MAPTAB"] == "NULL") map_tabs[ts_name] = sprintf("%s_MAP", ts_name)
   else map_tabs[ts_name] = local_parameter["ORACLE_MAPTAB"]
  if (local_parameter["ORACLE_CALTAB"] == "NULL") cal_tabs[ts_name] = sprintf("%s_CAL", ts_name)
   else cal_tabs[ts_name] = local_parameter["ORACLE_CALTAB"]

  tab_filename = sprintf("%s/%s_%s",local_parameter["DB_FILE_ROOT"], use_ora_sid, ts_name)

  #AND FINALLY -> The bit that actually writes something to the file !
  #
  if (loader_ver == "1.2")
  {
    #Create a file compatible with Loader Release 1.2
    printf("%s\t%s\t%s\t%s\t%s\t%s\t%s\n", table_ref, ts_name, use_ora_sid, use_ora_user, use_ora_passwd, Author, script_run_date)	> "AddDatabaseTable.txt"
    if ( writeDBfile == 1 )
    {
      printf("%s\t%s\t\t\t\t%s\t%s\n", table_ref, tab_filename, Author, script_run_date)	> "DatabaseFile.txt"
    }
  }
  else if(loader_ver == "1.3")
  {
    #Create a file compatible with Loader Release 1.3
    # 
    # Id
    # tableName
    # sid
    # username
    # password
    # insertMode
    # calendarVariable
    # mapTableName
    # historyTableName
    # factTableName
    # calendarTableName
    if (substr(local_parameter["TIMESERIES"],1,2) != "NO")
    {
    printf("%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\n", table_ref, ts_name, use_ora_sid, use_ora_user, use_ora_passwd, oracle_iumode, local_parameter["CALENDAR_VAR"], map_tabs[ts_name], local_parameter["LOADER_HISTORY_TAB"], fact_tab, cal_tabs[ts_name])	> "AddDatabaseTable.txt"
    }
    else
     {
    printf("%s\t%s\t%s\t%s\t%s\t%s\t\t\t\t%s\t\n", table_ref, ts_name, use_ora_sid, use_ora_user, use_ora_passwd, oracle_iumode, fact_tab)	> "AddDatabaseTable.txt"
     }
    if ( writeDBfile == 1 )
    {
      printf("%s\t%s\t\t\t\t\t\t\t\t\t\n", table_ref, tab_filename) > "DatabaseFile.txt"
    }
  }
  else if ( loader_ver == "7.0" && build == "1")
  {
    #Create a file compatible with Loader Release 7.0
    # 
    # Id
    # tableName
    # sid
    # username
    # password
    # insertMode
    # calendarVariable
    # mapTableName
    # historyTableName
    # factTableName
    # calendarTableName
    # requeue
    if (substr(local_parameter["TIMESERIES"],1,2) != "NO")
    {
    printf("%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\t%s\n", table_ref, ts_name, use_ora_sid, use_ora_user, use_ora_passwd, oracle_iumode, local_parameter["CALENDAR_VAR"], map_tabs[ts_name], local_parameter["LOADER_HISTORY_TAB"], fact_tab, cal_tabs[ts_name], requeue)	> "DatabaseTable.txt"
    }
    else
     {
    printf("%s\t%s\t%s\t%s\t%s\t%s\t\t\t\t%s\t\t%s\n", table_ref, ts_name, use_ora_sid, use_ora_user, use_ora_passwd, oracle_iumode, fact_tab, requeue)	> "DatabaseTable.txt"
     }
    if ( writeDBfile == 1 )
    {
      printf("%s\t%s\t\t\t\t\t\t\t\t\t\t\n", table_ref, tab_filename) > "DatabaseFile.txt"
    }
  }
}

END{
  print "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~"
  print ""
  print "FINISHED ===================> BUILD AddDatabaseTable.txt"
  print ""
  if (exit_code != 0)
  {
    print ""
    print "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
    print "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
    print "ERROR : Problems occured whist running this script"
    print "        Rectify the cause and re-run befors using"
    print "        any SQL scripts created on this run"
    print "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
    print "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
    print ""
  }
}
