-- ****************************************************
-- *** Truncate Data Dictionary Schema              ***
-- *** (except for Technology and Namespace tables) ***
-- *** Leave UDC data                               ***
-- ****************************************************

-- *** (#) ./base/db/Oracle8i/dictionary/scripts/dict_trunc.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- *** (#) 

SET SERVEROUTPUT ON;
SET VERIFY OFF;

BEGIN
     EXECUTE IMMEDIATE 'DROP INDEX UNQ_BusyHour';
  EXCEPTION 
  WHEN OTHERS THEN
     NULL;
END;
/

ALTER TABLE PM_filter DISABLE CONSTRAINT FK_Filter_TempId_FldOrd;

UPDATE PM_ReportSpec
  SET Field_ID = NULL
  WHERE Field_ID IS NOT NULL;

UPDATE PM_Template
  SET CriteriaFieldID = NULL
  WHERE CriteriaFieldID IS NOT NULL;

DELETE FROM PM_TemplateField
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID AND Field_Type not in ('U','X')
     );         



ALTER TABLE SA_THRESHOLD DISABLE CONSTRAINT FK_SA_THRS_FIELD_ID;

UPDATE SA_THRESHOLD
  SET FIELD_ID = 0;

UPDATE PM_BusyHour
  SET Field_ID = NULL
  WHERE Field_ID IS NOT NULL;

DELETE FROM wmd_Field_Tech
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID AND Field_Type not in ('U','X')
     );         

DELETE FROM wmd_Field_Data
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID AND Field_Type not in ('U','X')
     );

DELETE FROM wmd_Dict_Name
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID AND Field_Type not in ('U','X')
     );

DELETE FROM wmd_DataSource_Extra
  WHERE Namespace_ID IS NOT NULL AND Namespace_ID NOT IN ( SELECT DISTINCT Namespace_ID FROM wmd_Dict_Name );

DELETE FROM wmd_DataSource_Extra
  WHERE DataSet_ID IS NOT NULL AND DataSet_ID NOT IN ( SELECT DISTINCT Namespace_ID FROM wmd_Field_Data );

DELETE FROM wmd_Enum_Values
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID
     );

DELETE FROM wmd_Col_Def_SubType
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID
     );

DELETE FROM wmd_Col_Def
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID
     );

DELETE FROM wmd_Calc_Def
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID
     );

DELETE FROM wmd_Dict_Function
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID
     );

DELETE FROM wmd_Func_Def
  WHERE Field_ID IN (
       SELECT Field_Id 
         FROM wmd_Field_Def fld,
              (SELECT Distinct Entity_ID FROM wmn_Entity_Context
                 CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
                     AND    Context_ID = PRIOR Context_ID
                 START WITH Entity_ID = wm_Network.Get_Entity('&&1') ) ent
         WHERE ent.Entity_ID = fld.Entity_ID
     );

DELETE FROM wmd_Dict_Table
  WHERE Table_ID NOT IN ( SELECT DISTINCT Table_ID FROM wmd_Col_Def );

DELETE FROM wmd_Dict_Table
  WHERE Summary_ID != 0;

DELETE FROM wmd_Dict_Field_Depend;

DELETE FROM wmd_Field_Def 
   WHERE Field_Type not in ('U','X') AND Entity_ID IN 
      (SELECT Distinct Entity_ID FROM wmn_Entity_Context
         CONNECT BY Parent_Entity_ID = PRIOR Entity_ID
             AND    Context_ID = PRIOR Context_ID
         START WITH Entity_ID = wm_Network.Get_Entity('&&1') );

EXIT;
