---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2002,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/dictionary/scripts/reload_summary_tables.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

prompt
prompt Finalize tables and create traffic views
prompt 
exec wmd_traffic_redefinition.validate_configuration;


prompt
prompt Cleaning out summary tables
prompt

DELETE FROM wmd_dict_table WHERE summary_id > 0;

prompt
prompt Repopulating VBH tables into WMD_DICT_TABLE
prompt

INSERT INTO wmd_dict_table (table_id,
       table_name,
       entity_id,
       is_time_series,
       summary_id,
       summary_col)
SELECT dt.table_id,
       BH_Lib.GetBHDestName('V', dt.table_name) table_name,
       dt.entity_id,
       dt.is_time_series,
       bh.id,
       NULL 
FROM 
     pm_busyhour    bh,
     wmn_context    ctx,
     wmd_dict_table dt
WHERE ctx.context_use = 'R'
  AND bh.field_id IS NOT NULL    
  AND dt.is_time_series = 'Y'
  AND dt.summary_id = 0
  AND ((summary_type.valid_DBH(dt.summarize)=1 AND bh.span='D')
    OR (summary_type.valid_WBH(dt.summarize)=1 AND bh.span='W')
    OR (summary_type.valid_MBH(dt.summarize)=1 AND bh.span='M')
  )
  AND dt.entity_id IN (SELECT ec.entity_id
                       FROM wmn_entity_context ec
                       START WITH ec.entity_id = bh.cluster_entity_id
                       AND ec.context_id = ctx.context_id
                       CONNECT BY ec.parent_entity_id = PRIOR ec.entity_id 
                       AND ec.context_id = ctx.context_id);

prompt
prompt Repopulating DSM tables into WMD_DICT_TABLE
prompt

INSERT INTO wmd_dict_table (table_id,
       table_name,
       entity_id,
       is_time_series,
       summary_id,
       summary_col)
SELECT dt.table_id,
       summarize.GenDestName(dt.table_name, bh.span),
       dt.entity_id,
       dt.is_time_series,
       bh.id,
       NULL 
FROM wmd_dict_table dt,
     pm_busyhour bh
WHERE dt.is_time_series = 'Y'
  AND bh.field_id IS NULL
  AND dt.summary_id = 0
  AND dt.entity_id = bh.cluster_entity_id
  AND((summary_type.valid_DSM(dt.summarize)=1 AND bh.span='D')
   OR (summary_type.valid_WSM(dt.summarize)=1 AND bh.span='W')
   OR (summary_type.valid_MSM(dt.summarize)=1 AND bh.span='M'));

commit;

exit;
