-- (#) ./base/db/Oracle8i/dictionary/scripts/wmd_load.ctl BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
-- This control script is to populate the data dictionary

OPTIONS ( ROWS=1, SILENT=FEEDBACK )
LOAD DATA
INTO TABLE wmd_Field_Def
  APPEND
  WHEN (1) != '#'
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Entity_ID				CHAR		"wm_Network.Get_Entity(:Entity_ID)",
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype				CHAR(1),
  Field_Type				CHAR(1),
  Field_Desc				CHAR,
  Field_Aggregator			CHAR(1),
  Field_Emits_Aggregator		CHAR(1),
  DataSource_ID				CHAR		"wm_Dictionary.Get_DataSource( :DataSource_ID )",
  Field_Group_ID			CHAR		"wm_Dictionary.Get_Field_Group( :Field_Group_ID )"
)

INTO TABLE wmd_Dict_Name
  APPEND
  WHEN (1) != '#'
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Namespace_ID		CONSTANT	0,
  Field_ID		POSITION(1)			"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Name					CHAR(40),
  Report_Header				CHAR(40),
  Report_Header2			CHAR(40),
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Name_Desc		CHAR
)

-- Calculation record structure
--     Entity_Name, Field_Name, Field_Header, Field_Header2,  Datatype, Field_Type='E', Field_Desc, Field_Aggregator, Field_Emits_Aggregator, 
--            DataSource (e.g. 'Traffic' or 'smd'), Field_Group (Peg, etc.), Calc_Source, Tech1, Tech2, Tech3, Tech4, Tech5
INTO TABLE wmd_Calc_Def
  APPEND
  WHEN ( Field_Type = 'E' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Field_ID		POSITION(1)			"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Calc_Source				CHAR(4000)
)

-- Column record structure
--     Entity_Name, Field_Name, Field_Header, Field_Header2, Datatype, Field_Type='C', Field_Desc, Field_Aggregator, Field_Emits_Aggregator, 
--            DataSource (e.g. 'Traffic' or 'smd'), Field_Group (Peg, etc.), Table_Name, Col_Name, 
--            Precision*, Length*, ReadOnly*, NullOK*, Default_Value*, Units*, Tech1, Tech2, Tech3, Tech4, Tech5
--  * = primarily for fields that will be edited by the Client.
INTO TABLE wmd_Col_Def
  APPEND
  WHEN ( Field_Type = 'C' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Field_ID		POSITION(1)	"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID				CHAR		"wm_Dictionary.Get_Table(:Table_ID)",
  Col_Name				CHAR(30),
  Precision				CHAR(10),
  Length				INTEGER EXTERNAL,
  Is_Read_Only				CHAR(1),
  Is_Null_OK				CHAR(1),
  Default_Value				CHAR(1000),
  Units					CHAR(10)
)

-- SQL Function record structure
--     Entity_Name, Field_Name, Field_Header, Field_Header2,  Datatype, Field_Type='S', Field_Desc, Field_Aggregator, Field_Emits_Aggregator, 
--            DataSource (e.g. 'Traffic' or 'smd'), Field_Group (Peg, etc.), SqlFunction, Frequency, Tech1, Tech2, Tech3, Tech4, Tech5
INTO TABLE wmd_Dict_Function
  APPEND
  WHEN ( Field_Type = 'S' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Field_ID		POSITION(1)			"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  SqlFunction				CHAR(256),
  Frequency				CHAR(1)
)

-- Function Attached to Table record structure
--     Entity_Name, Field_Name, Field_Header, Field_Header2,  Datatype, Field_Type= 'F', Table Name, Function Name, Field_Aggregator, Field_Emits_Aggregator,
--  DataSource (e.g. 'Traffic' or 'smd'), Field_Group (Peg, etc.), Calc_Source, Tech1, Tech2, Tech3

INTO TABLE WMD_Func_Def
  APPEND
  WHEN ( Field_Type = 'F' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Field_ID      POSITION(1)         "wmd_Field_Def_Seq.CurrVal",
  Entity_ID     FILLER      POSITION(1) CHAR,
  Field_Name        FILLER      CHAR,
  Field_Header      FILLER      CHAR,
  Field_Header2     FILLER      CHAR,
  Datatype      FILLER      CHAR,
  Field_Type        FILLER      CHAR,
  Field_Desc        FILLER      CHAR,
  Field_Aggregator  FILLER      CHAR,
  Field_Emits_Aggregator FILLER     CHAR,
  DataSource_ID     FILLER      CHAR,
  Field_Group_ID    FILLER      CHAR,
  Table_Id          CHAR        "wm_Dictionary.Get_Table(:Table_ID)",
  Func_String               CHAR(4000)
)


INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'E' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Calc_Source       	FILLER		CHAR(4000),
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'E' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Calc_Source       	FILLER		CHAR(4000),
  Tech_ID1		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'E' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Calc_Source       	FILLER		CHAR(4000),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'E' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Calc_Source       	FILLER		CHAR(4000),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'E' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Calc_Source       	FILLER		CHAR(4000),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID4		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'C' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Default_Value		FILLER		CHAR(1000),
  Units			FILLER		CHAR(10),
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'C' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Default_Value		FILLER		CHAR(1000),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'C' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Default_Value		FILLER		CHAR(1000),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'C' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Default_Value		FILLER		CHAR(1000),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'C' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Default_Value		FILLER		CHAR(1000),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID4		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'S' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Type		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  Field_Aggregator	FILLER		CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  SqlFunction		FILLER		CHAR(256),
  Frequency		FILLER		CHAR(1),
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'S' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  SqlFunction		FILLER		CHAR(256),
  Frequency		FILLER		CHAR(1),
  Tech_ID1		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'S' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  SqlFunction		FILLER		CHAR(256),
  Frequency		FILLER		CHAR(1),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'S' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  SqlFunction		FILLER		CHAR(256),
  Frequency		FILLER		CHAR(1),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'S' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID     	FILLER      	POSITION(1)	CHAR,
  Field_Name       	FILLER      	CHAR,
  Field_Header      	FILLER      	CHAR,
  Field_Header2		FILLER		CHAR,
  Datatype      	FILLER      	CHAR,
  Field_Type        	FILLER      	CHAR,
  Field_Desc        	FILLER      	CHAR,
  Field_Aggregator  	FILLER      	CHAR,
  Field_Emits_Aggregator FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  SqlFunction		FILLER		CHAR(256),
  Frequency		FILLER		CHAR(1),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID4		FILLER		CHAR,
  Tech_ID      				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'F' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID              CHAR        "wmd_Field_Def_Seq.CurrVal",
  Entity_ID     FILLER      POSITION(1) CHAR,
  Field_Name        FILLER      CHAR,
  Field_Header      FILLER      CHAR,
  Field_Header2     FILLER      CHAR,
  Datatype      FILLER      CHAR,
  Field_Type        FILLER      CHAR,
  Field_Desc        FILLER      CHAR,
  Field_Aggregator  FILLER      CHAR,
  Field_Emits_Aggregator FILLER     CHAR,
  DataSource_ID     FILLER      CHAR,
  Field_Group_ID    FILLER      CHAR,
  Table_Id          FILLER      CHAR,
  Func_String       FILLER      CHAR(4000),
  Tech_ID               CHAR        "wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'F' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#'
)
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID              CHAR        "wmd_Field_Def_Seq.CurrVal",
  Entity_ID     FILLER      POSITION(1) CHAR,
  Field_Name        FILLER      CHAR,
  Field_Header      FILLER      CHAR,
  Field_Header2     FILLER      CHAR,
  Datatype      FILLER      CHAR,
  Field_Type        FILLER      CHAR,
  Field_Desc        FILLER      CHAR,
  Field_Aggregator  FILLER      CHAR,
  Field_Emits_Aggregator FILLER     CHAR,
  DataSource_ID     FILLER      CHAR,
  Field_Group_ID    FILLER      CHAR,
  Table_Id          FILLER      CHAR,
  Func_String       FILLER      CHAR(4000),
  Tech_ID1          FILLER      CHAR,
  Tech_ID               CHAR        "wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Field_Type = 'F' ) AND ( Tech_ID != ' ' ) AND ( (1) != '#'
)
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID              CHAR        "wmd_Field_Def_Seq.CurrVal",
  Entity_ID     FILLER      POSITION(1) CHAR,
  Field_Name        FILLER      CHAR,
  Field_Header      FILLER      CHAR,
  Field_Header2     FILLER      CHAR,
  Datatype      FILLER      CHAR,
  Field_Type        FILLER      CHAR,
  Field_Desc        FILLER      CHAR,
  Field_Aggregator  FILLER      CHAR,
  Field_Emits_Aggregator FILLER     CHAR,
  DataSource_ID     FILLER      CHAR,
  Field_Group_ID    FILLER      CHAR,
  Table_Id          FILLER      CHAR,
  Func_String       FILLER      CHAR(4000),
  Tech_ID1          FILLER      CHAR,
  Tech_ID2          FILLER      CHAR,
  Tech_ID               CHAR        "wm_Dictionary.Find_Tech (:Tech_ID)"
)


