-- This control script is to populate the data dictionary 
--     to support the client editor
--  (#) ./base/db/Oracle8i/dictionary/scripts/wmd_load_coldef.ctl BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
--  (#) 

-- Column record structure
--     Entity_Name, Field_Name, Field_Header, Field_Header2, Edit_Label, Datatype, Field_Desc, 
--            DataSource, Field_Group, Table_Name, Col_Name, 
--            Precision, Length, ReadOnly, NullOK, Frozen, Order, Default_Value, Min_Value, Max_Value, Units, Tech1, Tech2, Tech3, Tech4, Tech5

OPTIONS ( ROWS=1, SILENT=FEEDBACK )
LOAD DATA
INTO TABLE wmd_Field_Def
  APPEND
  WHEN (1) != '#'
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Field_Type		CONSTANT	'C',
  Field_Aggregator	CONSTANT	'L',
  Field_Emits_Aggregator	CONSTANT	'U',
  Entity_ID		POSITION(1)	CHAR		"wm_Network.Get_Entity(:Entity_ID)",
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Field_Label		FILLER		CHAR,
  Datatype				CHAR(1),
  Field_Desc				CHAR,
  DataSource_ID				CHAR		"wm_Dictionary.Get_DataSource( :DataSource_ID )",
  Field_Group_ID			CHAR		"wm_Dictionary.Get_Field_Group( :Field_Group_ID )"
)

INTO TABLE wmd_Dict_Name
  APPEND
  WHEN (1) != '#'
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
(
  Namespace_ID		CONSTANT	0,
  Field_ID		POSITION(1)			"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Name					CHAR(40),
  Report_Header				CHAR(40),
  Report_Header2			CHAR(40),
  Edit_Label				CHAR(40),
  Datatype		FILLER		CHAR,
  Name_Desc		CHAR
)

INTO TABLE wmd_Col_Def
  APPEND
  WHEN (1) != '#'
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID		POSITION(1)	"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Field_Label		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID				CHAR		"wm_Dictionary.Get_Table(:Table_ID)",
  Col_Name				CHAR(30),
  Precision				CHAR(10),
  Length				INTEGER EXTERNAL,
  Is_Read_Only				CHAR(1),
  Is_Null_OK				CHAR(1),
  Is_Frozen				CHAR(1),
  Field_Order				INTEGER EXTERNAL,
  Default_Value				CHAR(1000),
  Min_Value				CHAR(30),
  Max_Value				CHAR(30),
  Units					CHAR(10)
)


INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Field_Label		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Is_Frozen		FILLER		CHAR(1),
  Field_Order		FILLER		INTEGER EXTERNAL,
  Default_Value		FILLER		CHAR(1000),
  Min_Value		FILLER		CHAR(30),
  Max_Value		FILLER		CHAR(30),
  Units			FILLER		CHAR(10),
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Field_Label		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Is_Frozen		FILLER		CHAR(1),
  Field_Order		FILLER		INTEGER EXTERNAL,
  Default_Value		FILLER		CHAR(1000),
  Min_Value		FILLER		CHAR(30),
  Max_Value		FILLER		CHAR(30),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Field_Label		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Is_Frozen		FILLER		CHAR(1),
  Field_Order		FILLER		INTEGER EXTERNAL,
  Default_Value		FILLER		CHAR(1000),
  Min_Value		FILLER		CHAR(30),
  Max_Value		FILLER		CHAR(30),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Field_Label		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Is_Frozen		FILLER		CHAR(1),
  Field_Order		FILLER		INTEGER EXTERNAL,
  Default_Value		FILLER		CHAR(1000),
  Min_Value		FILLER		CHAR(30),
  Max_Value		FILLER		CHAR(30),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

INTO TABLE wmd_Field_Tech
  APPEND
  WHEN ( Tech_ID != ' ' ) AND ( (1) != '#' )
  FIELDS TERMINATED BY ',' OPTIONALLY ENCLOSED BY '"'
  TRAILING NULLCOLS
(
  Field_ID				CHAR		"wmd_Field_Def_Seq.CurrVal",
  Entity_ID		FILLER		POSITION(1)	CHAR,
  Field_Name		FILLER		CHAR,
  Field_Header		FILLER		CHAR,
  Field_Header2		FILLER		CHAR,
  Field_Label		FILLER		CHAR,
  Datatype		FILLER		CHAR,
  Field_Desc		FILLER		CHAR,
  DataSource_ID		FILLER		CHAR,
  Field_Group_ID	FILLER		CHAR,
  Table_ID		FILLER		CHAR,
  Col_Name		FILLER		CHAR(30),
  Precision		FILLER		CHAR(10),
  Length		FILLER		INTEGER EXTERNAL,
  Is_Read_Only		FILLER		CHAR(1),
  Is_Null_OK		FILLER		CHAR(1),
  Is_Frozen		FILLER		CHAR(1),
  Field_Order		FILLER		INTEGER EXTERNAL,
  Default_Value		FILLER		CHAR(1000),
  Min_Value		FILLER		CHAR(30),
  Max_Value		FILLER		CHAR(30),
  Units			FILLER		CHAR(10),
  Tech_ID1		FILLER		CHAR,
  Tech_ID2		FILLER		CHAR,
  Tech_ID3		FILLER		CHAR,
  Tech_ID4		FILLER		CHAR,
  Tech_ID				CHAR		"wm_Dictionary.Find_Tech (:Tech_ID)"
)

