
whenever sqlerror exit sql.sqlcode;

CREATE TABLE wmd_Dict_Function (
  Function_ID		INTEGER	,
  Field_ID		INTEGER		NOT NULL, -- fk to field_Def
  SqlFunction		VARCHAR2(256)	NOT NULL,
  Frequency		CHAR(1)		NOT NULL
      CONSTRAINT wmd_function_frq_chk CHECK ( Frequency IN ('N', 'H', 'D', 'W', 'M') ),
  CONSTRAINT PK_WMD_DICT_FUNCTION PRIMARY KEY (Function_ID)
)
tablespace wm_flexpm;

-- Doug: I think it's useful to have function_id as a primary
-- key. Note that (field_id, frequency) should also be unique)

COMMENT ON TABLE wmd_Dict_Function IS 'Data Dictionary Schema (./base/db/Oracle8i/dictionary/wmd_dict_function.sql), Version BL_core_schema_8.0.7_8.0.7.4.02_20100413';

CREATE SEQUENCE wmd_Dict_Function_Seq;

CREATE OR REPLACE TRIGGER wmd_Dict_Function_Tr_BI 
   BEFORE INSERT ON wmd_Dict_Function 
   FOR EACH ROW
DECLARE
   newID INTEGER;
BEGIN
   IF ( :new.Function_ID IS NULL ) THEN
      SELECT wmd_Dict_Function_Seq.NextVal INTO newID FROM DUAL;
      :new.Function_ID := newID;
   END IF;
END;
/
SHOW ERRORS;

