-- ***********************
-- *** Scenario Schema ***
-- ***********************

-- *** (#) ./base/db/Oracle8i/dictionary/wms_schema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- *** (#) 

-- *************************************************
-- ** Entity Scenario data
-- **   Entity information specifically for Scenario Editor
-- *************************************************

CREATE VIEW wms_Entity_Scenario AS 
  SELECT Entity_ID, ImageKey, Entity_Desc Description, DefaultNameExpr, LabelExpr, EntityOrderExpr, EntityOrderNum
    FROM wmn_Entity;

COMMENT ON TABLE wms_Entity_Scenario IS 'Scenario Schema (./base/db/Oracle8i/dictionary/wms_schema.sql), Version BL_core_schema_8.0.7_8.0.7.4.02_20100413';

-- *************************************************
-- ** View to pull Entity data together for the 
-- **   Scenario Editor
-- *************************************************

CREATE OR REPLACE VIEW wms_Entity AS
   SELECT ent.Entity_ID, ent.Entity_Name, ectx.Context_ID, ent.IsGroup, ectx.ParseKey, ectx.Parent_Entity_ID,
          ent.ImageKey, ent.Entity_Desc Description, ent.DefaultNameExpr, ent.LabelExpr, ent.EntityOrderExpr, ent.EntityOrderNum,
          ent.LocalKey_Type, ectx.context_entity_label
     FROM wmn_Entity ent, wmn_Entity_Context ectx
     WHERE ectx.Context_ID = wm_Scenario.Get_Context AND
           ent.Entity_ID = ectx.Entity_ID;

COMMENT ON TABLE wms_Entity IS 'Scenario Schema (./base/db/Oracle8i/dictionary/wms_schema.sql), Version BL_core_schema_8.0.7_8.0.7.4.02_20100413';


-- *************************************************
-- ** Instance Scenario data
-- **   Instance information specifically for Scenario Editor
-- *************************************************

CREATE VIEW wms_Instance_Scenario AS
   SELECT Instance_ID, Label, Active, PlaceHldr 
     FROM wmn_Instance;

COMMENT ON TABLE wms_Instance_Scenario IS 'Scenario Schema (./base/db/Oracle8i/dictionary/wms_schema.sql), Version BL_core_schema_8.0.7_8.0.7.4.02_20100413';

CREATE VIEW wms_Instance AS
   SELECT ins.Instance_ID, ins.Entity_ID, Instance_Name, LocalKey, ParentInstance_ID, FullKey, 
          Label, Active, PlaceHldr
     FROM wmn_Instance ins, wmn_Instance_Context ictx
     WHERE ictx.Context_ID = wm_Scenario.Get_Context AND
           ins.Instance_ID = ictx.Instance_ID;

COMMENT ON TABLE wms_Instance IS 'Scenario Schema (./base/db/Oracle8i/dictionary/wms_schema.sql), Version BL_core_schema_8.0.7_8.0.7.4.02_20100413';

