
CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2002
  --     en_event_status_change_trigger.sql 1.1.0
  -- ------------------------------------------------------------------------
en_event_status_change_trigger
  INSTEAD OF INSERT OR DELETE ON en_event_status_change_v
  FOR EACH ROW
  DECLARE

  event_id_new INTEGER;

BEGIN

  IF (inserting) THEN
     --
     -- Split the insert into the two component tables.
     --

     if :new.event_id is null
     then
       select en_event_seq.nextval into event_id_new from dual;
     else
       event_id_new := :new.event_id;
     end if;

     INSERT INTO en_event(event_id, event_time, event_type_id, data_tstamp)
       VALUES (event_id_new,nvl(:new.event_time, sysdate),:new.event_type_id,
:new.data_tstamp);

     INSERT INTO en_event_status_change(event_id,status_message,summary,
      long_message,log_file,start_time,end_time)
     VALUES (event_id_new, :new.status_message, :new.summary,:new.long_message,
        :new.log_file,:new.start_time,:new.end_time);


  ELSIF (deleting) THEN

     DELETE FROM en_event WHERE event_id = :old.event_id;

  END IF;


END en_event_status_change_trigger;
/
show errors trigger en_event_status_change_trigger

