-- -----------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2001
--     ./base/db/Oracle8i/event/en_schedule_filter.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413
-- -----------------------------------------------------------------------

CREATE OR REPLACE VIEW en_schedule_filter AS
SELECT /*+ ORDERED */ s.*
FROM en_event_filter_tmp tmp, schedule_event se, schedule s, pm_holidays h, pm_holidays dah
WHERE tmp.event_type_id = se.event_type_id
  AND se.schedule_id = s.schedule_id
  AND s.is_suspended = 'N'
  AND s.period = 'N'
  AND tmp.data_tstamp BETWEEN s.start_time AND nvl(s.end_time, tmp.data_tstamp+1)
  AND ((s.inc_mondays = 'Y'    AND to_char(tmp.data_tstamp, 'DAY') = 'MONDAY')
    OR (s.inc_tuesdays = 'Y'   AND to_char(tmp.data_tstamp, 'DAY') = 'TUEDAY')
    OR (s.inc_wednesdays = 'Y' AND to_char(tmp.data_tstamp, 'DAY') = 'WEDNESDAY')
    OR (s.inc_thursdays = 'Y'  AND to_char(tmp.data_tstamp, 'DAY') = 'THURSDAY')
    OR (s.inc_fridays = 'Y'    AND to_char(tmp.data_tstamp, 'DAY') = 'FRIDAY')
    OR (s.inc_saturdays = 'Y'  AND to_char(tmp.data_tstamp, 'DAY') = 'SATURDAY')
    OR (s.inc_sundays = 'Y'    AND to_char(tmp.data_tstamp, 'DAY') = 'SUNDAY'))
  AND h.holiday (+)= trunc(tmp.data_tstamp, 'DD')
  AND dah.holiday (+)= trunc(tmp.data_tstamp, 'DD')-1
  AND (s.inc_holidays = 'Y' OR (s.inc_holidays = 'N' AND h.holiday IS NULL))
  AND (s.inc_day_after_hol = 'Y' OR (s.inc_day_after_hol = 'N' AND dah.holiday IS NULL));
  
exit;

