-- -----------------------------------------------------------------------
--     COPYRIGHT WatchMark Corp 2001
--     ./base/db/Oracle8i/event/en_schedule_filter_v.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413
-- -----------------------------------------------------------------------

CREATE OR REPLACE VIEW en_schedule_filter_v AS
SELECT /*+ ORDERED */ 
s.schedule_id,
s.job_type,
s.start_time,
s.end_time,
s.next_time,
s.which_month_date,
s.which_week,
s.which_weekday,
s.period,
s.frequency,
s.is_suspended,
s.admin_task,
s.sched_fk,
s.inc_mondays,
s.inc_tuesdays,
s.inc_wednesdays,
s.inc_thursdays,
s.inc_fridays,
s.inc_saturdays,
s.inc_sundays,
s.inc_holidays,
s.inc_day_after_hol,
s.needs_msg_update,
s.cleanup_time,
s.is_optional,
s.persistence_max,
s.sched_time,
s.tzregion
FROM en_event_filter_tmp tmp,
     schedule_event se,
     schedule s,
     pm_holidays h,
     pm_holidays dah
WHERE tmp.event_type_id = se.event_type_id
  AND se.schedule_id = s.schedule_id
  AND s.is_suspended = 'N'
  AND s.period = 'N'
  AND tmp.data_tstamp BETWEEN s.start_time AND nvl(s.end_time, tmp.data_tstamp+1)
  AND ((s.inc_mondays = 'Y'    AND to_char(tmp.data_tstamp, 'DY') = 'MON')
    OR (s.inc_tuesdays = 'Y'   AND to_char(tmp.data_tstamp, 'DY') = 'TUE')
    OR (s.inc_wednesdays = 'Y' AND to_char(tmp.data_tstamp, 'DY') = 'WED')
    OR (s.inc_thursdays = 'Y'  AND to_char(tmp.data_tstamp, 'DY') = 'THU')
    OR (s.inc_fridays = 'Y'    AND to_char(tmp.data_tstamp, 'DY') = 'FRI')
    OR (s.inc_saturdays = 'Y'  AND to_char(tmp.data_tstamp, 'DY') = 'SAT')
    OR (s.inc_sundays = 'Y'    AND to_char(tmp.data_tstamp, 'DY') = 'SUN'))
  AND (s.schedule_id, to_char(trunc(tmp.data_tstamp, 'HH24'), 'HH24')) NOT IN 
          (SELECT schedule_id, to_char(hour, 'FM09')
           FROM schedule_hour_ex
           WHERE schedule_id = s.schedule_id)
  AND h.holiday (+)= trunc(tmp.data_tstamp, 'DD')
  AND dah.holiday (+)= trunc(tmp.data_tstamp, 'DD')-1
  AND (s.inc_holidays = 'Y' OR (s.inc_holidays = 'N' AND h.holiday IS NULL))
  AND (s.inc_day_after_hol = 'Y' OR (s.inc_day_after_hol = 'N' AND dah.holiday IS NULL));
  
exit;

