---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2010. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/export2/export2_meta.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
--
-- 
-- SEAde38589: 17SEP2003
-- This ticket specifies that system-owned documents should not be imported.
-- To enable this the unq_index of the following tables where modified such
-- that "FOLDER" becomes DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID").
-- 
-- PM_TEMPLATE PM_MAP PM_GRAPH PM_BUSYHOUR PM_CHANSETPLAN EXP_PM_REPORT_VIEW
-- PM_NOTIFICATION SA_TEMPLATE SA_SOFTALARM EDS_DOCUMENT JOB_GROUP
--
-- Note: The < > symbols instructs the export package to replace the column
--       name with the value on BOTH sides of the expression when constructing
--       the action critera.
--
-- SEAde67502: Re-arranged this script for Soft Alarm metadata to be in soft SA Import Export Utility
-- to ensure only SA data gets exported

 prompt Installing Import/Export metadata...
 
 declare
  version number;
  
 begin

  
  for version in 1..2
  loop
    export2.gv_version := version;
    export2.delete_metadata;
-- ----------------------
-- SEAde50555:  Timezones






    export2.add_tab( 45, 'EXP_WM_DST_RULES', 'REUSE' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'START_MONTH' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'START_DAY' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'START_DAYOFWEEK' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'START_TIME' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'END_MONTH' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'END_DAY' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'END_DAYOFWEEK' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'END_TIME' );
    export2.add_unq( 'EXP_WM_DST_RULES', 'EXP_WM_DST_RULES_UNQ', 'DST_SAVINGS' );
    export2.add_seq( 'EXP_WM_DST_RULES', 'ID', 'SEQ_WM_DST_RULES' );

    export2.add_tab( 50, 'EXP_WM_LOCALES', 'REUSE' );
    export2.add_unq( 'EXP_WM_LOCALES', 'EXP_WM_LOCALES_UNQ', 'UPPER( "LOCALE_NAME" )' );
    export2.add_seq( 'EXP_WM_LOCALES', 'ID', 'SEQ_WM_LOCALES' );
    export2.add_rel( 'EXP_WM_LOCALES', 'DST_ID', 'EXP_WM_DST_RULES', 'ID' );

--

    export2.add_tab( 100, 'PM_USER', 'REUSE' );
    export2.add_unq( 'PM_USER', 'UNQ_USER', 'UPPER("NAME")' );
    export2.add_seq( 'PM_USER', 'ID', 'SQ_USER' );
    export2.add_dep( 'PM_USER', 'FOLDERID', 'PM_FOLDER', 'ID' );
    
    export2.add_tab( 200, 'PM_FOLDER', 'REUSE' );
    export2.add_unq( 'PM_FOLDER', 'UNQ_FOLDER', 'FOLDERID' );
    export2.add_unq( 'PM_FOLDER', 'UNQ_FOLDER', 'UPPER("NAME")' );
    export2.add_seq( 'PM_FOLDER', 'ID', 'SQ_FOLDER' );
    export2.add_rel( 'PM_FOLDER', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'PM_FOLDER', 'ID', 'PM_FOLDER', 'FOLDERID' );    
    export2.add_rel( 'PM_FOLDER', 'ID', 'SA_SOFTALARM', 'FOLDERID' );
    export2.add_rel( 'PM_FOLDER', 'ID', 'SA_TEMPLATE', 'FOLDERID' );
    
    if (version = 2) then    
       export2.add_rel( 'PM_FOLDER', 'ID', 'EXP_SA_JOB_GROUP_VIEW', 'FOLDERID' );
       export2.add_rel( 'PM_FOLDER', 'ID', 'EXP_JOB_GROUP_VIEW', 'FOLDERID' );    
    end if;
    
    -- only do this for regular import/export
    if (version = 1) then
      export2.add_rel( 'PM_FOLDER', 'ID', 'PM_TEMPLATE', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'PM_GRAPH', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'EXP_PM_REPORT_VIEW', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'PM_MAP', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'PM_CHANSETPLAN', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'EXP_PM_REPORTSPEC_VIEW', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'PM_NOTIFICATION', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'EDS_DOCUMENT', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'EXP_PM_SCENARIO_VIEW', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'EXP_PM_SCENARIO2_VIEW', 'FOLDERID' );
      export2.add_rel( 'PM_FOLDER', 'ID', 'EXP_JOB_GROUP_VIEW', 'FOLDERID' );         
    end if;

    export2.add_tab( 300, 'WMN_ENTITY', 'REUSE_RO' );
    export2.add_unq( 'WMN_ENTITY', 'ENTITY_NAME_UNQ', 'ENTITY_NAME' );
    export2.add_seq( 'WMN_ENTITY', 'ENTITY_ID', 'WMN_ENTITY_SEQ' );

-- --------------------------------------------------------------------------
-- scenarios
-- --------------------------------------------------------------------------

    export2.add_tab( 315, 'EXP_QUERY_NAME_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_QUERY_NAME_VIEW', 'WMQ_QUERY_UNQ', 'FOLDERID' );
    export2.add_unq( 'EXP_QUERY_NAME_VIEW', 'WMQ_QUERY_UNQ', 'UPPER( "SCENARIO_NAME" )' );
    export2.add_seq( 'EXP_QUERY_NAME_VIEW', 'QUERY_ID', 'WMQ_QUERY_SEQ' );
    export2.add_rel( 'EXP_QUERY_NAME_VIEW', 'QUERY_ID', 'EXP_QUERY_TEXT', 'QUERY_ID' );

    export2.add_tab( 320, 'EXP_QUERY_TEXT', 'REUSE' );
    export2.add_unq( 'EXP_QUERY_TEXT', 'WMQ_QUERY_TEXT_UNQ', 'QUERY_ID' );
    export2.add_unq( 'EXP_QUERY_TEXT', 'WMQ_QUERY_TEXT_UNQ', 'QUERY_ROW' );

    export2.add_tab( 325, 'EXP_PM_SCENARIO_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_PM_SCENARIO_VIEW', 'PM_SCENARIO_UNQ', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'EXP_PM_SCENARIO_VIEW', 'PM_SCENARIO_UNQ', 'UPPER( "NAME" )' );
    export2.add_seq( 'EXP_PM_SCENARIO_VIEW', 'ID', 'SQ_SCENARIO' );
    export2.add_rel( 'EXP_PM_SCENARIO_VIEW', 'QUERY_ID', 'EXP_QUERY_NAME_VIEW', 'QUERY_ID' );
    export2.add_rel( 'EXP_PM_SCENARIO_VIEW', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'EXP_PM_SCENARIO_VIEW', 'ID', 'PM_SCENARIO_FILTERS', 'SCENARIO_ID' );

    export2.add_tab( 325, 'EXP_PM_SCENARIO2_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_PM_SCENARIO2_VIEW', 'PM_SCENARIO_UNQ', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'EXP_PM_SCENARIO2_VIEW', 'PM_SCENARIO_UNQ', 'UPPER( "NAME" )' );
    export2.add_seq( 'EXP_PM_SCENARIO2_VIEW', 'ID', 'SQ_SCENARIO' );
    export2.add_rel( 'EXP_PM_SCENARIO2_VIEW', 'QUERY_ID', 'EXP_QUERY_NAME_VIEW', 'QUERY_ID' );
    export2.add_rel( 'EXP_PM_SCENARIO2_VIEW', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'EXP_PM_SCENARIO2_VIEW', 'ID', 'PM_SCENARIO_FILTERS', 'SCENARIO_ID' );

    export2.add_tab( 330, 'PM_SCENARIO_FILTERS', 'REUSE' );
    export2.add_unq( 'PM_SCENARIO_FILTERS', 'PM_SCENARIO_FILTERS_UNQ', 'SCENARIO_ID' );
    export2.add_unq( 'PM_SCENARIO_FILTERS', 'PM_SCENARIO_FILTERS_UNQ', 'ENTITY_ID' );
    export2.add_unq( 'PM_SCENARIO_FILTERS', 'PM_SCENARIO_FILTERS_UNQ', 'FILTER_ROW' );
    export2.add_rel( 'PM_SCENARIO_FILTERS', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );

-- --------------------------------------------------------------------------

    export2.add_tab( 340, 'WMD_DICT_NAMESPACE', 'REUSE' );
    export2.add_unq( 'WMD_DICT_NAMESPACE', 'WMD_DICT_NAMESPAC_UNQE', 'NAMESPACE_TITLE' );
    export2.add_seq( 'WMD_DICT_NAMESPACE', 'NAMESPACE_ID', 'WMD_DICT_NAMESPACE_SEQ' );

    export2.add_tab( 350, 'WM_FREQUENCY', 'REUSE_RO' );
    export2.add_unq( 'WM_FREQUENCY', 'WMD_FREQ_NAME_UNQ', 'UPPER("TAG")' );

    export2.add_tab( 375, 'WMD_DATA_SOURCE', 'REUSE_RO' );
    export2.add_unq( 'WMD_DATA_SOURCE', 'DATASOURCE_NAME_UNQ', 'DATASOURCE_NAME' );
    export2.add_seq( 'WMD_DATA_SOURCE', 'DATASOURCE_ID', 'WMD_DATA_SOURCE_SEQ' );

    export2.add_tab( 380, 'WMD_FIELD_DATA_SET', 'REUSE' );
    export2.add_unq( 'WMD_FIELD_DATA_SET', 'FLD_DATASET_UNQ', 'DATASET_TITLE' );
    export2.add_seq( 'WMD_FIELD_DATA_SET', 'DATASET_ID', 'WMD_FIELD_DATA_SET_SEQ' );

    export2.add_tab( 400, 'PM_TEMPLATE', 'REUSE' );
    export2.add_unq( 'PM_TEMPLATE', 'UNQ_TEMPLATE', 'CATEGORY' );
    export2.add_unq( 'PM_TEMPLATE', 'UNQ_TEMPLATE', 'ENTITY_ID' );
    export2.add_unq( 'PM_TEMPLATE', 'UNQ_TEMPLATE', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'PM_TEMPLATE', 'UNQ_TEMPLATE', 'UPPER("NAME")' );
    export2.add_seq( 'PM_TEMPLATE', 'ID', 'SQ_TEMPLATE' );
    export2.add_rel( 'PM_TEMPLATE', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'PM_TEMPLATE', 'CRITERIAFIELDID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );
    export2.add_rel( 'PM_TEMPLATE', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'PM_TEMPLATE', 'ID', 'PM_TEMPLATEFIELD', 'TEMPLATEID' );
    export2.add_rel( 'PM_TEMPLATE', 'ID', 'PM_TRIGGER', 'TEMPLATE_ID' );

    export2.add_tab( 451, 'EXP_PM_CFGTPL_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_PM_CFGTPL_VIEW', 'UNQ_CFGTPL', 'CATEGORY' );
    export2.add_unq( 'EXP_PM_CFGTPL_VIEW', 'UNQ_CFGTPL', 'TYPE' );
    export2.add_unq( 'EXP_PM_CFGTPL_VIEW', 'UNQ_CFGTPL', 'UPPER("NAME")' );
    export2.add_seq( 'EXP_PM_CFGTPL_VIEW', 'ID', 'SQ_TEMPLATE' );
    export2.add_rel( 'EXP_PM_CFGTPL_VIEW', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'EXP_PM_CFGTPL_VIEW', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );

    export2.add_tab( 600, 'PM_TRIGGER', 'REUSE' );
    export2.add_unq( 'PM_TRIGGER', 'UNQ_PM_TRIGGER', 'TEMPLATE_ID' );
    export2.add_unq( 'PM_TRIGGER', 'UNQ_PM_TRIGGER', 'UPPER("SUBTRIGGER_NAME")' );
    export2.add_unq( 'PM_TRIGGER', 'UNQ_PM_TRIGGER', 'UPPER("TRIGGER_NAME")' );
    export2.add_seq( 'PM_TRIGGER', 'TRIGGER_ID', 'SQ_TRIGGER' );
    export2.add_rel( 'PM_TRIGGER', 'TRIGGER_ID', 'PM_TREND_IMPACT', 'TRIGGER_ID' );

    export2.add_tab( 700, 'PM_FEATURE', 'REUSE' );
    export2.add_unq( 'PM_FEATURE', 'PK_PM_FEATURE', 'FEATURE_ID' );
    export2.add_seq( 'PM_FEATURE', 'FEATURE_ID', 'PM_FEATURE_SEQ' );

    export2.add_tab( 800, 'PM_TREND_IMPACT', 'REUSE' );
    export2.add_unq( 'PM_TREND_IMPACT', 'PK_PM_TREND_IMPACT', 'FEATURE_ID' );
    export2.add_unq( 'PM_TREND_IMPACT', 'PK_PM_TREND_IMPACT', 'TRIGGER_ID' );
    export2.add_rel( 'PM_TREND_IMPACT', 'FEATURE_ID', 'PM_FEATURE', 'FEATURE_ID' );

    export2.add_tab( 850, 'WMD_FIELD_GROUP', 'REUSE' );
    export2.add_unq( 'WMD_FIELD_GROUP', 'WMD_FIELD_GROUP_UNQ', 'FIELD_GROUP_NAME' );
    export2.add_seq( 'WMD_FIELD_GROUP', 'FIELD_GROUP_ID', 'WMD_FIELD_GROUP_SEQ' );

    export2.add_tab( 900, 'EXP_FIELD_NAME_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_FIELD_NAME_VIEW', 'EXP_FIELD_NAME_VIEW_UNQ2', 'ENTITY_ID' );
    export2.add_unq( 'EXP_FIELD_NAME_VIEW', 'EXP_FIELD_NAME_VIEW_UNQ2', 'NAMESPACE_ID' );
    export2.add_unq( 'EXP_FIELD_NAME_VIEW', 'EXP_FIELD_NAME_VIEW_UNQ2', 'UPPER("NAME")' );
    export2.add_unq( 'EXP_FIELD_NAME_VIEW', 'EXP_FIELD_NAME_VIEW_UNQ2', 'FIELD_TYPE' );
    export2.add_seq( 'EXP_FIELD_NAME_VIEW', 'FIELD_ID', 'WMD_FIELD_DEF_SEQ' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'FIELD_OWNER', 'PM_USER', 'ID' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'FIELD_ID', 'WMD_UDC_DEF', 'FIELD_ID' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'FIELD_ID', 'WMD_FIELD_STYLE', 'FIELD_ID' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'FIELD_ID', 'EXP_FIELD_NAME2_VIEW', 'FIELD_ID' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'FIELD_ID', 'WMD_FIELD_DATA', 'FIELD_ID' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'FIELD_GROUP_ID', 'WMD_FIELD_GROUP', 'FIELD_GROUP_ID' );
    export2.add_rel( 'EXP_FIELD_NAME_VIEW', 'NAMESPACE_ID', 'WMD_DICT_NAMESPACE', 'NAMESPACE_ID' );

    export2.add_tab( 910, 'EXP_FIELD_NAME2_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_FIELD_NAME2_VIEW', 'EXP_FIELD_NAME2_VIEW_UNQ2', 'ENTITY_ID' );
    export2.add_unq( 'EXP_FIELD_NAME2_VIEW', 'EXP_FIELD_NAME2_VIEW_UNQ2', 'NAMESPACE_ID' );
    export2.add_unq( 'EXP_FIELD_NAME2_VIEW', 'EXP_FIELD_NAME2_VIEW_UNQ2', 'UPPER("NAME")' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'FIELD_OWNER', 'PM_USER', 'ID' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'FIELD_ID', 'WMD_UDC_DEF', 'FIELD_ID' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'FIELD_ID', 'WMD_FIELD_STYLE', 'FIELD_ID' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'FIELD_ID', 'WMD_FIELD_DATA', 'FIELD_ID' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'NAMESPACE_ID', 'WMD_DATASOURCE_EXTRA', 'NAMESPACE_ID' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'FIELD_GROUP_ID', 'WMD_FIELD_GROUP', 'FIELD_GROUP_ID' );
    export2.add_rel( 'EXP_FIELD_NAME2_VIEW', 'NAMESPACE_ID', 'WMD_DICT_NAMESPACE', 'NAMESPACE_ID' );

    export2.add_tab( 915, 'WMD_FIELD_DATA', 'REUSE' );
    export2.add_unq( 'WMD_FIELD_DATA', 'FLD_DATA_UNQ', 'DATASET_ID' );
    export2.add_unq( 'WMD_FIELD_DATA', 'FLD_DATA_UNQ', 'FIELD_ID' );
    export2.add_rel( 'WMD_FIELD_DATA', 'DATASET_ID', 'WMD_FIELD_DATA_SET', 'DATASET_ID' );
    export2.add_rel( 'WMD_FIELD_DATA', 'DATASET_ID', 'WMD_DATASOURCE_EXTRA', 'DATASET_ID' );

    export2.add_tab( 920, 'WMD_DATASOURCE_EXTRA', 'REUSE' );
    export2.add_unq( 'WMD_DATASOURCE_EXTRA', 'DS_EXTRA_UQ', 'DATASOURCE_ID' );
    export2.add_unq( 'WMD_DATASOURCE_EXTRA', 'DS_EXTRA_UQ', 'DECODE("<NAMESPACE_ID>", NULL, "DATASET_ID", "NAMESPACE_ID")' );
    export2.add_rel( 'WMD_DATASOURCE_EXTRA', 'DATASOURCE_ID', 'WMD_DATA_SOURCE', 'DATASOURCE_ID' );

    export2.add_tab( 950, 'WMD_FIELD_STYLE', 'REUSE' );
    export2.add_unq( 'WMD_FIELD_STYLE', 'FLD_STYLE_PK', 'FIELD_ID' );

    export2.add_tab( 1000, 'WMD_UDC_DEF', 'REUSE' );
    export2.add_unq( 'WMD_UDC_DEF', 'UDC_PKY', 'FIELD_ID' );
    export2.add_rel( 'WMD_UDC_DEF', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'WMD_UDC_DEF', 'FIELD_ID', 'WMD_FIELD_TECH', 'FIELD_ID' );
    export2.add_rel( 'WMD_UDC_DEF', 'FIELD_ID', 'WMD_DICT_FIELD_DEPEND', 'PARENT_FIELD_ID' );

    export2.add_tab( 1015, 'WMD_DICT_FIELD_DEPEND', 'REUSE' );
    export2.add_rel( 'WMD_DICT_FIELD_DEPEND', 'CHILD_FIELD_ID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );

    export2.add_tab( 1025, 'WMD_TECHNOLOGY', 'REUSE_RO' );
 --SEAde45325      exec export2.add_unq( 'WMD_TECHNOLOGY', 'TECH_BIT_UNQ', 'TECH_BIT' );
 --SEAde45325      exec export2.add_unq( 'WMD_TECHNOLOGY', 'TECH_CHAR_UNQ', 'TECH_CHAR' );
    export2.add_unq( 'WMD_TECHNOLOGY', 'TECH_NAME_UNQ', 'TECH_NAME' );
    export2.add_seq( 'WMD_TECHNOLOGY', 'TECH_ID', 'WMD_TECHNOLOGY_SEQ' );

    export2.add_tab( 1050, 'WMD_FIELD_TECH', 'REUSE' );
    export2.add_unq( 'WMD_FIELD_TECH', 'FLD_TECH_PKY', 'FIELD_ID' );
    export2.add_unq( 'WMD_FIELD_TECH', 'FLD_TECH_PKY', 'TECH_ID' );
    export2.add_rel( 'WMD_FIELD_TECH', 'TECH_ID', 'WMD_TECHNOLOGY', 'TECH_ID' );

    export2.add_tab( 1100, 'PM_TEMPLATEFIELD', 'REUSE' );
    export2.add_unq( 'PM_TEMPLATEFIELD', 'PK_PM_TEMPLATEFIELD', 'ORDINAL' );
    export2.add_unq( 'PM_TEMPLATEFIELD', 'PK_PM_TEMPLATEFIELD', 'TEMPLATEID' );
    export2.add_rel( 'PM_TEMPLATEFIELD', 'FIELD_ID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );
    export2.add_rel( 'PM_TEMPLATEFIELD', 'TEMPLATEID', 'PM_FILTER', 'TEMPLATEID' );

    export2.add_tab( 1150, 'PM_FILTER', 'REUSE' );
    export2.add_unq( 'PM_FILTER', 'PK_PM_FILTER', 'FIELDORDINAL' );
    export2.add_unq( 'PM_FILTER', 'PK_PM_FILTER', 'ORDINAL' );
    export2.add_unq( 'PM_FILTER', 'PK_PM_FILTER', 'TEMPLATEID' );

    export2.add_tab( 1400, 'PM_MAP', 'REUSE' );
    export2.add_unq( 'PM_MAP', 'UNQ_MAP', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'PM_MAP', 'UNQ_MAP', 'UPPER("NAME")' );
    export2.add_seq( 'PM_MAP', 'ID', 'DOCUMENT_SEQ' );
    export2.add_rel( 'PM_MAP', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'PM_MAP', 'QUERY_ID', 'WMQ_QUERY', 'QUERY_ID' );

    export2.add_tab( 1500, 'PM_GRAPH', 'REUSE' );
    --exec export2.add_unq( 'PM_GRAPH', 'UNQ_PM_GRAPH', 'FOLDERID' );
    export2.add_unq( 'PM_GRAPH', 'UNQ_PM_GRAPH', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'PM_GRAPH', 'UNQ_PM_GRAPH', 'UPPER("NAME")' );
    export2.add_seq( 'PM_GRAPH', 'ID', 'DOCUMENT_SEQ' );
    export2.add_rel( 'PM_GRAPH', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'PM_GRAPH', 'ID', 'PM_GRAPHITEM', 'GRAPHID' );

    export2.add_tab( 1600, 'PM_GRAPHITEM', 'REUSE' );
    export2.add_unq( 'PM_GRAPHITEM', 'PK_PM_GRAPHITEM', 'ID' );
    export2.add_seq( 'PM_GRAPHITEM', 'ID', 'SQ_GRAPHITEM' );
    export2.add_rel('PM_GRAPHITEM', 'ID', 'PM_GRAPHITEMPROP', 'GRAPHITEMID' );

    export2.add_tab( 1700, 'PM_GRAPHITEMPROP', 'REUSE' );
    export2.add_unq( 'PM_GRAPHITEMPROP', 'PK_PM_GRAPHITEMPROP', 'ID' );
    export2.add_seq( 'PM_GRAPHITEMPROP', 'ID', 'SQ_GRAPHITEMPROP' );

    export2.add_tab( 1800, 'PM_BUSYHOUR', 'REUSE' );
    export2.add_unq( 'PM_BUSYHOUR', 'UNQ_BUSYHOUR', 'CLUSTER_ENTITY_ID' );
    export2.add_unq( 'PM_BUSYHOUR', 'UNQ_BUSYHOUR', 'DECODE(TO_CHAR("FIELD_ID"),NULL,''NULL'',UPPER("NAME"))' );
    export2.add_unq( 'PM_BUSYHOUR', 'UNQ_BUSYHOUR', 'SPAN' );
    export2.add_seq( 'PM_BUSYHOUR', 'ID', 'SQ_BUSYHOUR' );
    export2.add_rel( 'PM_BUSYHOUR', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'PM_BUSYHOUR', 'CLUSTER_ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'PM_BUSYHOUR', 'FIELD_ID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );
    export2.add_rel( 'PM_BUSYHOUR', 'ID', 'PM_HOURRANGE', 'BUSYHOURID' );
    export2.add_rel( 'PM_BUSYHOUR', 'SCENARIO_ID', 'EXP_PM_SCENARIO_VIEW', 'ID' );


    export2.add_tab( 1900, 'PM_HOURRANGE', 'REUSE' );
    export2.add_unq( 'PM_HOURRANGE', 'PM_HOURRANGE_UQ', 'BUSYHOURID' );
    export2.add_unq( 'PM_HOURRANGE', 'PM_HOURRANGE_UQ', 'FIRSTHOUR' );
    export2.add_unq( 'PM_HOURRANGE', 'PM_HOURRANGE_UQ', 'LASTHOUR' );
    export2.add_seq( 'PM_HOURRANGE', 'ID', 'SQ_HOURRANGE' );

    export2.add_tab( 1950, 'PM_GROUPBY', 'REUSE' );
    export2.add_unq( 'PM_GROUPBY', 'PM_GROUPBY_UNQ', 'GROUPBY' );
    export2.add_seq( 'PM_GROUPBY', 'ID', 'WMD_FIELD_GROUP_SEQ' );
    export2.add_rel( 'PM_GROUPBY', 'FREQUENCY_ID', 'WM_FREQUENCY', 'FREQUENCY_ID' );

    export2.add_tab( 2000, 'EXP_PM_REPORTSPEC_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_PM_REPORTSPEC_VIEW', 'UNQ_EXP_PM_REPORTSPEC_VIEW', 'FOLDERID' );
    export2.add_unq( 'EXP_PM_REPORTSPEC_VIEW', 'UNQ_EXP_PM_REPORTSPEC_VIEW', 'UPPER("NAME")' );
    export2.add_unq( 'EXP_PM_REPORTSPEC_VIEW', 'UNQ_EXP_PM_REPORTSPEC_VIEW', 'CATEGORY' );
    export2.add_unq( 'EXP_PM_REPORTSPEC_VIEW', 'UNQ_EXP_PM_REPORTSPEC_VIEW', 'ENTITY_ID' );
    export2.add_seq( 'EXP_PM_REPORTSPEC_VIEW', 'ID', 'SQ_REPORTSPEC' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'BUSYHOURID', 'PM_BUSYHOUR', 'ID' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'GRAPHID', 'PM_GRAPH', 'ID' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'FIELD_ID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'CLUSTER_ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'MAPID', 'PM_MAP', 'ID' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'GROUPBYID', 'PM_GROUPBY', 'ID' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'ID', 'PM_REPORT_ATTR', 'REPORTSPECID' );
    export2.add_rel( 'EXP_PM_REPORTSPEC_VIEW', 'BHSCENARIO_ID', 'EXP_PM_SCENARIO_VIEW', 'ID' );

    export2.add_tab( 2050, 'PM_REPORT_ATTR', 'REUSE' );
    export2.add_unq( 'PM_REPORT_ATTR', 'UNQ_PM_REPORT_ATTR', 'REPORTSPECID' );
    export2.add_unq( 'PM_REPORT_ATTR', 'UNQ_PM_REPORT_ATTR', 'NAME' );
    export2.add_seq( 'PM_REPORT_ATTR', 'ID', 'SQ_PM_REPORT_ATTR' );
    export2.add_rel( 'PM_REPORT_ATTR', 'ID', 'PM_REPORT_VALUE', 'ATTRID' );

    export2.add_tab( 2055, 'PM_REPORT_VALUE', 'REUSE' );
    export2.add_unq( 'PM_REPORT_VALUE', 'UNQ_PM_REPORT_VALUE', 'ATTRID' );
    export2.add_unq( 'PM_REPORT_VALUE', 'UNQ_PM_REPORT_VALUE', 'SEQ' );

    export2.add_tab( 2100, 'PM_CHANSETPLAN', 'REUSE' );
    export2.add_unq( 'PM_CHANSETPLAN', 'UNQ_CHANSETPLAN', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'PM_CHANSETPLAN', 'UNQ_CHANSETPLAN', 'UPPER("NAME")' );
    export2.add_seq( 'PM_CHANSETPLAN', 'ID', 'SQ_CHANSETPLAN' );
    export2.add_rel( 'PM_CHANSETPLAN', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'PM_CHANSETPLAN', 'ID', 'PM_CHANGRP', 'CHANSETPLANID' );
    export2.add_rel( 'PM_CHANSETPLAN', 'ID', 'PM_CHANNEL', 'CHANSETPLANID' );
    export2.add_rel( 'PM_CHANSETPLAN', 'ID', 'PM_CHANSET', 'CHANSETPLANID' );
    export2.add_rel( 'PM_CHANSETPLAN', 'ID', 'PM_CHANSETGRP', 'CHANSETPLANID' );
    export2.add_rel( 'PM_CHANSETPLAN', 'ID', 'PM_PARTITION', 'CHANSETPLANID' );

    export2.add_tab( 2200, 'PM_DESTINATION', 'REUSE' );
    export2.add_unq( 'PM_DESTINATION', 'PK_PM_DESTINATION', 'ID' );
    export2.add_seq( 'PM_DESTINATION', 'ID', 'SQ_DESTINATION' );

    export2.add_tab( 2300, 'PM_PAGESETUP', 'REUSE' );
    export2.add_unq( 'PM_PAGESETUP', 'PK_PM_PAGESETUP', 'ID' );
    export2.add_seq( 'PM_PAGESETUP', 'ID', 'SQ_PAGESETUP' );

    export2.add_tab( 2400, 'PM_DTSCOPE', 'REUSE' );
    export2.add_unq( 'PM_DTSCOPE', 'PK_PM_DTSCOPE', 'ID' );
    export2.add_seq( 'PM_DTSCOPE', 'ID', 'SQ_DTSCOPE' );
    export2.add_rel( 'PM_DTSCOPE', 'ID', 'PM_CALENDAR', 'DTSCOPEID' );

    export2.add_tab( 2500, 'PM_CALENDAR', 'REUSE' );
    export2.add_unq( 'PM_CALENDAR', 'PM_CALENDAR_UNQ', 'CALENDARDATE' );
    export2.add_unq( 'PM_CALENDAR', 'PM_CALENDAR_UNQ', 'DTSCOPEID' );
    export2.add_unq( 'PM_CALENDAR', 'PM_CALENDAR_UNQ', 'FIRSTHOUR' );
    export2.add_unq( 'PM_CALENDAR', 'PM_CALENDAR_UNQ', 'FIRSTSECONDS' );
    export2.add_unq( 'PM_CALENDAR', 'PM_CALENDAR_UNQ', 'LASTHOUR' );
    export2.add_unq( 'PM_CALENDAR', 'PM_CALENDAR_UNQ', 'LASTSECONDS' );
    export2.add_seq( 'PM_CALENDAR', 'ID', 'SQ_CALENDAR' );

    export2.add_tab( 2600, 'PM_CHANGRP', 'REUSE' );
    export2.add_unq( 'PM_CHANGRP', 'PK_PM_CHANGRP', 'CHANSETPLANID' );
    export2.add_unq( 'PM_CHANGRP', 'PK_PM_CHANGRP', 'ORDINAL' );

    export2.add_tab( 2700, 'PM_CHANNEL', 'REUSE' );
    export2.add_unq( 'PM_CHANNEL', 'PK_PM_CHANNEL', 'CHANSETPLANID' );
    export2.add_unq( 'PM_CHANNEL', 'PK_PM_CHANNEL', 'ORDINAL' );

    export2.add_tab( 2800, 'PM_CHANSET', 'REUSE' );
    export2.add_unq( 'PM_CHANSET', 'PK_PM_CHANSET', 'CHANSETPLANID' );
    export2.add_unq( 'PM_CHANSET', 'PK_PM_CHANSET', 'ORDINAL' );

    export2.add_tab( 2900, 'PM_CHANSETGRP', 'REUSE' );
    export2.add_unq( 'PM_CHANSETGRP', 'PK_PM_CHANSETGRP', 'CHANSETPLANID' );
    export2.add_unq( 'PM_CHANSETGRP', 'PK_PM_CHANSETGRP', 'ORDINAL' );

    export2.add_tab( 3000, 'PM_PARTITION', 'REUSE' );
    export2.add_unq( 'PM_PARTITION', 'PK_PM_PARTITION', 'CHANSETPLANID' );
    export2.add_unq( 'PM_PARTITION', 'PK_PM_PARTITION', 'ORDINAL' );

    export2.add_tab( 2910, 'PM_GROUPINGSPEC', 'REUSE' );
    export2.add_unq( 'PM_GROUPINGSPEC', 'UNQ_GROUPINGSPEC', 'ID' );
    export2.add_seq( 'PM_GROUPINGSPEC', 'ID', 'PM_SEQ_GROUPINGSPEC' );

    export2.add_tab( 2950, 'EXP_PM_REPORT_VIEW', 'REUSE' );
    export2.add_unq( 'EXP_PM_REPORT_VIEW', 'UNQ_REPORT2', 'CATEGORY' );
    export2.add_unq( 'EXP_PM_REPORT_VIEW', 'UNQ_REPORT2', 'ENTITY_ID' );
    export2.add_unq( 'EXP_PM_REPORT_VIEW', 'UNQ_REPORT2', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'EXP_PM_REPORT_VIEW', 'UNQ_REPORT2', 'UPPER("NAME")' );
    export2.add_seq( 'EXP_PM_REPORT_VIEW', 'ID', 'DOCUMENT_SEQ' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'CHANSETPLANID', 'PM_CHANSETPLAN', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'DESTINATIONID', 'PM_DESTINATION', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'DTSCOPEID', 'PM_DTSCOPE', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'PAGESETUPID', 'PM_PAGESETUP', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'REPORTSPECID', 'EXP_PM_REPORTSPEC_VIEW', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'TEMPLATEID', 'PM_TEMPLATE', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'TEMPLATEID', 'EXP_PM_CFGTPL_VIEW', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'ID', 'PM_GEN_REPORT_ATTR', 'REPORTID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'GROUPINGSPEC_ID', 'PM_GROUPINGSPEC', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'SCENARIOID', 'EXP_PM_SCENARIO_VIEW', 'ID' );
    export2.add_rel( 'EXP_PM_REPORT_VIEW', 'DOMAINSCENARIOID', 'EXP_PM_SCENARIO2_VIEW', 'ID' );

    export2.add_tab( 2975, 'PM_GEN_REPORT_ATTR', 'REUSE' );
    export2.add_unq( 'PM_GEN_REPORT_ATTR', 'UNQ_GEN_RPT_ATTR', 'REPORTID' );
    export2.add_unq( 'PM_GEN_REPORT_ATTR', 'UNQ_GEN_RPT_ATTR', 'NAME' );
    export2.add_seq( 'PM_GEN_REPORT_ATTR', 'ID', 'SQ_PM_GEN_REPORT_ATTR' );
    export2.add_rel( 'PM_GEN_REPORT_ATTR', 'ID', 'PM_GEN_REPORT_VALUE', 'ATTRID' );

    export2.add_tab( 2976, 'PM_GEN_REPORT_VALUE', 'REUSE' );
    export2.add_unq( 'PM_GEN_REPORT_VALUE', 'UNQ_GEN_RPT_VALUE', 'ATTRID' );
    export2.add_unq( 'PM_GEN_REPORT_VALUE', 'UNQ_GEN_RPT_VALUE', 'SEQ' );

-- **********************************************************
-- ** Event Notifications
-- **********************************************************

    export2.add_tab( 3102, 'EN_EVENT_TYPE_GROUP', 'REUSE_RO' );
    export2.add_unq( 'EN_EVENT_TYPE_GROUP', 'UNQ_EN_EVENT_TYPE_GROUP', 'GROUP_NAME' );
    export2.add_seq( 'EN_EVENT_TYPE_GROUP', 'GROUP_ID', 'EN_EVENT_TYPEGRP_SEQ' );

    export2.add_tab( 3103, 'EN_EVENT_TYPE', 'REUSE_RO' );
    export2.add_unq( 'EN_EVENT_TYPE', 'EN_EVENT_TYPE_LABEL_UNQ', 'UPPER( "NAME" )' );
    export2.add_seq( 'EN_EVENT_TYPE', 'EVENT_TYPE_ID', 'EN_EVENT_TYPE_SEQ' );
    export2.add_rel( 'EN_EVENT_TYPE', 'GROUP_ID', 'EN_EVENT_TYPE_GROUP', 'GROUP_ID' );

    export2.add_tab( 3104, 'PM_EMAIL', 'REUSE' );
    export2.add_unq( 'PM_EMAIL', 'PK_PM_EMAIL', 'EMAILID' );
    export2.add_seq( 'PM_EMAIL', 'EMAILID', 'SQ_EMAIL' );
    export2.add_rel( 'PM_EMAIL', 'EMAILID', 'PM_EMAIL_ADDRESS', 'EMAILID' );

    export2.add_tab( 3105, 'PM_SNMP_GROUP', 'REUSE' );
    export2.add_unq( 'PM_SNMP_GROUP', 'PK_PM_SNMP_GROUP', 'SNMP_GROUP_ID' );
    export2.add_seq( 'PM_SNMP_GROUP', 'SNMP_GROUP_ID', 'SQ_SNMP_GROUP' );
    export2.add_rel( 'PM_SNMP_GROUP', 'SNMP_GROUP_ID', 'PM_SNMP_MANAGER', 'SNMP_GROUP_ID' );

    export2.add_tab( 3106, 'PM_NOTIFICATION', 'REUSE' );
    export2.add_unq( 'PM_NOTIFICATION', 'UNQ_NOTIFICATION', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'PM_NOTIFICATION', 'UNQ_NOTIFICATION', 'UPPER("NAME")' );
    export2.add_seq( 'PM_NOTIFICATION', 'ID', 'SQ_NOTIFICATION' );
    export2.add_rel( 'PM_NOTIFICATION', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'PM_NOTIFICATION', 'ID', 'PM_EMAIL_NOTIFICATION', 'NOTIFY_ID' );
    export2.add_rel( 'PM_NOTIFICATION', 'ID', 'PM_SNMP_NOTIFICATION', 'NOTIFY_ID' );
    export2.add_rel( 'PM_NOTIFICATION', 'ID', 'PM_NOTIFICATION_EVENT_MAP', 'NOTIFY_ID' );

    export2.add_tab( 3107, 'PM_EMAIL_NOTIFICATION', 'REUSE' );
    export2.add_unq( 'PM_EMAIL_NOTIFICATION', 'UNQ_PM_EMAIL_NOTIF', 'EMAIL_ID' );
    export2.add_unq( 'PM_EMAIL_NOTIFICATION', 'UNQ_PM_EMAIL_NOTIF', 'NOTIFY_ID' );
    export2.add_seq( 'PM_EMAIL_NOTIFICATION', 'EMAIL_NOTIFY_ID', 'SQ_EMAIL_NOTIFICATION' );
    export2.add_rel( 'PM_EMAIL_NOTIFICATION', 'EMAIL_ID', 'PM_EMAIL', 'EMAILID' );

    export2.add_tab( 3108, 'PM_NOTIFICATION_EVENT_MAP', 'REUSE' );
    export2.add_unq( 'PM_NOTIFICATION_EVENT_MAP', 'UNQ_PM_NOTIF_EVENT_MAP', 'NOTIFY_ID' );
    export2.add_unq( 'PM_NOTIFICATION_EVENT_MAP', 'UNQ_PM_NOTIF_EVENT_MAP', 'EVENT_TYPE_ID' );
    export2.add_rel( 'PM_NOTIFICATION_EVENT_MAP', 'EVENT_TYPE_ID', 'EN_EVENT_TYPE', 'EVENT_TYPE_ID' );

    export2.add_tab( 3109, 'PM_EMAIL_ADDRESS', 'REUSE' );
    export2.add_unq( 'PM_EMAIL_ADDRESS', 'UNQ_PM_EMAIL_ADDRESS', 'ADDRESSID' );
    export2.add_seq( 'PM_EMAIL_ADDRESS', 'ADDRESSID', 'SQ_EMAILADDRESS' );

    export2.add_tab( 3110, 'PM_SNMP_NOTIFICATION', 'REUSE' );
    export2.add_unq( 'PM_SNMP_NOTIFICATION', 'UNQ_PM_SNMP_NOTIF', 'SNMP_GROUP_ID' );
    export2.add_unq( 'PM_SNMP_NOTIFICATION', 'UNQ_PM_SNMP_NOTIF', 'NOTIFY_ID' );
    export2.add_seq( 'PM_SNMP_NOTIFICATION', 'SNMP_NOTIFY_ID', 'SQ_SNMP_NOTIFICATION' );
    export2.add_rel( 'PM_SNMP_NOTIFICATION', 'SNMP_GROUP_ID', 'PM_SNMP_GROUP', 'SNMP_GROUP_ID' );

    export2.add_tab( 3111, 'PM_SNMP_MANAGER', 'REUSE' );
    export2.add_unq( 'PM_SNMP_MANAGER', 'UNQ_PM_SNMP_MANAGER', 'SNMP_MANAGER_ID' );
    export2.add_seq( 'PM_SNMP_MANAGER', 'SNMP_MANAGER_ID', 'SQ_SNMP_MANAGER' );

-- **********************************************************
-- ** Softalarms
-- **********************************************************

    export2.add_tab( 3114, 'SA_ALARM_TYPE', 'REUSE_RO' );
    export2.add_unq( 'SA_ALARM_TYPE', 'UNQ_SA_ALARM_TYPE', 'DESCRIPTION' );

    export2.add_tab( 3115, 'SA_ALARM_CAUSE', 'REUSE_RO' );
    export2.add_unq( 'SA_ALARM_CAUSE', 'UNQ_SA_ALARM_CAUSE', 'DESCRIPTION' );
    export2.add_rel( 'SA_ALARM_CAUSE', 'ALARM_TYPE_ID', 'SA_ALARM_TYPE', 'ID' );

    export2.add_tab( 3120, 'SA_TIME_RANGE', 'REUSE_RO' );
    export2.add_unq( 'SA_TIME_RANGE', 'UNQ_SA_TIME_RANGE', 'DESCRIPTION' );

    export2.add_tab( 3125, 'SA_TEMPLATE', 'REUSE' );
    export2.add_unq( 'SA_TEMPLATE', 'UNI_SA_TEMPLATE_NAME', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'SA_TEMPLATE', 'UNI_SA_TEMPLATE_NAME', 'UPPER("NAME")' );
    export2.add_unq( 'SA_TEMPLATE', 'UNI_SA_TEMPLATE_NAME', 'CATEGORY' );

    export2.add_unq( 'SA_TEMPLATE', 'UNI_TMPL_SA_DEF_KEY', 'ALARM_TYPE_ID' );
    export2.add_unq( 'SA_TEMPLATE', 'UNI_TMPL_SA_DEF_KEY', 'CAUSEID' );
    export2.add_unq( 'SA_TEMPLATE', 'UNI_TMPL_SA_DEF_KEY', 'SUMMARY' );

    export2.add_seq( 'SA_TEMPLATE', 'ID', 'SQ_SA_TEMPLATE' );
    export2.add_rel( 'SA_TEMPLATE', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'SA_TEMPLATE', 'CAUSEID', 'SA_ALARM_CAUSE', 'ID' );
    export2.add_rel( 'SA_TEMPLATE', 'ALARM_TYPE_ID', 'SA_ALARM_TYPE', 'ID' );

    export2.add_tab( 3130, 'SA_SOFTALARM', 'REUSE' );
    export2.add_unq( 'SA_SOFTALARM', 'UNQ_SA_SOFTALARM', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'SA_SOFTALARM', 'UNQ_SA_SOFTALARM', 'UPPER("NAME")' );
    export2.add_unq( 'SA_SOFTALARM', 'UNQ_SA_SOFTALARM', 'CATEGORY' );
    export2.add_seq( 'SA_SOFTALARM', 'ID', 'DOCUMENT_SEQ' );
    export2.add_rel( 'SA_SOFTALARM', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'SA_SOFTALARM', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'SA_SOFTALARM', 'SATEMPLATEID', 'SA_TEMPLATE', 'ID' );
    export2.add_rel( 'SA_SOFTALARM', 'TIME_RANGE_ID', 'SA_TIME_RANGE', 'ID' );
    export2.add_rel( 'SA_SOFTALARM', 'ID', 'EXP_SA_LOGICAL_OP_ROOT', 'SA_ID' );
    export2.add_rel( 'SA_SOFTALARM', 'ID', 'SA_THRESHOLD', 'SOFTALARM_ID' );
    export2.add_rel( 'SA_SOFTALARM', 'SCENARIOID', 'EXP_PM_SCENARIO_VIEW', 'ID' );

    export2.add_tab( 3135, 'SA_SEVERITY', 'REUSE' );
    export2.add_unq( 'SA_SEVERITY', 'UNQ_SA_SEVERITY', 'DESCRIPTION' );

    export2.add_tab( 3137, 'EXP_SA_LOGICAL_OP_ROOT', 'REUSE' );
    export2.add_unq( 'EXP_SA_LOGICAL_OP_ROOT', 'UNQ_SA_EXP_LOGICAL_OP_ROOT', 'ID' );
    export2.add_unq( 'EXP_SA_LOGICAL_OP_ROOT', 'UNQ_SA_EXP_LOGICAL_OP_ROOT', 'OPERATOR' );
    export2.add_seq( 'EXP_SA_LOGICAL_OP_ROOT', 'ID', 'SQ_SA_LOGICAL_OPERATOR' );
    export2.add_rel( 'EXP_SA_LOGICAL_OP_ROOT', 'ID', 'SA_LOGICAL_OPERATOR', 'PARENT_ID' );
    export2.add_rel( 'EXP_SA_LOGICAL_OP_ROOT', 'ID', 'SA_THRESHOLD', 'SA_LOGOPR_ID' );

    export2.add_tab( 3140, 'SA_LOGICAL_OPERATOR', 'REUSE' );
    export2.add_unq( 'SA_LOGICAL_OPERATOR', 'UNQ_SA_LOGICAL_OPERATOR', 'ID' );
    export2.add_unq( 'SA_LOGICAL_OPERATOR', 'UNQ_SA_LOGICAL_OPERATOR', 'OPERATOR' );
    export2.add_seq( 'SA_LOGICAL_OPERATOR', 'ID', 'SQ_SA_LOGICAL_OPERATOR' );
    export2.add_rel( 'SA_LOGICAL_OPERATOR', 'ID', 'SA_LOGICAL_OPERATOR', 'PARENT_ID' );
    export2.add_rel( 'SA_LOGICAL_OPERATOR', 'SA_ID', 'SA_SOFTALARM', 'ID' );
    export2.add_rel( 'SA_LOGICAL_OPERATOR', 'ID', 'SA_THRESHOLD', 'SA_LOGOPR_ID' );

    export2.add_tab( 3145, 'SA_AGGREGATOR', 'REUSE' );
    export2.add_unq( 'SA_AGGREGATOR', 'UNQ_SA_AGGREGATOR', 'NAME' );

    export2.add_tab( 3150, 'SA_THRESHOLD', 'REUSE' );
    export2.add_unq( 'SA_THRESHOLD', 'UNQ_SA_THRESHOLD', 'SOFTALARM_ID' );
    export2.add_unq( 'SA_THRESHOLD', 'UNQ_SA_THRESHOLD', 'ORDINAL' );
    export2.add_seq( 'SA_THRESHOLD', 'ID', 'SQ_THRESHOLD' );
    export2.add_rel( 'SA_THRESHOLD', 'FIELD_ID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );
    export2.add_rel( 'SA_THRESHOLD', 'AGGREGATOR_ID', 'SA_AGGREGATOR', 'ID' );
    export2.add_rel( 'SA_THRESHOLD', 'SEVERITY_ID', 'SA_SEVERITY', 'ID' );


-- **********************************************************
-- ** External Data Sources
-- **********************************************************

    export2.add_tab( 4000, 'EDS_DOCUMENT', 'REUSE' );
    export2.add_unq( 'EDS_DOCUMENT', 'UNI_EDS_NAME', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
    export2.add_unq( 'EDS_DOCUMENT', 'UNI_EDS_NAME', 'UPPER("NAME")' );
    export2.add_unq( 'EDS_DOCUMENT', 'UNI_EDS_NAME', 'CATEGORY' );
    export2.add_seq( 'EDS_DOCUMENT', 'ID', 'SQ_EDS_DOCUMENT' );
    export2.add_rel( 'EDS_DOCUMENT', 'ID', 'EDS_ASCII_FILE', 'EDS_ID' );
    export2.add_rel( 'EDS_DOCUMENT', 'ID', 'EDS_COLUMN', 'EDS_ID' );
    export2.add_rel( 'EDS_DOCUMENT', 'ID', 'EDS_ODBC_FILE', 'EDS_ID' );
    export2.add_rel( 'EDS_DOCUMENT', 'ID', 'EDS_PRIMARYKEY', 'EDS_ID' );
    export2.add_rel( 'EDS_DOCUMENT', 'ID', 'WMD_EDS_DEF', 'EDS_ID' );
    export2.add_rel( 'EDS_DOCUMENT', 'USERID', 'PM_USER', 'ID' );
    export2.add_rel( 'EDS_DOCUMENT', 'ENTITY_ID', 'WMN_ENTITY', 'ENTITY_ID' );
    export2.add_rel( 'EDS_DOCUMENT', 'FREQUENCY_ID', 'WM_FREQUENCY', 'FREQUENCY_ID' );

    export2.add_tab( 4100, 'EDS_COLUMN', 'REUSE' );
    export2.add_unq( 'EDS_COLUMN', 'UQ_EDS_COLID_EDSID', 'EDS_ID' );
    export2.add_unq( 'EDS_COLUMN', 'UQ_EDS_COLID_EDSID', 'COL_NAME' );
    export2.add_unq( 'EDS_COLUMN', 'UQ_EDS_COLID_EDSIDCOLPOS', 'EDS_ID' );
    export2.add_unq( 'EDS_COLUMN', 'UQ_EDS_COLID_EDSIDCOLPOS', 'COL_POSITION' );
    export2.add_seq( 'EDS_COLUMN', 'COL_ID', 'SQ_EDS_COLUMN' );
    export2.add_rel( 'EDS_COLUMN', 'COL_ID', 'EDS_PRIMARYKEY', 'COL_ID' );
    export2.add_rel( 'EDS_COLUMN', 'COL_ID', 'WMD_EDS_DEF', 'COL_ID' );

    export2.add_tab( 4200, 'EDS_ASCII_FILE', 'REUSE' );
    export2.add_unq( 'EDS_ASCII_FILE', 'PK_EDS_ASCFILE', 'EDS_ID' );

    export2.add_tab( 4300, 'EDS_ODBC_FILE', 'REUSE' );
    export2.add_unq( 'EDS_ODBC_FILE', 'PK_EDS_ODBCFILE', 'EDS_ID' );

    export2.add_tab( 4400, 'EDS_PRIMARYKEY', 'REUSE' );
    export2.add_unq( 'EDS_PRIMARYKEY', 'UQ_EDS_PMRYKEY_EDSCOLID', 'EDS_ID' );
    export2.add_unq( 'EDS_PRIMARYKEY', 'UQ_EDS_PMRYKEY_EDSCOLID', 'COL_ID' );
    export2.add_unq( 'EDS_PRIMARYKEY', 'UQ_EDS_PMRYKEY_EDSORDID', 'EDS_ID' );
    export2.add_unq( 'EDS_PRIMARYKEY', 'UQ_EDS_PMRYKEY_EDSORDID', 'ORDINAL' );
    export2.add_seq( 'EDS_PRIMARYKEY', 'PK_ID', 'SQ_EDS_PRIMARYKEY' );
    export2.add_rel( 'EDS_PRIMARYKEY', 'FIELD_ID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );

    export2.add_tab( 4500, 'WMD_EDS_DEF', 'REUSE' );
    export2.add_rel( 'WMD_EDS_DEF', 'FIELD_ID', 'EXP_FIELD_NAME_VIEW', 'FIELD_ID' );

-- **********************************************************
-- ** Document Groups
-- **********************************************************

       export2.add_tab( 6000, 'EXP_JOB_GROUP_VIEW', 'REUSE' );
       export2.add_unq( 'EXP_JOB_GROUP_VIEW', 'UNQ_JOB_GROUP', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
       export2.add_unq( 'EXP_JOB_GROUP_VIEW', 'UNQ_JOB_GROUP', 'GROUP_TYPE' );
       export2.add_unq( 'EXP_JOB_GROUP_VIEW', 'UNQ_JOB_GROUP', 'UPPER("NAME")' );
       export2.add_seq( 'EXP_JOB_GROUP_VIEW', 'ID', 'JOB_GROUP_SEQ' );
       export2.add_rel( 'EXP_JOB_GROUP_VIEW', 'ID', 'JOB_GROUP_ITEM', 'GROUP_ID' );
       export2.add_rel( 'EXP_JOB_GROUP_VIEW', 'USERID', 'PM_USER', 'ID' );
   
    if (version = 2) then
       export2.add_tab( 6010, 'EXP_SA_JOB_GROUP_VIEW', 'REUSE' );
       export2.add_unq( 'EXP_SA_JOB_GROUP_VIEW', 'UNQ_JOB_GROUP', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
       export2.add_unq( 'EXP_SA_JOB_GROUP_VIEW', 'UNQ_JOB_GROUP', 'GROUP_TYPE' );
       export2.add_unq( 'EXP_SA_JOB_GROUP_VIEW', 'UNQ_JOB_GROUP', 'UPPER("NAME")' );
       export2.add_seq( 'EXP_SA_JOB_GROUP_VIEW', 'ID', 'JOB_GROUP_SEQ' );
       export2.add_rel( 'EXP_SA_JOB_GROUP_VIEW', 'ID', 'JOB_GROUP_ITEM', 'GROUP_ID' );
       export2.add_rel( 'EXP_SA_JOB_GROUP_VIEW', 'USERID', 'PM_USER', 'ID' );    
    end if;
    

    export2.add_tab( 6100, 'JOB_GROUP_ITEM', 'REUSE' );
    export2.add_unq( 'JOB_GROUP_ITEM', 'JOB_GROUP_ITEM_UQ', 'DOCUMENT_ID' );
    export2.add_unq( 'JOB_GROUP_ITEM', 'JOB_GROUP_ITEM_UQ', 'GROUP_ID' );
    export2.add_seq( 'JOB_GROUP_ITEM', 'ID', 'JOB_GROUP_ITEM_SEQ' );
    export2.add_rel( 'JOB_GROUP_ITEM', 'DOCUMENT_ID', 'SA_SOFTALARM', 'ID' );
    if (version = 1) then
      export2.add_rel( 'JOB_GROUP_ITEM', 'DOCUMENT_ID', 'EXP_PM_REPORT_VIEW', 'ID' );
    end if;



-- **********************************************************
--  Soft Alarm Import Export
-- **********************************************************

    if (version = 2) then

      -- Export Table PM_CLIENTMACHINE

      export2.add_tab(7000, 'PM_CLIENTMACHINE', 'REUSE' );
      export2.add_unq( 'PM_CLIENTMACHINE', 'UNQ_CLIENTMACHINE', 'DOMAIN' );
      export2.add_unq( 'PM_CLIENTMACHINE', 'UNQ_CLIENTMACHINE', 'UPPER("MACHINENAME")' );
      export2.add_seq( 'PM_CLIENTMACHINE', 'ID', 'SQ_CLIENTMACHINE' ); 



      -- export Table SA_SCHEDULE

      export2.add_tab( 7010, 'SA_SCHEDULE', 'REUSE' );
      export2.add_unq( 'SA_SCHEDULE', 'SA_SCHEDULE_NAME_UNQ', 'DECODE("<USERID>", exp_custom.get_system_id, "USERID", "FOLDERID")' );
      export2.add_unq( 'SA_SCHEDULE', 'SA_SCHEDULE_NAME_UNQ', 'UPPER("NAME")' );
      export2.add_seq( 'SA_SCHEDULE', 'SA_SCHEDULE_ID', 'SQ_SCHEDULE' );
      export2.add_rel( 'SA_SCHEDULE', 'CLIENTMACHINEID', 'PM_CLIENTMACHINE', 'ID' );
      export2.add_rel( 'SA_SCHEDULE', 'USERID',    'PM_USER', 'ID' );
      
      
      
      export2.add_dep('SA_SCHEDULE','GROUP_ID', 'EXP_JOB_GROUP_VIEW','ID');
      export2.add_dep('SA_SCHEDULE','GROUP_ID', 'EXP_SA_JOB_GROUP_VIEW','ID');
      
      -- Export Table SCHEDULE

      export2.add_tab(7020, 'SCHEDULE', 'REUSE' );
      export2.add_unq('SCHEDULE','EXP_SCHED_FK','SCHED_FK'); 
      export2.add_seq( 'SCHEDULE', 'SCHEDULE_ID', 'SCHEDULE_SEQ' );
      export2.add_rel( 'SCHEDULE', 'SCHED_FK','SA_SCHEDULE', 'SA_SCHEDULE_ID');
      export2.add_rel( 'SCHEDULE', 'SCHEDULE_ID','SCHEDULE_HOUR_EX', 'SCHEDULE_ID' );
      export2.add_rel( 'SCHEDULE', 'SCHEDULE_ID','SCHEDULE_EVENT', 'SCHEDULE_ID' );

      -- Export Table SCHEDULE_HOUR_EX

      export2.add_tab(7030, 'SCHEDULE_HOUR_EX', 'REUSE' );
      export2.add_unq( 'SCHEDULE_HOUR_EX', 'SCHEDULE_HOUR_EX_UNQ', 'SCHEDULE_ID' ); 
      export2.add_unq( 'SCHEDULE_HOUR_EX', 'SCHEDULE_HOUR_EX_UNQ', 'HOUR' ); 
      
      
      --Export Table SCHEDULE_EVENT
      export2.add_tab(7040, 'SCHEDULE_EVENT', 'REUSE' );
      export2.add_unq( 'SCHEDULE_EVENT', 'SCHEDULE_EVENT_UNQ', 'SCHEDULE_ID' ); 
      export2.add_unq( 'SCHEDULE_EVENT', 'SCHEDULE_EVENT_UNQ', 'EVENT_TYPE_ID' ); 
      export2.add_rel( 'SCHEDULE_EVENT', 'EVENT_TYPE_ID' ,'EN_EVENT_TYPE', 'EVENT_TYPE_ID' );

      
      
    end if;

    export2.install_metadata;

  end loop;

  commit;
end;

/
SHOW ERRORS
