-- ----------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/export2/export2_meta_schema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
-- Copyright 2000-2004 WatchMark Corp.
-- ----------------------------------------------------------------------
--

-- ----------------------
-- EXP_SA_LOGICAL_OPERATOR

CREATE OR REPLACE VIEW exp_sa_logical_op_root AS
  SELECT id, operator, parent_id, sa_id
    FROM sa_logical_operator
   WHERE parent_id IS NULL;

-- ----------------------
-- SEAde50555:  Timezones

CREATE OR REPLACE VIEW exp_wm_locales AS 
  SELECT id, dst_id, locale_name, gmt_offset
    FROM wm_locales WHERE id >= 1000;

CREATE OR REPLACE VIEW exp_wm_dst_rules AS
  SELECT id, start_month, start_day, start_dayofweek, start_time, end_month, end_day, end_dayofweek, end_time, dst_savings
    FROM wm_dst_rules WHERE id >= 1000;

---------------------------------------------
-- EXP_PM_SCENARIO_VIEW
--

CREATE OR REPLACE VIEW exp_pm_scenario_view AS
  SELECT * FROM pm_scenario WHERE exp_custom.do_scenarios = 1;
CREATE OR REPLACE VIEW exp_pm_scenario2_view AS
  SELECT * FROM pm_scenario WHERE exp_custom.do_scenarios = 1;

---------------------------------------------
-- exp_query_name_view
--

CREATE OR REPLACE VIEW exp_query_name_view AS
  SELECT s.name scenario_name, 
         s.folderid, 
         q.query_id,
         q.query_name query_name
    FROM wmq_query q,
         pm_scenario s
   WHERE q.query_id = s.query_id;

CREATE OR REPLACE TRIGGER exp_query_name_view_tr
  INSTEAD OF INSERT OR UPDATE OR DELETE ON exp_query_name_view  FOR EACH ROW
BEGIN
  IF ( INSERTING ) THEN
    INSERT INTO wmq_query ( query_id, query_name ) VALUES ( :new.query_id, :new.query_name );
  ELSIF ( DELETING ) THEN
    DELETE FROM wmq_query WHERE query_id = :old.query_id;
  ELSIF ( UPDATING ) THEN
    UPDATE wmq_query SET query_name = :new.query_name WHERE query_id = :old.query_id;
  END IF;
END;
/
SHOW ERRORS

---------------------------------------------
-- exp_query_text
--

CREATE TABLE exp_query_text AS SELECT * FROM wmq_query_text WHERE rownum = 0;
ALTER TABLE exp_query_text ADD CONSTRAINT exp_query_text_pk PRIMARY KEY ( query_id, query_row );

---------------------------------------------
-- exp_field_name_view
--

CREATE OR REPLACE VIEW exp_field_name_view AS
  SELECT d.namespace_id, d.name, d.report_header, d.report_header2, d.edit_label, d.name_desc,
         f.field_id, f.entity_id, f.datatype, f.field_type, f.field_group_id, f.field_access, f.field_owner, f.field_desc, f.field_aggregator, f.field_emits_aggregator, f.datasource_id
    FROM wmd_dict_name d, wmd_field_def f
   WHERE d.field_id = f.field_id
     AND d.entity_id = f.entity_id
     AND d.namespace_id = 0
;

CREATE OR REPLACE TRIGGER exp_field_name_view_ins_tr
  INSTEAD OF INSERT ON exp_field_name_view FOR EACH ROW
BEGIN

   if :new.namespace_id = 0
   then
      INSERT INTO wmd_field_def ( field_id, entity_id, datatype, field_type, field_group_id, field_access, field_owner, field_desc, field_aggregator, field_emits_aggregator, datasource_id )
        VALUES ( :new.field_id, :new.entity_id, :new.datatype, :new.field_type, :new.field_group_id, :new.field_access, :new.field_owner, :new.field_desc, :new.field_aggregator, :new.field_emits_aggregator, :new.datasource_id );
      INSERT INTO wmd_dict_name ( namespace_id, field_id, entity_id, name, report_header, report_header2, edit_label, name_desc )
        VALUES ( :new.namespace_id, :new.field_id, :new.entity_id, :new.name, :new.report_header, :new.report_header2, :new.edit_label, :new.name_desc );
   end if;

END;
/
SHOW ERRORS

CREATE OR REPLACE TRIGGER exp_field_name_view_upd_tr
  INSTEAD OF UPDATE ON exp_field_name_view FOR EACH ROW
BEGIN

  if :new.namespace_id = 0
  then

     UPDATE wmd_field_def 
        SET entity_id = :new.entity_id,
            datatype = :new.datatype,
            field_type = :new.field_type,
            field_group_id = :new.field_group_id,
            field_access = :new.field_access,
            field_owner = :new.field_owner,
            field_desc = :new.field_desc,
            field_aggregator = :new.field_aggregator,
            field_emits_aggregator = :new.field_emits_aggregator,
            datasource_id = :new.datasource_id
      WHERE field_id = :old.field_id;

     UPDATE wmd_dict_name
        SET entity_id = :new.entity_id,
            name = :new.name,
            report_header = :new.report_header,
            report_header2 = :new.report_header2,
            edit_label = :new.edit_label,
            name_desc = :new.name_desc
      WHERE field_id = :old.field_id
        AND namespace_id = :old.namespace_id; 

  end if;

END;
/
SHOW ERRORS

---------------------------------------------
-- exp_field_name2_view
--
CREATE OR REPLACE VIEW exp_field_name2_view AS
  SELECT d.namespace_id, d.name, d.report_header, d.report_header2, d.edit_label, d.name_desc,
         f.field_id, f.entity_id, f.datatype, f.field_type, f.field_group_id, f.field_access, f.field_owner, f.field_desc, f.field_aggregator, f.field_emits_aggregator, f.datasource_id
    FROM wmd_dict_name d, wmd_field_def f
   WHERE d.field_id = f.field_id
     AND d.entity_id = f.entity_id
     AND d.namespace_id <> 0
;

CREATE OR REPLACE TRIGGER exp_field_name2_view_ins_tr
  INSTEAD OF INSERT ON exp_field_name2_view FOR EACH ROW
BEGIN

   if :new.namespace_id <> 0
   then
      INSERT INTO wmd_dict_name ( namespace_id, field_id, entity_id, name, report_header, report_header2, edit_label, name_desc )
        VALUES ( :new.namespace_id, :new.field_id, :new.entity_id, :new.name, :new.report_header, :new.report_header2, :new.edit_label, :new.name_desc );
   end if;

END;
/
SHOW ERRORS

CREATE OR REPLACE TRIGGER exp_field_name2_view_upd_tr
  INSTEAD OF UPDATE ON exp_field_name2_view FOR EACH ROW
BEGIN

  if :new.namespace_id <> 0
  then

     UPDATE wmd_field_def 
        SET entity_id = :new.entity_id,
            datatype = :new.datatype,
            field_type = :new.field_type,
            field_group_id = :new.field_group_id,
            field_access = :new.field_access,
            field_owner = :new.field_owner,
            field_desc = :new.field_desc,
            field_aggregator = :new.field_aggregator,
            field_emits_aggregator = :new.field_emits_aggregator,
            datasource_id = :new.datasource_id
      WHERE field_id = :old.field_id;

     UPDATE wmd_dict_name
        SET entity_id = :new.entity_id,
            name = :new.name,
            report_header = :new.report_header,
            report_header2 = :new.report_header2,
            edit_label = :new.edit_label,
            name_desc = :new.name_desc
      WHERE field_id = :old.field_id
        AND namespace_id = :old.namespace_id; 

  end if;

END;
/
SHOW ERRORS

---------------------------------------------
-- exp_report_spec_view
--

CREATE OR REPLACE VIEW EXP_PM_REPORTSPEC_VIEW AS 
  SELECT a.ID ID, a.REPORTKIND REPORTKIND, a.DOINDIVIDUAL DOINDIVIDUAL, a.DOSUMMARY DOSUMMARY, a.INDSORTTYPE INDSORTTYPE, a.SUMSORTTYPE SUMSORTTYPE, a.INDGRAPHTYPE INDGRAPHTYPE, a.SUMGRAPHTYPE SUMGRAPHTYPE, a.DOSTORED DOSTORED, a.DOMISSINGDATA DOMISSINGDATA, a.GROUPBYID GROUPBYID, a.RANGEMIN RANGEMIN, a.RANGEMAX RANGEMAX, a.BUSYHOURID BUSYHOURID, a.CPFAILCOUNTTYPEID CPFAILCOUNTTYPEID, a.CLUSTER_ENTITY_ID CLUSTER_ENTITY_ID, a.FIELD_ID FIELD_ID, a.DN DN, a.THRESHOLD THRESHOLD, a.GRAPHID GRAPHID, a.MAPID MAPID, a.DIMENSIONTYPEID DIMENSIONTYPEID, a.FORECASTTHRESHOLD FORECASTTHRESHOLD, a.CURRENTTHRESHOLD CURRENTTHRESHOLD, a.FINALTHRESHOLD FINALTHRESHOLD, a.CORRELATIONTHRESHOLD CORRELATIONTHRESHOLD, a.N1DAYS N1DAYS, a.N2DAYS N2DAYS, a.N3DAYS N3DAYS, a.BHSCENARIO_ID BHSCENARIO_ID, b.NAME NAME, b.FOLDERID FOLDERID, b.ENTITY_ID ENTITY_ID, b.CATEGORY CATEGORY
    FROM PM_REPORTSPEC a, PM_REPORT b
   WHERE a.ID = b.REPORTSPECID;

CREATE OR REPLACE TRIGGER EXP_PM_REPORTSPEC_VIEW_TR 
  INSTEAD OF INSERT OR UPDATE OR DELETE 
  ON EXP_PM_REPORTSPEC_VIEW FOR EACH ROW
DECLARE
  lv_old_id NUMBER;
BEGIN
  IF INSERTING THEN
    INSERT INTO PM_REPORTSPEC ( ID, REPORTKIND, DOINDIVIDUAL, DOSUMMARY, INDSORTTYPE, SUMSORTTYPE, INDGRAPHTYPE, SUMGRAPHTYPE, DOSTORED, DOMISSINGDATA, GROUPBYID, RANGEMIN, RANGEMAX, BUSYHOURID, CPFAILCOUNTTYPEID, CLUSTER_ENTITY_ID, FIELD_ID, DN, THRESHOLD, GRAPHID, MAPID, DIMENSIONTYPEID, FORECASTTHRESHOLD, CURRENTTHRESHOLD, FINALTHRESHOLD, CORRELATIONTHRESHOLD, N1DAYS, N2DAYS, N3DAYS, BHSCENARIO_ID )
      VALUES ( :new.ID, :new.REPORTKIND, :new.DOINDIVIDUAL, :new.DOSUMMARY, :new.INDSORTTYPE, :new.SUMSORTTYPE, :new.INDGRAPHTYPE, :new.SUMGRAPHTYPE, :new.DOSTORED, :new.DOMISSINGDATA, :new.GROUPBYID, :new.RANGEMIN, :new.RANGEMAX, :new.BUSYHOURID, :new.CPFAILCOUNTTYPEID, :new.CLUSTER_ENTITY_ID, :new.FIELD_ID, :new.DN, :new.THRESHOLD, :new.GRAPHID, :new.MAPID, :new.DIMENSIONTYPEID, :new.FORECASTTHRESHOLD, :new.CURRENTTHRESHOLD, :new.FINALTHRESHOLD, :new.CORRELATIONTHRESHOLD, :new.N1DAYS, :new.N2DAYS, :new.N3DAYS, :new.BHSCENARIO_ID );

  ELSIF UPDATING THEN
    SELECT REPORTSPECID INTO lv_old_id 
      FROM PM_REPORT 
     WHERE folderid = :old.FOLDERID AND UPPER( NAME ) = UPPER( :old.NAME );

    UPDATE PM_REPORTSPEC 
       SET REPORTKIND = :new.REPORTKIND, DOINDIVIDUAL = :new.DOINDIVIDUAL, DOSUMMARY = :new.DOSUMMARY, INDSORTTYPE = :new.INDSORTTYPE, SUMSORTTYPE = :new.SUMSORTTYPE, INDGRAPHTYPE = :new.INDGRAPHTYPE, SUMGRAPHTYPE = :new.SUMGRAPHTYPE, DOSTORED = :new.DOSTORED, DOMISSINGDATA = :new.DOMISSINGDATA, GROUPBYID = :new.GROUPBYID, RANGEMIN = :new.RANGEMIN, RANGEMAX = :new.RANGEMAX, BUSYHOURID = :new.BUSYHOURID, CPFAILCOUNTTYPEID = :new.CPFAILCOUNTTYPEID, CLUSTER_ENTITY_ID = :new.CLUSTER_ENTITY_ID, FIELD_ID = :new.FIELD_ID, DN = :new.DN, THRESHOLD = :new.THRESHOLD, GRAPHID = :new.GRAPHID, MAPID = :new.MAPID, DIMENSIONTYPEID = :new.DIMENSIONTYPEID, FORECASTTHRESHOLD = :new.FORECASTTHRESHOLD, CURRENTTHRESHOLD = :new.CURRENTTHRESHOLD, FINALTHRESHOLD = :new.FINALTHRESHOLD, CORRELATIONTHRESHOLD = :new.CORRELATIONTHRESHOLD, N1DAYS = :new.N1DAYS, N2DAYS = :new.N2DAYS, N3DAYS = :new.N3DAYS, BHSCENARIO_ID = :new.BHSCENARIO_ID
     WHERE ID = lv_old_id;

  ELSIF DELETING THEN
    DELETE FROM PM_REPORTSPEC WHERE ID = :old.ID;

  END IF;
END;
/
SHOW ERRORS

---------------------------------------------
-- exp_pm_report_view
-- Depreciated: Remove in R21.

CREATE OR REPLACE VIEW exp_pm_report_view AS
    SELECT id, folderid, userid, name, 
           description, changed, category, type, entity_id, scenarioid, 
           DECODE( SUBSTR( category, 1, 6), 'Config', templateid * -1, templateid ) templateid, 
           chansetplanid, destinationid, pagesetupid, dtscopeid, reportspecid, channelnumber, 
           domainscenarioid, mapradiusscale, testchannels, equippedonly, filename, groupingspec_id
      FROM PM_REPORT;

CREATE OR REPLACE TRIGGER exp_pm_report_view_ins_tr
  INSTEAD OF INSERT OR UPDATE ON exp_pm_report_view FOR EACH ROW
BEGIN

  IF INSERTING THEN

  INSERT INTO pm_report ( id, folderid, userid, name, 
           description, changed, category, type, entity_id, scenarioid, 
           templateid, 
           chansetplanid, destinationid, pagesetupid, dtscopeid, reportspecid, channelnumber, 
           domainscenarioid, mapradiusscale, testchannels, equippedonly, filename, groupingspec_id )
  VALUES ( :new.id, :new.folderid, :new.userid, :new.name, 
           :new.description, :new.changed, :new.category, :new.type, :new.entity_id, :new.scenarioid, 
           ABS( :new.templateid ), 
           :new.chansetplanid, :new.destinationid, :new.pagesetupid, :new.dtscopeid, :new.reportspecid, :new.channelnumber, 
           :new.domainscenarioid, :new.mapradiusscale, :new.testchannels, :new.equippedonly, :new.filename, :new.groupingspec_id );

  ELSIF UPDATING THEN
    -- UNQ_REPORT unique key violation
    UPDATE pm_report SET
           folderid = :new.folderid, 
           userid = :new.userid,  
           name = :new.name, 
           description = :new.description,  
           changed = TRUNC( SYSDATE ),  
           category = :new.category,  
           type = :new.type,  
           entity_id = :new.entity_id,  
           scenarioid = :new.scenarioid, 
           templateid = :new.templateid, 
           chansetplanid = :new.chansetplanid,  
           destinationid = :new.destinationid,  
           pagesetupid = :new.pagesetupid,  
           dtscopeid = :new.dtscopeid,  
           reportspecid = :new.reportspecid,  
           channelnumber = :new.channelnumber, 
           domainscenarioid = :new.domainscenarioid,  
           mapradiusscale = :new.mapradiusscale,  
           testchannels = :new.testchannels,  
           equippedonly = :new.equippedonly,  
           filename = :new.filename,
           groupingspec_id = :new.groupingspec_id
     WHERE FOLDERID = :old.folderid
       AND UPPER( name ) = UPPER( :old.name )
       AND CATEGORY = :old.category
       AND ENTITY_ID = :old.entity_id;
  END IF;

END;
/
SHOW ERRORS

---------------------------------------------
-- exp_pm_cfgtpl_view
-- Depreciated: Remove in R21.

CREATE OR REPLACE VIEW exp_pm_cfgtpl_view AS
  SELECT (id * -1) id, folderid, userid, name, description, changed, category, type, entity_id, needsinput
    FROM pm_cfgtpl;

CREATE OR REPLACE TRIGGER exp_pm_cfgtpl_view_ins_tr
  INSTEAD OF INSERT ON exp_pm_cfgtpl_view FOR EACH ROW
BEGIN
  INSERT INTO pm_cfgtpl ( id, folderid, userid, name, description, changed, category, type, entity_id, needsinput )
    VALUES ( ABS( :new.id ), :new.folderid, :new.userid, :new.name, :new.description, :new.changed, 
             :new.category, :new.type, :new.entity_id, :new.needsinput );
END;
/
SHOW ERRORS

-------------------------------------------------
-- exp_job_group_view
-- SEAde49648
--

CREATE OR REPLACE VIEW exp_job_group_view AS
  SELECT  id,folderid, userid, name, description, changed, group_type
    FROM  job_group
   WHERE  upper(name) not like 'CDL AGGREGATION GROUP%';

SHOW ERRORS


-------------------------------------------------
-- exp_job_group_view
-- Core BH/SA Merge
--
CREATE OR REPLACE VIEW exp_sa_job_group_view AS
  SELECT  id,folderid, userid, name, description, changed, group_type
    FROM  job_group jg,
          pm_groups pg
   WHERE  jg.group_type = pg.group_id AND UPPER(PG.group_name) = 'SOFT ALARMS';


SHOW ERRORS

---------------------------------------------
-- End.
--

