PROMPT Create table exp_tab...
CREATE TABLE exp_tab (
  version    NUMBER,
  table_name VARCHAR2(30),
  action     VARCHAR2(15),
  ordinal    NUMBER(7),
    CONSTRAINT exp_tab_pk PRIMARY KEY ( version, table_name )
);
PROMPT Create table exp_col...
CREATE TABLE exp_col (
  version     NUMBER,
  table_name  VARCHAR2(30),
  column_name VARCHAR2(30),
  data_type   VARCHAR2(106),
  ordinal     NUMBER,
  name_flag   CHAR(1),
  rel_flag    CHAR(1),
  dep_par_flag    CHAR(1),
  dep_chi_flag    CHAR(1),
    CONSTRAINT exp_col_pk PRIMARY KEY ( version, table_name, column_name )
);
PROMPT Create table exp_rel...
CREATE TABLE exp_rel (
  version           NUMBER,
  table_name        VARCHAR2(30),
  column_name       VARCHAR2(4000),
  column_expr       CHAR(1),
  child_table_name  VARCHAR2(30),
  child_column_name VARCHAR2(4000),
  child_column_expr CHAR(1)
);
CREATE INDEX exp_rel_par_idx ON exp_rel ( version, table_name, column_name );
CREATE INDEX exp_rel_chi_idx ON exp_rel ( version, child_table_name, child_column_name );
PROMPT Create table exp_dep...
CREATE TABLE exp_dep (
  version            NUMBER,
  table_name         VARCHAR2(30),
  column_name        VARCHAR2(4000),
  column_expr        CHAR(1),
  parent_table_name  VARCHAR2(30),
  parent_column_name VARCHAR2(4000),
  parent_column_expr CHAR(1)
);
CREATE INDEX exp_dep_par_idx ON exp_dep ( version, table_name, column_name );
CREATE INDEX exp_dep_chi_idx ON exp_dep ( version, parent_table_name, parent_column_name );
PROMPT Create table exp_seq...
CREATE TABLE exp_seq (
  version       NUMBER,
  table_name    VARCHAR2(30),
  column_name   VARCHAR2(30),
  sequence_name VARCHAR2(30),
    CONSTRAINT exp_seq_pk PRIMARY KEY ( version, table_name, column_name ),
    CONSTRAINT exp_seq_sequence_name_nn CHECK ( sequence_name IS NOT NULL )
);
PROMPT Create table exp_nam...
CREATE TABLE exp_nam (
  version       NUMBER,
  table_name    VARCHAR2(30),
  column_name   VARCHAR2(30),
    CONSTRAINT exp_nam_pk PRIMARY KEY ( version, table_name ),
    CONSTRAINT exp_name_column_name_nn CHECK ( column_name IS NOT NULL )
);
PROMPT Create table exp_unq...
CREATE TABLE exp_unq (
  version           NUMBER,
  table_name        VARCHAR2(30),
  index_name        VARCHAR2(30),
  column_expression VARCHAR2(4000),
    CONSTRAINT exp_unq_pk PRIMARY KEY ( version, table_name, index_name, column_expression )
);
PROMPT Create global temporary table exp_met...
CREATE TABLE exp_met (
  table_name  VARCHAR2(30),
  column_name VARCHAR2(30),
  ordinal     NUMBER,
    CONSTRAINT exp_met_pk PRIMARY KEY ( table_name, column_name )
);
PROMPT Create table exp_des...
CREATE TABLE exp_des (
  row_id        VARCHAR2(30),
  id            NUMBER,
  p_id          NUMBER,
  table_name    VARCHAR2(30),
  data          LONG,
    CONSTRAINT exp_des_pk PRIMARY KEY ( row_id, table_name )
);
CREATE INDEX exp_des_p_id_idx ON exp_des ( p_id );
CREATE INDEX exp_des_table_name_idx ON exp_des ( table_name );
PROMPT Create global temporary table exp_trn...
CREATE GLOBAL TEMPORARY TABLE exp_trn (
  table_name  VARCHAR2(30),
  column_name VARCHAR2(2000), -- This should have been (4000), but for ORA-01450.
  old_value   VARCHAR2(4000),
  new_value   VARcHAR2(4000),
    CONSTRAINT exp_trn_pk PRIMARY KEY ( table_name, column_name, old_value )
);
PROMPT Create table exp_msg...
CREATE TABLE exp_msg (
  id      NUMBER,
  version NUMBER,
  stamp   DATE,
  time    NUMBER,
  msg     VARCHAR2(4000)
);
PROMPT Create sequence exp_msg_seq...
CREATE SEQUENCE exp_msg_seq order;
PROMPT Create autonomous procedure exp_log...
CREATE OR REPLACE PROCEDURE exp_log wrapped 
0
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
abcd
3
7
9200000
1
4
0 
1b
2 :e:
1EXP_LOG:
1PV_MSG:
1VARCHAR2:
1PV_VERBOSITY:
1BINARY_INTEGER:
1EXPORT2:
1CONST_ALL:
1PRAGMA:
1AUTONOMOUS_TRANSACTION:
1BITAND:
1GV_VERBOSITY:
1>:
10:
1EXP_MSG:
1ID:
1VERSION:
1STAMP:
1TIME:
1MSG:
1EXP_MSG_SEQ:
1NEXTVAL:
1GV_VERSION:
1SYSDATE:
1DBMS_UTILITY:
1GET_TIME:
1INSERT INTO exp_msg ( id, version, stamp, time, msg ):n      VALUES ( exp_msg+
1_seq.NEXTVAL, export2.gv_version, SYSDATE, DBMS_UTILITY.GET_TIME, pv_msg ):
1COMMIT:
0

0
0
40
2
0 9a 8f a0 b0 3d 8f :3 a0
6b b0 3d b4 55 6a :2 a0 b4
5d :4 a0 6b a5 b 7e 51 b4
2e 5a :e a0 12a a0 57 a0 b4
e9 b7 19 3c b7 a4 b1 11
68 4f 1d 17 b5 
40
2
0 3 1f 1b 1a 27 3c 30
34 38 17 2f 44 2c 49 4d
51 55 59 5a 5d 61 65 69
6d 70 71 73 76 79 7a 7f
82 86 8a 8e 92 96 9a 9e
a2 a6 aa ae b2 b6 ba c6
ca cf d3 d4 d9 db df e2
e4 e8 ea f6 fa fc fd 106 
40
2
0 b 14 1b :2 14 25 32 49
:2 51 :2 25 12 :2 1 3 a :2 3 8
10 1e :2 26 :2 8 35 37 :2 35 6
11 1b 1f 28 2f 35 10 1c
25 2d 39 42 4f 59 :6 5 3b
:2 3 :9 1 
40
4
0 :f 1 :4 2 :c 4
:6 5 :8 6 5 :5 7
:3 4 :2 3 :7 1 
108
4
:3 0 1 :a 0 3b
1 :7 0 8 9
0 :2 3 :3 0 2
:7 0 4 3 :3 0
7 :2 0 :2 5 :3 0
6 :3 0 7 :3 0
4 :7 0 b 7
a :2 0 d :2 0
3b 1 e :2 0
8 :3 0 9 :4 0
11 12 39 a
:3 0 4 :3 0 6
:3 0 b :3 0 16
17 0 a 14
19 c :2 0 d
:2 0 f 1b 1d
:3 0 1e :2 0 e
:3 0 f :3 0 10
:3 0 11 :3 0 12
:3 0 13 :3 0 14
:3 0 15 :3 0 6
:3 0 16 :3 0 17
:3 0 18 :3 0 19
:3 0 2 :4 0 1a
1 :8 0 34 1b
:3 0 31 32 :2 0
33 1b :5 0 30
:2 0 34 12 35
1f 34 0 36
15 0 37 17
3a :3 0 3a 19
3a 39 37 38
:6 0 3b :2 0 1
e 3a 3e :3 0
3d 3b 3f :8 0

1b
4
:3 0 1 2 1
6 2 5 c
2 15 18 1
1c 2 1a 1c
2 2e 33 1
35 1 36 1
13 
1
4
0 
3e
0
1
14
1
3
0 0 0 0 0 0 0 0
0 0 0 0 0 0 0 0
0 0 0 0 
1 0 1
6 1 0
2 1 0
0

/
SHOW ERRORS
PROMPT Create object type...
CREATE OR REPLACE TYPE T_EXPORTIMPORT_IDS IS TABLE OF NUMBER;
/
SHOW ERRORS
