--
-- next line turns off parameter substitution so '&' is normal char
--
SET DEFINE OFF
--
-- prime the tables
--

-- the group id is Everybody, this is a system default group
INSERT INTO PM_User(Id,Name,Description,Type, group_id) VALUES(1,'system','System User','S',2);

exec PM_group_user.addUserToGroup('system', pm_group_user.PM_EVERYBODY_GROUP);

exec PM_doc_acl.addDocument_Mask_forUser('system','system','Y','Y');
exec PM_doc_acl.addDocument_mask_forGroup('system',pm_group_user.PM_EVERYBODY_GROUP,'Y','N');

INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(1,NULL,1,'ROOT','Root Folder','Explorer Documents','N');
INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(0,1,1,'Dummy','This is dummy folder  for SA','Explorer Documents','N');
INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(3,1,1,'Scenarios','System Scenarios','Scenarios','S');
INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(4,1,1,'Schedule','Schedule Entries','Schedule Entries','S');
INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(5,1,1,'Temp','Temp Folder','Explorer Documents','S');
INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(6,1,1,'Templates','System Templates','Explorer Documents','S');
INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(8,6,1,'Traffic Templates','System Templates for Traffic','Traffic Templates','S');
INSERT INTO PM_Folder(Id,FolderId,UserId,Name,Description,Category,Type) VALUES(9,1,1,'Users','Users Folder','Explorer Documents','N');

INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(1, -4143, 'Y', 'N','Microsoft Excel Workbook (*.xls)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(2, 44, 'Y', 'N','Web Page (*.htm; *.html)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(3, 36, 'Y', 'N','Formatted Text (Space-delimited) (*.prn)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(4, 20, 'Y', 'N','Text (Tab delimited) (*.txt)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(5, 43, 'Y', 'N','Microsoft Excel 97 & 5.0/95 Workbook (*.xls)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(6, 39, 'Y', 'N','Microsoft Excel 5.0/95 Workbook (*.xls)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(7, 23, 'Y', 'N','CSV (comma delimited) (*.csv) (Windows)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(8, 38, 'Y', 'N','WK4 (*.wk4)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(9,  0, 'N', 'Y','Raw data (*.txt)');
INSERT INTO PM_FileFormat(ID,FileFormat,ExcelFormat,UsesDelim,Name) VALUES(10, 1, 'N', 'Y','Raw data, split key (*.txt)');

--
-- pm_groupby
--
-- replace the insert into pm_groupby  SQLs with following
--
-- ----------------------------------------------------------------------
-- @(#) pm_groupby.sql 1.6.0 05/03/16 15:44:21
-- @(#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--

-- ------------------------------------------------------------
-- PM_GROUPBY
-- ------------------------------------------------------------
-- Part of client_meta
--
declare

   cursor c_GroupBy is
   select META.id
        , META.groupby
        , META.groupusing
        , META.forecast
        , FREQ.frequency_id
        , META.orientation
        , META.matrix
        , META.confidence
        , META.display_order
        , GRPA.id existing_id
        , GRPB.id current_id
        , GRPB.display_order old_display_order
        , META.StartOfWeek
     from WM_FREQUENCY FREQ
        , PM_GROUPBY   GRPA
        , PM_GROUPBY   GRPB
        , (
            select 0 id
                 , 0 display_order
                 , ' ' groupby
                 , ' ' groupusing
                 , ' ' forecast
                 , ' ' freq_tag
                 , ' ' orientation
                 , ' ' matrix
                 , ' ' confidence
                 , ' ' startofweek
              from dual
             where 1=0
union all select 1,  1,  'Network Element and Minute'          , 'N', 'N', 'MI'  , 'E', 'N', 'N', 'N' from dual
union all select 2,  2,  'Network Element and 2 Minutes'       , 'N', 'N', '2MI' , 'E', 'N', 'N', 'N' from dual
union all select 3,  3,  'Network Element and 5 Minutes'       , 'N', 'N', '5MI' , 'E', 'N', 'N', 'N' from dual
union all select 4,  4,  'Network Element and 10 Minutes'      , 'N', 'N', '10MI', 'E', 'N', 'N', 'N' from dual
union all select 5,  5,  'Network Element and 15 Minutes'      , 'N', 'N', '15MI', 'E', 'N', 'N', 'N' from dual
union all select 6,  6,  'Network Element and 30 Minutes'      , 'N', 'N', '30MI', 'E', 'N', 'N', 'N' from dual
union all select 7,  7,  'Network Element and Hour'            , 'N', 'N', 'H'   , 'E', 'N', 'N', 'N' from dual
union all select 8,  8,  'Network Element and Day'             , 'Y', 'N', 'D'   , 'E', 'N', 'N', 'N' from dual
union all select 9,  9,  'Network Element and Week'            , 'Y', 'N', 'W'   , 'E', 'N', 'N', 'Y' from dual
union all select 10, 10, 'Network Element and Month'           , 'Y', 'N', 'M'   , 'E', 'N', 'N', 'N' from dual
union all select 11, 11, 'Network Element and Year'            , 'Y', 'N', 'Y'   , 'E', 'N', 'N', 'N' from dual
union all select 12, 12, 'Network Element and All Hours'       , 'Y', 'N', 'A'   , 'E', 'N', 'N', 'N' from dual
union all select 13, 13, 'Network Element and Week-Hour'       , 'N', 'N', 'WH'  , 'E', 'N', 'N', 'Y' from dual
union all select 14, 14, 'Network Element and Month-Hour'      , 'N', 'N', 'MH'  , 'E', 'N', 'N', 'N' from dual
union all select 15, 15, 'Minute and Network Element'          , 'N', 'N', 'MI'  , 'T', 'N', 'N', 'N' from dual
union all select 16, 16, '2 Minutes and Network Element'       , 'N', 'N', '2MI' , 'T', 'N', 'N', 'N' from dual
union all select 17, 17, '5 Minutes and Network Element'       , 'N', 'N', '5MI' , 'T', 'N', 'N', 'N' from dual
union all select 18, 18, '10 Minutes and Network Element'      , 'N', 'N', '10MI', 'T', 'N', 'N', 'N' from dual
union all select 19, 19, '15 Minutes and Network Element'      , 'N', 'N', '15MI', 'T', 'N', 'N', 'N' from dual
union all select 20, 20, '30 Minutes and Network Element'      , 'N', 'N', '30MI', 'T', 'N', 'N', 'N' from dual
union all select 21, 21, 'Hour and Network Element'            , 'N', 'N', 'H'   , 'T', 'N', 'N', 'N' from dual
union all select 22, 22, 'Day and Network Element'             , 'Y', 'N', 'D'   , 'T', 'N', 'N', 'N' from dual
union all select 23, 23, 'Week and Network Element'            , 'Y', 'N', 'W'   , 'T', 'N', 'N', 'Y' from dual
union all select 24, 24, 'Month and Network Element'           , 'Y', 'N', 'M'   , 'T', 'N', 'N', 'N' from dual
union all select 25, 25, 'Year and Network Element'            , 'Y', 'N', 'Y'   , 'T', 'N', 'N', 'N' from dual
union all select 26, 26, 'Week-Hour and Network Element'       , 'N', 'N', 'WH'  , 'T', 'N', 'N', 'Y' from dual
union all select 27, 27, 'Month-Hour and Network Element'      , 'N', 'N', 'MH'  , 'T', 'N', 'N', 'N' from dual
--union all select 28, 28, 'Fields and Minute'                   , 'N', 'N', 'MI'  , 'E', 'N', 'N', 'N' from dual
--union all select 29, 29, 'Fields and 2 Minutes'                , 'N', 'N', '2MI' , 'E', 'N', 'N', 'N' from dual
--union all select 30, 30, 'Fields and 5 Minutes'                , 'N', 'N', '5MI' , 'E', 'N', 'N', 'N' from dual
--union all select 31, 31, 'Fields and 10 Minutes'               , 'N', 'N', '10MI', 'E', 'N', 'N', 'N' from dual
--union all select 32, 32, 'Fields and 15 Minutes'               , 'N', 'N', '15MI', 'E', 'N', 'N', 'N' from dual
--union all select 33, 33, 'Fields and 30 Minutes'               , 'N', 'N', '30MI', 'E', 'N', 'N', 'N' from dual
--union all select 34, 34, 'Fields and Hour'                     , 'N', 'N', 'H'   , 'E', 'N', 'N', 'N' from dual
--union all select 35, 35, 'Fields and Day'                      , 'Y', 'N', 'D'   , 'E', 'N', 'N', 'N' from dual
--union all select 36, 36, 'Fields and Week'                     , 'Y', 'N', 'W'   , 'E', 'N', 'N', 'N' from dual
--union all select 37, 37, 'Fields and Month'                    , 'Y', 'N', 'M'   , 'E', 'N', 'N', 'N' from dual
--union all select 38, 38, 'Fields and Year'                     , 'Y', 'N', 'Y'   , 'E', 'N', 'N', 'N' from dual
--union all select 39, 39, 'Minute and Fields'                   , 'N', 'N', 'MI'  , 'T', 'N', 'N', 'N' from dual
--union all select 40, 40, '2 Minutes and Fields'                , 'N', 'N', '2MI' , 'T', 'N', 'N', 'N' from dual
--union all select 41, 41, '5 Minutes and Fields'                , 'N', 'N', '5MI' , 'T', 'N', 'N', 'N' from dual
--union all select 42, 42, '10 Minutes and Fields'               , 'N', 'N', '10MI', 'T', 'N', 'N', 'N' from dual
--union all select 43, 43, '15 Minutes and Fields'               , 'N', 'N', '15MI', 'T', 'N', 'N', 'N' from dual
--union all select 44, 44, '30 Minutes and Fields'               , 'N', 'N', '30MI', 'T', 'N', 'N', 'N' from dual
--union all select 45, 45, 'Hour and Fields'                     , 'N', 'N', 'H'   , 'T', 'N', 'N', 'N' from dual
--union all select 46, 46, 'Day and Fields'                      , 'Y', 'N', 'D'   , 'T', 'N', 'N', 'N' from dual
--union all select 47, 47, 'Week and Fields'                     , 'Y', 'N', 'W'   , 'T', 'N', 'N', 'N' from dual
--union all select 48, 48, 'Month and Fields'                    , 'Y', 'N', 'M'   , 'T', 'N', 'N', 'N' from dual
--union all select 49, 49, 'Year and Fields'                     , 'Y', 'N', 'Y'   , 'T', 'N', 'N', 'N' from dual
union all select 50, 50, 'Historical Week and Network Element' , 'Y', 'Y', 'W'   , 'T', 'N', 'N', 'Y' from dual
union all select 51, 51, 'Historical Network Element and Week' , 'Y', 'Y', 'W'   , 'E', 'N', 'N', 'Y' from dual
union all select 52, 52, 'Forecast Week and Network Element'   , 'Y', 'Y', 'W'   , 'T', 'N', 'N', 'Y' from dual
union all select 53, 53, 'Matrix Week and Day'                 , 'N', 'N', 'H'   , 'T', 'Y', 'N', 'Y' from dual
union all select 54, 54, 'Matrix Month and Day'                , 'N', 'N', 'H'   , 'T', 'Y', 'N', 'N' from dual
union all select 55, 55, 'Matrix Year and Day'                 , 'N', 'N', 'H'   , 'T', 'Y', 'N', 'N' from dual
union all select 56, 56, 'File Type and Minute'                , 'N', 'N', 'MI'  , 'E', 'N', 'Y', 'N' from dual 
union all select 57, 57, 'File Type and 2 Minutes'             , 'N', 'N', '2MI' , 'E', 'N', 'Y', 'N' from dual 
union all select 58, 58, 'File Type and 5 Minutes'             , 'N', 'N', '5MI' , 'E', 'N', 'Y', 'N' from dual
union all select 59, 59, 'File Type and 10 Minutes'            , 'N', 'N', '10MI', 'E', 'N', 'Y', 'N' from dual
union all select 60, 60, 'File Type and 15 Minutes'            , 'N', 'N', '15MI', 'E', 'N', 'Y', 'N' from dual
union all select 61, 61, 'File Type and 30 Minutes'            , 'N', 'N', '30MI', 'E', 'N', 'Y', 'N' from dual
union all select 62, 62, 'File Type and Hour'                  , 'N', 'N', 'H'   , 'E', 'N', 'Y', 'N' from dual
union all select 63, 63, 'File Type and Day'                   , 'N', 'N', 'D'   , 'E', 'N', 'Y', 'N' from dual
union all select 64, 64, 'File Type and Week'                  , 'N', 'N', 'W'   , 'E', 'N', 'Y', 'Y' from dual
union all select 65, 65, 'File Type and Month'                 , 'N', 'N', 'M'   , 'E', 'N', 'Y', 'N' from dual
union all select 66, 66, 'File Type and Year'                  , 'N', 'N', 'Y'   , 'E', 'N', 'Y', 'N' from dual
union all select 67, 67, 'Minute and File Type'                , 'N', 'N', 'MI'  , 'T', 'N', 'Y', 'N' from dual
union all select 68, 68, '2 Minutes and File Type'             , 'N', 'N', '2MI' , 'T', 'N', 'Y', 'N' from dual
union all select 69, 69, '5 Minutes and File Type'             , 'N', 'N', '5MI' , 'T', 'N', 'Y', 'N' from dual
union all select 70, 70, '10 Minutes and File Type'            , 'N', 'N', '10MI', 'T', 'N', 'Y', 'N' from dual
union all select 71, 71, '15 Minutes and File Type'            , 'N', 'N', '15MI', 'T', 'N', 'Y', 'N' from dual
union all select 72, 72, '30 Minutes and File Type'            , 'N', 'N', '30MI', 'T', 'N', 'Y', 'N' from dual
union all select 73, 73, 'Hour and File Type'                  , 'N', 'N', 'H'   , 'T', 'N', 'Y', 'N' from dual
union all select 74, 74, 'Day and File Type'                   , 'N', 'N', 'D'   , 'T', 'N', 'Y', 'N' from dual
union all select 75, 75, 'Week and File Type'                  , 'N', 'N', 'W'   , 'T', 'N', 'Y', 'Y' from dual
union all select 76, 76, 'Month and File Type'                 , 'N', 'N', 'M'   , 'T', 'N', 'Y', 'N' from dual
union all select 77, 77, 'Year and File Type'                  , 'N', 'N', 'Y'   , 'T', 'N', 'Y', 'N' from dual
          ) META
    where META.freq_tag = FREQ.tag
  --
  -- Removed condition to allow insertion of ALL records
  --  and FREQ.frequency_id >= (
  --                             select nvl(min(to_number(value)),0)
  --                               from WM_SYSTEM_VALUES_V
  --                              where name = 'MinReportPeriod'
  --                          )
      and META.groupby = GRPB.groupby (+)
      and META.id = GRPA.id (+)
    order by nvl(GRPA.id, -99), META.id;


   v_newGBID number;
   v_insID   number;

begin

   select nvl(max(id),0)
     into v_newGBID
     from PM_GROUPBY;

   for r_GroupBy in c_GroupBy
   loop

      if r_GroupBy.existing_id is NULL
      then
         -- if there is no record with the requested ID (r_GroupBy.id) 
         -- yet, let's use that ID.
         --
         v_insID := r_GroupBy.id;
         if v_insID > v_newGBID
         then
            v_newGBID := v_insID;
         end if;
      else
         v_newGBID := v_newGBID + 1;
         v_insID   := v_newGBID;
      end if;


      if r_Groupby.current_id is NULL
      then
         -- This record does not have a match in the Database,
         -- so we create it here.
         --
         begin
            INSERT INTO PM_GROUPBY ( Id
                                   , GroupBy
                                   , GroupUsing
                                   , Forecast
                                   , frequency_id
                                   , orientation
                                   , matrix
                                   , confidence
                                   , display_order
                                   , startofweek
                                   )
                            VALUES ( v_insID
                                   , trim(r_GroupBy.groupby)
                                   , r_Groupby.groupusing
                                   , r_Groupby.forecast
                                   , r_GroupBy.frequency_id
                                   , r_GroupBy.orientation
                                   , r_Groupby.matrix
                                   , r_Groupby.confidence
                                   , r_Groupby.display_order
                                   , r_Groupby.startofweek
                                   );
   
   
            dbms_output.put_line('OK: Groupby ' || trim(r_GroupBy.groupby) || ' created (' || v_insID || ')');
   
         exception
         when OTHERS then
              dbms_output.put_line('FAIL: '|| SQLERRM || '(Groupby:' || trim(r_GroupBy.groupby) || ')');
   
         end;

      elsif r_GroupBy.display_order != r_GroupBy.old_display_order
      then
         -- this record exists, but with a different display_order
         -- update it here
         --
         update PM_GROUPBY set display_order = r_GroupBy.display_order
          where id = r_Groupby.current_id;

         dbms_output.put_line('OK: Updated display_order to '|| r_GroupBy.display_order || ' (Groupby:' || trim(r_GroupBy.groupby) || ')');

      end if;

   end loop;
   commit;

end;
/

--
-- SEAde42717: Remove METADATA for feature GroupBy Template Field
-- this feature is postponed so we remove them from this build
--
begin

   delete from PM_GROUPBY
    where display_order between 28 and 49;

   if SQL%ROWCOUNT > 0
   then
      commit;
      dbms_output.put_line('OK: Removed "GroupBy Fields"');
   end if;

exception
when OTHERS then
     dbms_output.put_line('FAIL: '||SQLERRM||':Cannot remove "GroupBy Fields"');
end;
/

-- SEAde53786
-- add startofweek
-- be very careful, if you change this SQL display_order list, you should
-- make sure the display_order list is consistant with top section
UPDATE pm_groupby SET startofweek='Y'
WHERE display_order in (9, 11, 13, 23, 25, 26, 50, 51, 52, 53, 55, 64, 66, 75, 77);


commit;

INSERT INTO PM_DIMENSIONTYPE VALUES (1, 'DABH');
INSERT INTO PM_DIMENSIONTYPE VALUES (2, 'PABH3');
INSERT INTO PM_DIMENSIONTYPE VALUES (3, 'PABH5');
INSERT INTO PM_DIMENSIONTYPE VALUES (4, 'BDAV5');
commit;

exit;
