
-- *****************************
-- * wm extproc  populate      *
-- *****************************

-- (#) ./base/db/Oracle8i/metadata/extproc/wmext_populate.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 

-- insert the procedures that are available.
--
-- It is important that this table is synchronized with the wmext_pkg
-- package.  This will allow us to add external procedures without
-- writing a ton of java code.

-- Pick from one of the following return types.
-- 'I' // int
-- 'S' // string
-- 'D' // double

truncate table wme_extproc;

-- Offered Traffic
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'gos',        'D','wmext.ERLANGB_GOS', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'gosP',       'D','wmext.POISSON_GOS', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'circuits',   'I','wmext.ERLANGB_CIRCUITS', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'circuitsP',  'I','wmext.POISSON_CIRCUITS', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'capacity',   'D','wmext.ERLANGB_CAPACITY', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'capacityB',  'D','wmext.ERLANGB_CAPACITY', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'capacityP',  'D','wmext.POISSON_CAPACITY', 2, 0);

-- Carried Traffic
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'gosCarried',        'D','wmext.ERLANGB_GOS_C', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'gosCarriedP',       'D','wmext.POISSON_GOS_C', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'offTraffic',        'D','wmext.ERLANGB_OFFERED_C', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'offTrafficP',       'D','wmext.POISSON_OFFERED_C', 2, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'requiredCircuits',  'I','wmext.ERLANGB_REQUIRED_C', 3, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'requiredCircuitsP', 'I','wmext.POISSON_REQUIRED_C', 3, 0);

-- ErlangC
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'delayProbabilityC',           'D','wmext.ERLANGC_ACCEPTABLE', 4, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'notAcceptDelayProbabilityC',  'D','wmext.ERLANGC_UNACCEPTABLE', 4, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'avrgDelayAllCallsC',          'D','wmext.ERLANGC_DELAY_ALL', 4, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'avrgDelayDelayedCallsC',      'D','wmext.ERLANGC_DELAYED', 4, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'criticalTrafficOfferedC',     'D','wmext.ERLANGC_OFFERED', 4, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'criticalTrafficCarriedC',     'D','wmext.ERLANGC_CARRIED', 4, 0);
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'numCircuitsC',                'I','wmext.ERLANGC_CIRCUITS', 4, 0);


-- Kaufmann Roberts
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'KaufmanMinC',    'I','wmext.KAUFMAN_MINC', 4, 20 );
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'KaufmanAllC',    'I','wmext.KAUFMAN_ALLC', 3, 20 );
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'KaufmanPB',      'D','wmext.KAUFMAN_PB', 4, 20 );
INSERT INTO wme_extproc values( wme_extproc_seq.NextVal, 'KaufmanMaxPB',   'D','wmext.KAUFMAN_MAXPB', 3, 20 );

commit;
