---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/metadata/saext/pop_system_val.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

DECLARE
   lHost VARCHAR2(100);
BEGIN

   -- Defines the use of External SoftAlarms
   -- By default this is FALSE. It must be manually set to TRUE to enable SAEXT.
   wm_sysval.newsysvalifnotexists('SAEXT_SOFTALARM', 'FALSE');

   -- Defines the default option for the GUI
   wm_sysval.newsysvalifnotexists('SAEXT_AGGREGATOR', 'STDDEV-I');

   -- SAEXT Dequeue timeout in seconds
   wm_sysval.newsysvalifnotexists('SAEXT_DEQUEUE_TIMEOUT', '5');

   -- Enrich procedure and days range
   -- An example of the procedure is saext.enrich_eric
   wm_sysval.newsysvalifnotexists('SAEXT_ENRICH', 'NONE');
   wm_sysval.newsysvalifnotexists('SAEXT_ENRICH_DAYS', '7');

   -- DB Link name used for pushing SAAEXT alarms to the remote system
   wm_sysval.newsysvalifnotexists('SAEXT_LINK', 'SAEXT');

   -- Minimum storage, in days, for the saext_kpi_tab. Default of 5 weeks
   wm_sysval.newsysvalifnotexists('SAEXT_MIN_STORAGE', '35');

   BEGIN
      -- Hostname
      SELECT UPPER(SYS_CONTEXT('USERENV','HOST')) INTO lHost FROM DUAL;
      wm_sysval.newsysvalifnotexists('SAEXT_ORIGIN', lHost);
   EXCEPTION 
      WHEN NO_DATA_FOUND THEN
         wm_sysval.newsysvalifnotexists('SAEXT_ORIGIN', 'UNKNOWN');
   END;

   -- Remote package.procedure name 
   wm_sysval.newsysvalifnotexists('SAEXT_PROCEDURE', 'Schema.Package.NewAlarmEvent');

   -- A FALSE means that we send a NULL severity to the remote system
   wm_sysval.newsysvalifnotexists('SAEXT_SEVERITY', 'FALSE');

   -- Defines the default option for the GUI
   wm_sysval.newsysvalifnotexists('SAEXT_STDDEV', '3.29');

   -- Prevent the storage of KPI values <= 0
   wm_sysval.newsysvalifnotexists('SAEXT_STORE_LE_ZERO', 'FALSE');

   -- Default SAEXT_TAG_HARDFAIL 
   wm_sysval.newsysvalifnotexists('SAEXT_TAG_HARDFAIL', '0.5');

   -- Default SAEXT_TAG_NETWORKDOMAIN 
   wm_sysval.newsysvalifnotexists('SAEXT_TAG_NETWORKDOMAIN', 'RAN');

   -- Default TECH string for the remote system
   wm_sysval.newsysvalifnotexists('SAEXT_TECH', 'UMTS');

   -- Vendor name
   -- This may require a manual change due to the order of the installation
   wm_sysval.newsysvalifnotexists('SAEXT_VENDOR', 'NONE');

END;
/

COMMIT;

