---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2000,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/metadata/utility/analyzeSchedule.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
--
--  SEAde45124: Run Job once per day @ 2200.

set serveroutput on size 100000;

DELETE FROM schedule
WHERE job_type = 20
  AND sched_fk = 15;

-- Create an immediate job
INSERT INTO SCHEDULE
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk) values
(schedule_seq.nextval,
 20,
 sysdate,
 null,
 'I',
 1,
 15);

-- And a regularly scheduled one
INSERT INTO schedule
(schedule_id,
 job_type,
 start_time,
 end_time,
 period,
 frequency,
 sched_fk,
 is_optional) VALUES
(schedule_seq.nextval,
 20,
 trunc(sysdate+1, 'DD') + ( 22/24 ),
 null,
 'D',
 1,
 15,
 'Y');

commit;
--exit;

