---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/part_maint/part_task.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
-- Schema for part_task
--
---------------------------------------------------------------------------

CREATE OR REPLACE TYPE session_id_rowtype AS OBJECT( job_id INTEGER );
/

CREATE OR REPLACE TYPE session_id_tabletype AS TABLE OF session_id_rowtype;
/

CREATE TABLE part_task (
        job_id          INTEGER NOT NULL,
        task_id         INTEGER NOT NULL,
        status_code     INTEGER NOT NULL,
        operation       INTEGER NOT NULL,
        task_date       DATE NOT NULL,
        part_table_id   INTEGER NOT NULL,
        table_name      VARCHAR2(30) NOT NULL,
        tablespace_name VARCHAR2(30) NOT NULL,
        period          CHAR(1) NOT NULL,
        run_hourly      CHAR(1) NOT NULL,
        run_daily       CHAR(1) NOT NULL,
        run_weekly      CHAR(1) NOT NULL,
        run_monthly     CHAR(1) NOT NULL,
        needs_export    CHAR(1) NOT NULL,
        needs_analyze   CHAR(1) NOT NULL,
        needs_move      CHAR(1) NOT NULL,
        needs_purge     CHAR(1) NOT NULL,
        future_part     INTEGER,
        past_part       INTEGER,
        part_name       VARCHAR2(30),
        add_sproc       VARCHAR2(2000),
        drop_sproc      VARCHAR2(2000),
        pre_drop_sproc  VARCHAR2(2000),
        stat_mask       INTEGER NOT NULL,
        creation_date   DATE,
        termination_date   DATE,
        move_parallelism_degree number(2),
        stats_parallelism_degree number(2), 
CONSTRAINT pk_part_task 
   PRIMARY KEY (job_id, task_id),
CONSTRAINT fk_part_task_task 
   FOREIGN KEY (job_id, task_id) 
   REFERENCES active_task(job_id, task_id) ON DELETE CASCADE
)
INITRANS 32
tablespace wm_flexpm;


-- This is now UNIQUE
CREATE UNIQUE INDEX part_task_operation_idx 
     on part_task( job_id, task_id, operation ) 
     INITRANS 32 
     TABLESPACE wm_flexpm;


CREATE OR REPLACE VIEW part_task_active
AS
   SELECT * FROM part_task
   WHERE status_code = 3 -- g_OPS_Active
/

