

-- Desc: Table required for storing limits data for unified forecasting. 
-- This table identifies each limit by using the entity_id, field_id and
-- limit name. The default_num_value column contains the system default 
-- values for each limit. The user_num_value contains the modified value.
-- By not overriding the default_num_value we can alway return to system
-- default values.
--
-- Author: cullinc
--
-- Date: 21Mar06
CREATE TABLE wmn_field_attribute
(
field_id          INTEGER NOT NULL,
entity_id         INTEGER NOT NULL,
attribute_name    VARCHAR(64) NOT NULL,
default_num_value FLOAT,
user_num_value    FLOAT,
CONSTRAINT pk_wmn_field_attribute PRIMARY KEY (field_id, entity_id, attribute_name),
CONSTRAINT fk_wmn_field_attribute_eid FOREIGN KEY (entity_id) REFERENCES wmn_entity(entity_id),
CONSTRAINT fk_wmn_field_attribute_fid FOREIGN KEY (field_id) REFERENCES wmd_field_def(field_id)
)
TABLESPACE wm_flexpm;
