#!/bin/ksh
# ------------------------------------------------------------------------
# (#) ./base/db/Oracle8i/schemaAPI/sumdataent.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
#     COPYRIGHT WatchMark Corp 2003-2004
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

# $1 = Entity, $2 = Field, $3 = Scenario, $4 = starting date/time, $5 = ending date/time

nullOpt=0

while getopts n OPT
do
    case $OPT in
	n )  nullOpt=1 ;;
    esac
done

(( sCnt = $OPTIND - 1 ))
shift $sCnt

if [[ $# -lt 4 ]] 
then
    echo "usage: $SCRIPTNAME [-n] entity_name field_name 'scenario' 'dd-mon-yy hh' ['dd-mon-yy hh']"
    exit 1;
fi;

entName=$1;
fldName=$2;
scnString=$3;
shift 3;
startDate=$1;
shift;
if [[ $# > 0 ]]
then
    endDate=$1
    dateString="BETWEEN TO_DATE('$startDate') AND TO_DATE('$endDate')"
else
    dateString="= TO_DATE('$startDate')"
fi

scnName=${scnString##*\\}
scnFolder=${scnString%\\*}


save=`sqlplus -s /NOLOG <<EOF | grep -v "Connect."
    connect $DB_CONNECT
    SET ECHO OFF
    SET FEEDBACK OFF
    SET PAGESIZE 0
    SET LINESIZE 150
    WHENEVER SQLERROR EXIT 1;
    ALTER SESSION SET NLS_DATE_FORMAT='DD-MON-YY HH24';
    SELECT Table_Name, Table_Column
      FROM wmda_field_reference
      WHERE Field_Name = '$fldName'
	AND Entity_Name = '$entName';
EOF`

if [[ $? -ne 0 ]] 
then
    print "ERROR: SQL Error retrieving Table and Column Name";
    exit 1;
fi;

if [[ ${save:-empty} = empty ]]
then
    print "ERROR: Can't find Entity/Field";
    exit 2;
fi

x=0
for sx in $save
do
    if [[ x -eq 0 ]] 
    then
	tabName=$sx;
    elif [[ x -eq 1 ]]
    then
	colName=$sx;
    fi;
    (( x=x+1 ));
done;

if [[ $nullOpt -eq 1 ]]
then
    nullString="AND $colName IS NOT NULL"
    print remove nulls - $nullString
else
    print retain nulls
fi

#exit;

sqlplus -s /NOLOG <<EOF
    connect $DB_CONNECT
    --SET ECHO OFF
    SET FEEDBACK OFF
    SET PAGESIZE 0
    SET LINESIZE 150
    ALTER SESSION SET NLS_DATE_FORMAT='DD-MON-YY HH24';
    --SELECT '$scnName', '$scnFolder' FROM DUAL;
    EXEC wm_Dictionary_Schema.scenario_entity_instances('$scnFolder', '$scnName', '$entName' );
    --SELECT * from wmda_Scenario_Instance_Tmp;
    COLUMN Time FORMAT A12;
    SELECT '*** Results Before Commit ***' FROM DUAL;
    SELECT t.FullKey, SUM( a.$colName )
      FROM $tabName a, wmda_Scenario_Instance_Tmp t
      WHERE a.instance_id = t.instance_id
        AND a.TStamp $dateString $nullString
      GROUP BY t.FullKey;
    SELECT '*** Results After Commit ***' FROM DUAL;
    COMMIT;
    SELECT t.FullKey, SUM( a.$colName )
      FROM $tabName a, wmda_Scenario_Instance_Tmp t
      WHERE a.instance_id = t.instance_id
        AND a.TStamp $dateString $nullString
      GROUP BY t.FullKey;
    SELECT '*** End ***' FROM DUAL;
EOF

#
