---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/softalarm/sacheck/sacheckschema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--


CREATE GLOBAL TEMPORARY TABLE en_saevent_unprocessed_tmp(event_id      INTEGER,
                                                     data_tstamp   DATE,
                                                     instance_id   INTEGER,
                                                     file_type_id  INTEGER,
                                                     entity_id     INTEGER,
          CONSTRAINT PK_EN_SAEVENT_UNPROCESSED_TMP PRIMARY KEY (EVENT_ID));
                                                     --schedule_id   INTEGER);

CREATE GLOBAL TEMPORARY TABLE en_event_schedule_tmp(event_id      INTEGER,
						    schedule_id   INTEGER,
	 CONSTRAINT pk_en_event_schedule_tmp PRIMARY KEY (event_id,schedule_id));


CREATE GLOBAL TEMPORARY TABLE en_eventlog_tmp (event_id     INTEGER,
					   schedule_id      INTEGER,
                                           msg1             VARCHAR2(512),
					   ordinal          INTEGER,
                                           file_type        VARCHAR2(30),
                                           tstamp           DATE,
                                           Entity_Name      VARCHAR2(30),
                                           fullkey          VARCHAR2(900),
                                           avail_flag       VARCHAR2(5));

CREATE INDEX en_eventlog_idx on en_eventlog_tmp(event_id,schedule_id,ordinal);

CREATE GLOBAL TEMPORARY TABLE en_schedule_sa_tmp(schedule_id         INTEGER,
				sa_id               INTEGER,
				scenario_id         INTEGER,
				field_id            INTEGER,
                                field_entity_id     INTEGER);

CREATE TABLE en_sched_safiletype_tmp(schedule_id         INTEGER,
                                     field_file_type     INTEGER);


/* CREATE TABLE en_schedule_sa_tmp(event_id            INTEGER,
                                event_file_type_id  INTEGER,
				event_data_tstamp   DATE,
                                event_entity_id     INTEGER,
                                event_instance_id   INTEGER,
                                schedule_id         INTEGER,
                                sa_id               INTEGER,
                                scenario_id         INTEGER,
                                field_id            INTEGER);
*/

CREATE GLOBAL TEMPORARY TABLE en_scenario_instance_tmp
                                     (scenario_id INTEGER,
                                      entity_id   INTEGER,
                                      instance_id INTEGER
                                        );

CREATE INDEX scenario_instance_tmp_idx on
en_scenario_instance_tmp(scenario_id,entity_id);

CREATE GLOBAL TEMPORARY TABLE wmd_field_file_map_vw_tmp
(SCHEDULE_ID  INTEGER,
 FIELD_ID     INTEGER,
 FIELD_NAME   VARCHAR2(128),
 TABLE_ID     INTEGER,
 FILE_TYPE_ID INTEGER
)
;

CREATE INDEX wmd_fld_file_mapv_tmp_idn1 ON wmd_field_file_map_vw_tmp
(SCHEDULE_ID, FILE_TYPE_ID)
;

CREATE TABLE sa_pending_sched
( 
  sched_id       INTEGER NOT NULL,
  base_datatime  DATE    NOT NULL,
  max_frequency  INTEGER NOT NULL,
  last_event_id  INTEGER NOT NULL,
 CONSTRAINT pk_sa_pending_sched PRIMARY KEY(sched_id,base_datatime),
 CONSTRAINT fk_sa_pending_schedID FOREIGN KEY (sched_id)
   REFERENCES schedule(schedule_id) ON DELETE CASCADE
)
TABLESPACE wm_flexpm
/

CREATE TABLE sa_pending_sched_msg
(
  sched_id       INTEGER NOT NULL,
  base_datatime  Date  NOT NULL,
  ordinal        INTEGER,
  msg            VARCHAR2(512),
  file_type      VARCHAR2(30),
  tstamp         DATE,
  Entity_Name    VARCHAR2(30),
  fullkey        VARCHAR2(900),
  avail_flag     VARCHAR2(5),
 CONSTRAINT pk_sa_pending_sched_msg PRIMARY KEY(sched_id, base_datatime, ordinal),
 CONSTRAINT fk_sa_psmsg_sid_ts FOREIGN KEY (sched_id, base_datatime)
   REFERENCES sa_pending_sched (sched_id, base_datatime) ON DELETE CASCADE 
)
TABLESPACE wm_flexpm
/

exit;
