---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/softalarm/saext/saext_kpi_tab.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

--
-- SAEXT KPI cache table, with monitoring
--

DECLARE 
     sqlStr         VARCHAR2(4000);
BEGIN

 sqlStr := ' CREATE TABLE saext_kpi_tab ( '
        || ' tstamp   DATE  NOT NULL, '
        || ' sa_id    INTEGER NOT NULL, '
        || ' instance_id    INTEGER NOT NULL, '
        || ' correlation_task_id  INTEGER DEFAULT 0 NOT NULL, '
        || ' exclude    CHAR(1) DEFAULT ''N'' NOT NULL, '
        || ' value    FLOAT   NOT NULL, '
        || ' CONSTRAINT pk_saext_kpi_tab PRIMARY KEY (tstamp, sa_id, instance_id) ENABLE, '
        || ' CONSTRAINT exclude_chk CHECK (exclude IN (''N'', ''Y'')) ENABLE ) '
        || ' ORGANIZATION INDEX PARTITION BY RANGE(tstamp) ' 
        || ' ( '
        || ' PARTITION P' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D'), 'YYYYMMDDHH24')
        || ' VALUES LESS THAN(to_date(' || to_char(wm_date.trunc_to_last_period(SYSDATE, 'D') +1, 'YYYYMMDDHH24') || ',''YYYYMMDDHH24'')) '
        || ' ) ' 
        || ' TABLESPACE traffic_jumbo MONITORING ' ;
               
       BEGIN
          execute immediate sqlStr;
       EXCEPTION
          WHEN OTHERS THEN
            dbms_output.put_line('ERROR: in create saext_kpi_tab ' || SQLERRM);
       END;  
END;
/



