---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2005,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/softalarm/soft_alarm_typePack.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
CREATE OR REPLACE TYPE soft_alarm_type AS OBJECT
-- -----------------------------------------------------------------------
-- This is an Oracle object rendering of the Soft Alarm Message
-- described in section 3.2 of the PM-FM Message Definition
-- Document for CDMA Advanced Element Management System (AEMS)
-- for R18, Version 1.0, 2005-07-18.
--
-- Note: Prospect does not currently support alarm_time (the time at
-- which the threshold was crossed). Generated_time is the only available
-- field. The alarm_time field is included for completeness of the
-- interface, but will be the same value as generated_time.
-- Object_class is required to allow the recipient to interpret the
-- managed_object identifier (as no class information is encoded into
-- the identifier string i.e: "123-456-78").
-- If the object_class is null, then the managed_object can be assumed
-- to be in TeMIP form.
--
-- SEAde63183 Adding localization Text to satisfy ICD. Will always be null
-- for the moment.
-- -----------------------------------------------------------------------
(
  object_class          VARCHAR2(256),
  managed_object        VARCHAR2(256),
  alarm_event_type      INTEGER,
  alarm_time            TIMESTAMP,
  alarm_severity        INTEGER,
  alarm_probable_cause  INTEGER,
  generated_time        TIMESTAMP,
  additional_text       VARCHAR2(1024),
  localized_text        NVARCHAR2(1024),
  --
  -- Constructor
  --
  STATIC FUNCTION construct(
    objectClass         VARCHAR2,
    managedObject       VARCHAR2,
    alarmEventType      INTEGER,
    alarmTime           TIMESTAMP,
    alarmSeverity       INTEGER,
    alarmProbableCause  INTEGER,
    generatedTime       TIMESTAMP,
    additionalText      VARCHAR2,
    localizedText      NVARCHAR2)
      RETURN soft_alarm_type
)
/
SHOW ERRORS TYPE soft_alarm_type;

