---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/summarize/summ_task.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
-- Schema for summ_task
--

CREATE OR REPLACE TYPE summ_session_id_rowtype AS OBJECT( job_id INTEGER );
/

CREATE OR REPLACE TYPE summ_session_id_tabletype AS TABLE OF summ_session_id_rowtype;
/

CREATE TABLE summ_task (
        job_id               INTEGER NOT NULL,
        task_id              INTEGER NOT NULL,
        status_code          INTEGER NOT NULL,
        task_date            DATE NOT NULL,
        id                   INTEGER NOT NULL,
        name                 VARCHAR2(128) NOT NULL,
        cluster_entity_id    INTEGER NOT NULL,
        firstneeded          DATE NOT NULL,
        span                 CHAR(1) NOT NULL,
        firstavail           DATE,
        lastavail            DATE,
        table_id             INTEGER NOT NULL,
        ret_rows             INTEGER NOT NULL,
        table_name           VARCHAR2(30) NOT NULL,
        tablespace_name      VARCHAR2(30) NOT NULL,
        start_date           DATE NOT NULL,
        end_date             DATE NOT NULL,
CONSTRAINT pk_summ_task 
   PRIMARY KEY (job_id, task_id),
CONSTRAINT fk_summ_task_task 
   FOREIGN KEY (job_id, task_id) 
   REFERENCES active_task(job_id, task_id) ON DELETE CASCADE
)
INITRANS 32
tablespace wm_flexpm;


CREATE INDEX summ_task_status_code_idx 
     on summ_task( job_id, task_id, status_code ) 
     INITRANS 32 
     TABLESPACE wm_flexpm;


CREATE GLOBAL TEMPORARY TABLE summ_dates_tmp (
   start_date DATE NOT NULL,
   end_date   DATE NOT NULL,
   CONSTRAINT pk_summ_dates_tmp PRIMARY KEY (start_date, end_date)
) ON COMMIT PRESERVE ROWS;


CREATE GLOBAL TEMPORARY TABLE summ_entity_tables_tmp (
   table_id        INTEGER,
   table_name      VARCHAR2(30),
   tablespace_name VARCHAR2(30),
   CONSTRAINT pk_summ_ent_tab_tmp PRIMARY KEY (table_id)
) ON COMMIT PRESERVE ROWS;


CREATE TABLE summ_sql (
   job_id     INTEGER NOT NULL,
   table_id   INTEGER NOT NULL,
   sqlstr     CLOB,
   daily_sqlStr CLOB,
   wm_sqlStr  CLOB,
   wmp_sqlStr CLOB,
   CONSTRAINT pk_summ_sql_tmp PRIMARY KEY ( job_id, table_id ),
   CONSTRAINT fk_summ_sql_job FOREIGN KEY ( job_id ) 
      REFERENCES active_job( job_id ) ON DELETE CASCADE
) TABLESPACE WM_FLEXPM;

