CREATE OR REPLACE TRIGGER PM_BusyHour_InsSumTrigger
  AFTER INSERT ON PM_BusyHour
  FOR EACH ROW
  WHEN (NEW.field_id IS NULL)

  DECLARE 

  BEGIN
          
     INSERT INTO wmd_dict_table (table_id,
       table_name,
       entity_id,
       is_time_series,
       summary_id,
       summary_col)
       (SELECT table_id,
       summarize.GenDestName(table_name, :NEW.span),
       entity_id,
       is_time_series,
       :NEW.id,
       NULL 
       FROM wmd_dict_table
       WHERE is_time_series = 'Y'
       AND summary_id = 0
       AND entity_id = :NEW.cluster_entity_id
       AND( 
              (summary_type.valid_DSM(summarize)=1 AND :NEW.span='D')
           OR (summary_type.valid_WSM(summarize)=1 AND :NEW.span='W')
           OR (summary_type.valid_MSM(summarize)=1 AND :NEW.span='M')
	  ));
  END;
/
show errors trigger PM_BusyHour_InsSumTrigger;  
EXIT;
-- ------------------------------------------------------------------------
-- Local Variables:
-- mode: pls
-- End:
