set pagesize 40;
column "Tablespace Name" format a15 trunc;
column "# Bytes" format 999999999999;
column "# Used"  format 999999999999;
column "# Free"  format 999999999999;
column "Over"    format a4;
column "% Free"  format 99.999;


SELECT ts.tablespace_name    "Tablespace Name",
       ts.ts_size                    "# Bytes",
       ts.ts_size - free.ts_free     "# Used",
       free.ts_free                  "# Free",
       (free.ts_free/ts.ts_size)*100 "% Free",
       decode(sign((free.ts_free/ts.ts_size)*100 - 10), 1, ' ', '<#>') "Over"
FROM 
(SELECT tablespace_name, sum(bytes) ts_size
 FROM sys.dba_data_files
 GROUP BY tablespace_name) ts,
(SELECT df.tablespace_name, sum(nvl(fs.bytes, 0)) ts_free
 FROM sys.dba_free_space fs, sys.dba_data_files df
 WHERE fs.file_id (+)= df.file_id
 GROUP BY df.tablespace_name) free
WHERE
      ts.tablespace_name = free.tablespace_name
ORDER BY ts.tablespace_name;


