---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/db/Oracle8i/xr/xr_schema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

BEGIN
   execute immediate 'DROP TABLE xr_dtscope_tmp';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'DROP TABLE xr_dtscope_sbh_tmp';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'DROP TABLE xr_trunc_tmp';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'DROP TABLE xr_nsbh_tmp';
EXCEPTION
   WHEN OTHERS THEN
      NULL;
END;
/

BEGIN
   execute immediate 'CREATE GLOBAL TEMPORARY TABLE xr_dtscope_tmp '
     || '(tstamp_id INTEGER, tstamp DATE) ON COMMIT PRESERVE ROWS';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'CREATE GLOBAL TEMPORARY TABLE xr_dtscope_sbh_tmp '
     || '(tstamp_id INTEGER, tstamp DATE) ON COMMIT PRESERVE ROWS';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'CREATE GLOBAL TEMPORARY TABLE xr_trunc_tmp '
     || '(tstamp_id INTEGER, tstamp DATE) ON COMMIT PRESERVE ROWS';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'CREATE GLOBAL TEMPORARY TABLE xr_nsbh_tmp ('
     || 'instance_id INTEGER, tstamp DATE, value FLOAT, confidencefactor FLOAT '
     || ') ON COMMIT PRESERVE ROWS';
EXCEPTION
    WHEN OTHERS THEN
      NULL;
END;
/

BEGIN
   execute immediate 'CREATE GLOBAL TEMPORARY TABLE xr_scenario_tmp ('
     || 'entity_id INTEGER, '
     || 'instance_id INTEGER, '
     || 'parentinstance_id INTEGER, '
     || 'localkey VARCHAR2(90) '
     || ') ON COMMIT PRESERVE ROWS';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'CREATE INDEX xr_scenario_instid_idx ON xr_scenario_tmp(entity_id, instance_id)';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'CREATE INDEX xr_scenario_pid_idx ON xr_scenario_tmp(entity_id, parentinstance_id)';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/

BEGIN
   execute immediate 'CREATE GLOBAL TEMPORARY TABLE xr_instance_tmp ('
     || 'fullkey VARCHAR2(900) '
     || ') ON COMMIT PRESERVE ROWS';
EXCEPTION
   WHEN OTHERS THEN
     NULL;
END;
/


BEGIN
   execute immediate 'CREATE GLOBAL TEMPORARY TABLE xr_tstamp_range_tmp ('
   ||  'min_tstamp DATE NOT NULL, '
   ||  'max_tstamp DATE NOT NULL '
   ||  ') ON COMMIT PRESERVE ROWS';
EXCEPTION
   WHEN OTHERS THEN
      NULL;
END;
/
   

CREATE OR REPLACE VIEW xr_entity_hierarchy AS
  SELECT e.entity_name entity_name, pe.entity_name parententity_name
    FROM
    wmn_context c,
    wmn_entity_context ec,
    wmn_entity e,
    wmn_entity pe
    WHERE
    c.context_use = 'R'
    AND ec.context_id = c.context_id
    AND e.entity_id = ec.entity_id
    AND pe.entity_id = ec.parent_entity_id;
  
-- ----------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
