remark ************************************************************************
remark ** @(#) drop_prospect_owner.sql = remove schema owner
remark ** @(#) ./base/dbuser/drop_prospect_owner.sql ; BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
remark ************************************************************************
remark USAGE:sqlplus {DB_CONNECT} drop_prospect_owner.sql args...
remark   Args : SYSPASSWD DBUSER DBPASSWD DBSID
remark   OR  runsql sys drop_prospect_owner.sql
remark SEE ALSO: ../dbuser/Makefile     -- make clean


PROMPT ************************************************************************
PROMPT **  PROSPECT SCHEMA SETUP        ../dbuser/./base/dbuser/drop_prospect_owner.sql
PROMPT ************************************************************************
PROMPT **  Check that the following are done before using './base/dbuser/drop_prospect_owner.sql'
PROMPT **  (1) Database instance has been created
PROMPT **  (2) ORACLE_HOME and ORACLE_SID are set
PROMPT ************************************************************************

--CONNECT SYS/&1@&3;

set verify off
set serveroutput on SIZE 500000 format wrapped
set feed off
  
PROMPT Dropping user &2@&4 ...
  
DECLARE   
  Type vTable  IS TABLE OF VARCHAR2(500) INDEX BY Binary_Integer; 

  vDrop_User vTable; 

  vDba_users_rec	DBA_USERS%RowType;
  vSql Varchar2(600);
  vMax_Row INTEGER;
  vSchema VARCHAR2(30);
  
BEGIN
   
   SELECT Upper('&2') INTO vSchema FROM Dual;  
   
   vDrop_User (1) := 'drop user &2 cascade ';
   
   Select * into vDBA_Users_Rec
     From DBA_USERS
     Where UserName = vSchema;
   
   Dbms_Output.Put_Line (' ');
   Dbms_Output.Put_Line ('User Name                Account Status           Date Created');
   Dbms_Output.Put_Line ('-------------------      ------------------       --------------------');
   Dbms_Output.Put_Line (Rpad(vDba_users_rec.UserName,25,' ') || Rpad(vDba_users_rec.Account_Status,25,' ') || To_Char(vDba_users_rec.Created,'yyyy-Mon-dd hh24:mi:ss') );
   Dbms_Output.Put_Line (' ');
   
   vMax_Row := vDrop_User.Count;

   For I in 1..vMax_Row
   Loop
     Begin
       vSql := vDrop_User(I);
       Execute Immediate vSql;         
     Exception
       When Others Then
            Dbms_output.put_line ('ERROR : ' || vSql );
            Dbms_output.put_line (SQLERRM);
            Dbms_Output.Put_Line (' ');
     End;
   End Loop;
   
   BEGIN
       Select * into vDBA_Users_Rec
     From DBA_USERS
         Where UserName = vSchema;
   EXCEPTION
      WHEN No_Data_Found THEN 
        Dbms_Output.Put_Line (' ');
        Dbms_output.put_line (vSchema ||'@&4 has been DROPPED');
        Dbms_Output.Put_Line (' ');
   END;
EXCEPTION
   WHEN No_Data_Found THEN
     Dbms_Output.Put_Line (' ');
     Dbms_output.put_line (vSchema ||'@&4 DOES NOT EXISTS');
     Dbms_Output.put_line (' ');
     
END;     
/

EXIT;

--
------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:
