-- @(#) ../dbuser/pros_owner.sql = create schema owner
-- @(#) ./base/dbuser/prospect_owner.sql ; BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938

prompt ************************************************************************
prompt **  PROSPECT SCHEMA SETUP        ../dbuser/./base/dbuser/prospect_owner.sql
prompt ************************************************************************
prompt **  Check that the following are done before using './base/dbuser/prospect_owner.sql'
prompt **  (1) Database instance has been created
prompt **  (2) ORACLE_HOME and ORACLE_SID are set
prompt ************************************************************************

remark USAGE:  sqlplus {DB_CONNECT} @pros_owner.sql SYSPASSWD DBUSER DBPASSWD DBSID

--connect sys/&1@&4 ;

set verify off
set serveroutput on SIZE 500000 format wrapped
set feed off


prompt Creating user &2@&4 ...

DECLARE   
  Type vTable  IS TABLE OF VARCHAR2(500) INDEX BY Binary_Integer; 

  vCreate_User vTable; 

  vDba_users_rec	DBA_USERS%RowType;
  vSql Varchar2(600);
  vMax_Row INTEGER;
  vSchema VARCHAR2(30);
  
BEGIN
   
   SELECT Upper('&2') INTO vSchema FROM Dual;  
   
   vCreate_User (1) := 'create user &2 identified by &3 default tablespace wm_client temporary tablespace temp ';
   
   Select * into vDBA_Users_Rec
     From DBA_USERS
     Where UserName = vSchema;
   
   Dbms_Output.Put_Line (' ');
   Dbms_output.put_line ('"' || vSchema || '@&4" EXISTS ALREADY');
   Dbms_Output.Put_Line (' ');
   Dbms_Output.Put_Line ('User Name                Account Status           Date Created');
   Dbms_Output.Put_Line ('-------------------      ------------------       --------------------');
   Dbms_Output.Put_Line (Rpad(vDba_users_rec.UserName,25,' ') || Rpad(vDba_users_rec.Account_Status,25,' ') || To_Char(vDba_users_rec.Created,'yyyy-Mon-dd hh24:mi:ss') );
   Dbms_Output.Put_Line (' ');
   
Exception
   When NO_DATA_FOUND THEN   
    vMax_Row := vCreate_User.Count;

   For I in 1..vMax_Row
   Loop
     Begin
       vSql := vCreate_User(I);
       Execute Immediate vSql;    
     Exception
       When Others Then
            Dbms_output.put_line ('ERROR : ' || vSql );
            Dbms_output.put_line (SQLERRM);
            Dbms_Output.Put_Line (' ');
     End;
   End Loop;
   
   Select * into vDBA_Users_Rec
     From DBA_USERS
     Where UserName = vSchema;
       
   Dbms_Output.Put_Line (' ');
   Dbms_Output.Put_Line ('User Name                Account Status           Date Created');
   Dbms_Output.Put_Line ('-------------------      ------------------       --------------------');
   Dbms_Output.Put_Line (Rpad(vDba_users_rec.UserName,25,' ') || Rpad(vDba_users_rec.Account_Status,25,' ') || To_Char(vDba_users_rec.Created,'yyyy-Mon-dd hh24:mi:ss') );
   Dbms_Output.Put_Line (' ');
    
End;
/	


EXIT;
--
------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:

