-- @(#) ../dbuser/status.sql = check the  schema owner
-- @(#) ./base/dbuser/prospect_status.sql ; BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
remark USAGE:  sqlplus {DB_CONNECT} @status.sql DBUSER DBPASSWD DBSID

  
set verify off
set serveroutput on SIZE 500000 format wrapped
set feed off
  
  
DECLARE 
  vDba_users_rec	DBA_USERS%RowType;
  
  Cursor Cur_Role  (pSchema VARCHAR2) IS 
    SELECT Granted_Role, Admin_Option, Default_Role
    FROM USER_ROLE_PRIVS
      WHERE UserName = pSchema
      ORDER BY Granted_Role;
    
    Cursor Cur_Sys_Privs (pSchema VARCHAR2) IS
      SELECT UserName, Privilege, Admin_Option
        FROM USER_SYS_PRIVS
        WHERE UserName = pSchema
        ORDER BY Privilege;
      
      Cursor Cur_Tab_Privs (pSchema  VARCHAR2) IS 
        SELECT Table_Name, Privilege
          FROM USER_TAB_PRIVS
          WHERE Grantee = pSchema
          ORDER BY Table_Name;
        
    vSchema VARCHAR2(30);
    
    FUNCTION Format (pString IN VARCHAR2, pLength IN INTEGER, 
                                          pPad_Str VARCHAR2  DEFAULT ' ') 
                     RETURN VARCHAR2 AS 
    BEGIN
       RETURN (Rpad (pString, pLength, pPad_Str));
    END Format;
    
    
Begin
   
   SELECT Upper('&2') INTO vSchema FROM Dual;
   
   Select * into vDBA_Users_Rec
     From DBA_USERS
     Where UserName = vSchema;
   
   Dbms_Output.Put_Line (' ');
   Dbms_Output.Put_Line ('User Name                Account Status           Date Created');
   Dbms_Output.Put_Line ('-------------------      ------------------       --------------------');
   Dbms_Output.Put_Line (Rpad(vDba_users_rec.UserName,25,' ') || Rpad(vDba_users_rec.Account_Status,25,' ') || To_Char(vDba_users_rec.Created,'yyyy-Mon-dd hh24:mi:ss') );
   Dbms_Output.Put_Line (' ');
   
   -- Roles   
   Dbms_Output.put_line (format('Role',35) || Format('Admin Option',15) || 'Default Role');
   Dbms_output.put_line (format('-',30,'-') || '     ' || format('-',12,'-') ||'   ' || format ('-',11,'-'));
   FOR R IN Cur_Role (vSchema)
   LOOP
      Dbms_output.put_line (Format(R.Granted_Role,35) || Format(R.Admin_Option,15) || Format (R.Default_Role,10));
      
   END LOOP;  -- Cur_Role
   
   -- System Privileges
   Dbms_Output.Put_Line (' ');
   Dbms_output.put_line (format('System Privilege',35) || format ('Admin Option',15));
   Dbms_output.put_line (format('-',30,'-') || '     ' || format ('-',12,'-'));
   
   FOR S IN Cur_Sys_Privs (vSchema)
   LOOP
      Dbms_Output.put_line (format(S.Privilege,35) || S.Admin_Option);
     
   END LOOP;   --  Cur_Sys_Privs (vSchema)
   
   Dbms_Output.Put_Line (' ');
   
   -- Table/Object Privileges
   Dbms_output.put_line (format('Table Name',35) || format('Privilege',30));
   Dbms_output.put_line (format('-',30,'-') || '     ' || format('-',30,'-'));
   
   FOR T IN Cur_Tab_Privs (vSchema)
   LOOP
      Dbms_Output.put_line (format (T.Table_Name,35) || T.Privilege);
   END LOOP;  --  Cur_Tab_Privs (vSchema)
   Dbms_Output.Put_Line (' ');
   
Exception
   When NO_DATA_FOUND Then
     Dbms_Output.Put_Line (vSchema || '@&3  SCHEMA DOES NOT EXISTS');
End;
/

Exit

 	
------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:	


