#!/bin/ksh
#
# (#) ./base/ldap/scripts/find_contexts.ksh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
#
# COPYRIGHT Watchmark Corp. 2004
#

#echo "Usage: $0 [-c] -h host -p port -D bind_dn -w password"
function usage {
   echo "Usage: $0 -h host -p port"
   exit 1
}

#
# Env check
#
if [[ -z ${FLEXPM_HOME} ]]
then
   echo 'ERROR: $FLEXPM_HOME has not been set.'
   exit 1
fi

WMLDAP_HOME=${FLEXPM_HOME}/ldap

# Should we build the client schema
WMLDAP_HOST=""
WMLDAP_PORT=""
WMLDAP_BIND_DN=""
WMLDAP_PASSWORD=""

#USAGE="h:p:D:w:"
USAGE="h:p:"

while getopts "${USAGE}" opt
do
   case $opt in
      h) WMLDAP_HOST=${OPTARG};;
      p) WMLDAP_PORT=${OPTARG};;
#      D) WMLDAP_BIND_DN=${OPTARG};;
#      w) WMLDAP_PASSWORD=${OPTARG};;
      *) usage;;
   esac
done

#if [[ -z ${WMLDAP_HOST} || -z ${WMLDAP_PORT} || -z ${WMLDAP_BIND_DN} || -z ${WMLDAP_PASSWORD} ]]
if [[ -z ${WMLDAP_HOST} || -z ${WMLDAP_PORT} ]]
then
   usage
fi

#
# Find the contexts
#
ldapsearch -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -s base -b "" "objectClass=*" namingContexts

# End
