#!/bin/ksh
#
# (#) ./base/ldap/scripts/load_vendor_data.ksh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
#
# COPYRIGHT Watchmark Corp. 2003
#

function usage {
   echo "Usage: $0 -h host -p port -D bind_dn -w password"
   exit 1
}

#
# Env check
#
if [[ -z ${FLEXPM_HOME} ]]
then
   echo 'ERROR: $FLEXPM_HOME has not been set.'
   exit 1
fi

if [[ -z ${VENDOR} ]]
then
   echo 'ERROR: $VENDOR has not been set.'
   exit 1
fi

WMLDAP_VENDOR_HOME=${FLEXPM_HOME}/vendor/${VENDOR}/ldap

# Should we build the client schema
WMCLIENT=0
WMLDAP_HOST=""
WMLDAP_PORT=""
WMLDAP_BIND_DN=""
WMLDAP_PASSWORD=""

USAGE="h:p:D:w:"

while getopts "${USAGE}" opt
do
   case $opt in
      h) WMLDAP_HOST=${OPTARG};;
      p) WMLDAP_PORT=${OPTARG};;
      D) WMLDAP_BIND_DN=${OPTARG};;
      w) WMLDAP_PASSWORD=${OPTARG};;
      *) usage;;
   esac
done

if [[ -z ${WMLDAP_HOST} || -z ${WMLDAP_PORT} || -z ${WMLDAP_BIND_DN} || -z ${WMLDAP_PASSWORD} ]]
then
   usage
fi

#
# Load the Attributes and Classes
#
ldapmodify -c -v -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -D "${WMLDAP_BIND_DN}" -w "${WMLDAP_PASSWORD}" \
 -f ${WMLDAP_VENDOR_HOME}/schema/create_watchmark_groups.ldif

ldapmodify -c -v -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -D "${WMLDAP_BIND_DN}" -w "${WMLDAP_PASSWORD}" \
 -f ${WMLDAP_VENDOR_HOME}/schema/create_watchmark_privileges.ldif

ldapmodify -c -v -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -D "${WMLDAP_BIND_DN}" -w "${WMLDAP_PASSWORD}" \
 -f ${WMLDAP_VENDOR_HOME}/schema/create_watchmark_roles.ldif

# End
