#!/bin/ksh
#
# (#) ./base/ldap/scripts/prep_base_templates.ksh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
#
# COPYRIGHT Watchmark Corp. 2003
#

function usage {
   echo "Usage: $0 -u wmunit -w wmsuffix -s suffix"
   exit 1
}

#
# Env check
#
if [[ -z ${FLEXPM_HOME} ]]
then
   echo 'ERROR: $FLEXPM_HOME has not been set.'
   exit 1
fi

WMLDAP_HOME=${FLEXPM_HOME}/ldap
WMUNIT=""
WMSUFFIX=""
SUFFIX=""
FBASE=""

USAGE="u:w:s:"

while getopts "${USAGE}" opt
do
   case $opt in
      w) WMSUFFIX=${OPTARG};;
      s) SUFFIX=${OPTARG};;
      u) WMUNIT=${OPTARG};;
      *) usage;;
   esac
done

if [[ -z ${WMSUFFIX} || -z ${SUFFIX} || -z ${WMUNIT} ]]
then
   usage
fi

for i in `ls ${WMLDAP_HOME}/schema/*.template`
do
   echo "Preparing ${i}"
   FBASE=`basename ${i} .template`
   sed "{ 
           s/%WMUNIT%/${WMUNIT}/g
           s/%WMSUFFIX%/${WMSUFFIX}/g
           s/%SUFFIX%/${SUFFIX}/g
        } " $i > ${WMLDAP_HOME}/schema/${FBASE}.ldif
done
