--  @(#) ../sql/prepareImport.sql = prepare schema for 'import'
--  @(#) ./base/migrate/prospect/sql/prepareImport.sql ; BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938

--  create temp tables

    drop table dummy_table;
    drop table TEMPLATE_FIELDS_NOT_FOUND;
    drop table PM_FILTER_TEMP;
    drop table PM_PARTITION_TEMP;
    drop table PM_CHANGRP_TEMP;
    drop table PM_CHANSETGRP_TEMP;
    drop table PM_CHANSET_TEMP;
    drop table PM_CHANNEL_TEMP;
    drop table PM_TREND_IMPACT_TEMP;
    drop table pm_folder_temp;
    drop table WMD_COL_DEF_ST_TMP;

--  used for inserting wmd_udc_def field records

    create table WMD_COL_DEF_ST_TMP
    (
        SubType_Id              INTEGER primary key,
        Default_Value   Varchar2(1000)
    );

    create table dummy_table
    (
        Id      	INTEGER,
        Field_Id        INTEGER,
        PRIMARY 	KEY (Id)
    );

--  for reporting rows not get loaded

    create table template_fields_not_found
    (
        id              integer,
        templateid      INTEGER,
        ordinal         INTEGER,
        field_id        INTEGER
    );

--  the following %_TEMP tables are used for loader
--  to get around the problem of setting KS flag.

    create table PM_FILTER_TEMP
    (
        id      VARCHAR2(64),
        temp    VARCHAR2(2048)
    );

    create table PM_PARTITION_TEMP
    (
        id      VARCHAR2(64),
        temp    VARCHAR2(64)
    );

    create table PM_CHANGRP_TEMP
    (
        id      VARCHAR2(64),
        temp    VARCHAR2(64)
    );

    create table PM_CHANSETGRP_TEMP
    (
        id      VARCHAR2(64),
        temp    VARCHAR2(64)
    );

    create table PM_CHANSET_TEMP
    (
        id      VARCHAR2(64),
        temp    VARCHAR2(64)
    );

    create table PM_CHANNEL_TEMP
    (
        id      VARCHAR2(64),
        temp    VARCHAR2(64)
    );

    create table PM_TREND_IMPACT_TEMP
    (
        id      INTEGER,
        impact  NUMBER
    );

--  this table used for finding parent folderid.
--  when loading pm_folder

    create table pm_folder_temp
    (
        id      	integer,
        parentName      varchar2(2048),
        name    	varchar2(255)
    );

--  disable trigger

    alter trigger wmq_Query_Tr_BI disable;
    alter trigger pm_feature_tr_bi disable;
    alter trigger pm_user_tr_biu disable;
    alter trigger schedule_post_trigger disable;

--  drop index

    drop index UNQ_Folder;

--  install functions

    @ ../sql/installImport.sql

--  populate pm_folder_temp

    execute populatepm_folder_temp;

--  disable scheduled reports (all of them)
--  to re-activate (later) use something like this
--  	update pm_schedule set scheduleactive='Y' where runmode='I';

    update pm_schedule set scheduleactive='N';
         
    commit;
    exit;

