#!/bin/ksh
#
# @(#) drop_watchmark_schema.ksh 1.2.0 03/11/21 11:17:56
# @(#) 
#
# COPYRIGHT Watchmark Corp. 2003
#

function usage {
   echo "Usage: $0 -h host -p port -D bind_dn -w password"
   exit 1
}

#
# Env check
#
if [[ -z ${FLEXPM_HOME} ]]
then
   echo 'ERROR: $FLEXPM_HOME has not been set.'
   exit 1
fi

WMLDAP_HOME=${FLEXPM_HOME}/ldap

WMLDAP_HOST=""
WMLDAP_PORT=""
WMLDAP_BIND_DN=""
WMLDAP_PASSWORD=""

USAGE="h:p:D:w:"

while getopts "${USAGE}" opt
do
   case $opt in
      h) WMLDAP_HOST=${OPTARG};;
      p) WMLDAP_PORT=${OPTARG};;
      D) WMLDAP_BIND_DN=${OPTARG};;
      w) WMLDAP_PASSWORD=${OPTARG};;
      *) usage;;
   esac
done

if [[ -z ${WMLDAP_HOST} || -z ${WMLDAP_PORT} || -z ${WMLDAP_BIND_DN} || -z ${WMLDAP_PASSWORD} ]]
then
   usage
fi


#
# Drop the objectClasses first, then the attributes
#
ldapmodify  -c -v -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -D "${WMLDAP_BIND_DN}" -w "${WMLDAP_PASSWORD}" -f drop_wm_classes.ldif

ldapmodify  -c -v -h ${WMLDAP_HOST} -p ${WMLDAP_PORT} -D "${WMLDAP_BIND_DN}" -w "${WMLDAP_PASSWORD}" -f drop_wm_attributes.ldif

# End
