#!/bin/ksh
# USAGE:  jboss.sh [directory to install to] [directory containing jboss download zip file]

# setup variables for use
  install_location=$1
  jboss_zip_location=$2
  export JBOSS_VERSION=jboss-4.0.5.GA
  jboss_zip=${jboss_zip_location}/${JBOSS_VERSION}.zip

# exit if can't find the jboss zip file
  if [[ ! -e ${jboss_zip} ]]; then
      echo "Missing Jboss zip file ${jboss_zip}"
      exit 1;
  fi

echo 'Starting Jboss install'
# create the install directory if it does not exist
  if [[ ! -d ${install_location}/pm/pas ]]; then
    mkdir -p ${install_location}/pm/pas
  fi

# unzip (using jar) the jboss version into the pm/pas directory
  if [[ -e ${jboss_zip} ]]; then
    cd ${install_location}/pm/pas
    jar -xvf ${jboss_zip}
    if [ $? -ne 0 ]
    then
       echo "Jboss install failed"
       exit 1
    fi
    cd -
  fi

# remove the files that conflict with our build
rm ${install_location}/pm/pas/${JBOSS_VERSION}/server/default/deploy/jms/hsqldb-jdbc2-service.xml
rm ${install_location}/pm/pas/${JBOSS_VERSION}/server/default/deploy/jms/hsqldb-jdbc-state-service.xml

echo 'Completed Jboss install' 


