-- ----------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/rename_partitions.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
--
-- The following script gets partitions with wrong names from daily partitioned tables and renames them
--

PROMPT START rename_partitions.sql

DECLARE
   
   cursor part_cur IS
     select uo.subobject_name partition_name ,uo.object_name table_name
     from user_objects uo, part_tables pt
     where uo.object_name=upper(pt.table_name)
     and pt.period='D'
       and uo.subobject_name not like 'P%00';
     
     new_name VARCHAR2(100) := NULL;
     
     sqlstr VARCHAR2(2000) := NULL;
   
BEGIN
   
   FOR part_rec IN part_cur LOOP
      
      new_name := substr(part_rec.partition_name,1,9)||'00';
      
      sqlstr :=  'alter table ' || part_rec.table_name  || 
	' rename partition '|| part_rec.partition_name || 
	' to '|| new_name;
      
      BEGIN
	 
	 execute immediate sqlstr;
	 
      EXCEPTION
	 
	 WHEN OTHERS THEN
	   
	   RAISE;
	   
      END;
      
      
      
      
   END LOOP;
   
   
END;

/

PROMPT END rename_partitions.sql DONE

