---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./base/migrate/upgrades/sql/Generic/upgrade_compile_schema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
--  @(#) compile-schema.sql = invoke 'dbms_utility.compile_schema'
--  NOTES:
--    to recompile procedures, see "${ORACLE_HOME}/rdbms/admin/utlrp.sql"
--  SEE ALSO:
--    ./sw/oracle/analyze-schema.sql , ./sw/oracle/compile-schema.sql 

whenever sqlerror exit sql.sqlcode ;

PROMPT START upgrade_compile_schema.sql

PROMPT #################
PROMPT Compiling schema
exec dbms_utility.compile_schema ( user, FALSE ) ;

PROMPT #################
PROMPT Compiling views
set feedback off
set head off
set pages 100
set lines 1000
set timing off
spool /tmp/validate_vw.sql
select 'alter view '||object_name||' compile;'
  from user_objects
  where object_type = 'VIEW'
    and status = 'INVALID';
spool off
start /tmp/validate_vw.sql
host rm /tmp/validate_vw.sql
set timing on

PROMPT END upgrade_compile_schema.sql DONE
