-- ----------------------------------------------------------------------
-- @(#) upgrade_sbi.sql 1.1.0 05/03/29 14:43:20
-- @(#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
-- SYSTEM PRIVILEGES
-- ----------------------------------------
!./update_system_privs805.sh SBI
-- ----------------------------------------


-- ---------------------------------------------------------------------------
-- Install SBI Objects
-- ---------------------------------------------------------------------------
--


-- ---------------------------------------------------------------------------
-- Install SBI procs?
-- ---------------------------------------------------------------------------
--
-- Upgrade special condition:
--
-- Install SBI stored procedures only if checkinstall returns a
-- number > 6000. This file should be executed after
-- upgrade_sp_views.sql has been executed to make sure
-- the correct procedure checkinstall exists.
--
-- SEAde32314: Check if Java Classes and XML Xdk are installed
--             prior to installing SBI objects.
-- ---------------------------------------------------------------------

PROMPT START upgrade_sbi805.sql 

variable install_sbi char(1)
declare n number;
begin
-- begin Change made by Hema 12-07-04
  post_install_check(n);
  if n = 1 then 
-- end change made by Hema 12-07-04
      :install_sbi := 'Y';
  else
      :install_sbi := 'N';
  end if;
end;
/


set termout off
set heading off
set timing off
spool sbi_install.sql

select '-- NO SBI STORED PROCS' colname
  from dual
 where :install_sbi = 'N'
union all
select 'prompt Installing SBI stored procedures' colname
  from dual
 where :install_sbi = 'Y'
union all
select '@upgrade_sbi_sp805.sql' colname
  from dual
 where :install_sbi = 'Y'
;


spool off;
set heading on
set timing on
set termout on

@sbi_install.sql

commit;

PROMPT END upgrade_sbi805.sql DONE
