-- @(#) upgrade_schema.sql = 1.7 08/02/03 22:49:04 rogersj
--
PROMPT START upgrade_schema805.sql
PROMPT
PROMPT BH_Clean_tmp...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_Clean_tmp.sql
PROMPT
PROMPT BH_Driver_tmp...
@ $FLEXPM_HOME/db/Oracle8i/bh/BH_Driver_tmp.sql
PROMPT
PROMPT busyhour_task...
@ $FLEXPM_HOME/db/Oracle8i/bh/busyhour_task.sql
PROMPT

PROMPT
PROMPT part_task...
@ $FLEXPM_HOME/db/Oracle8i/part_maint/part_task.sql
PROMPT
PROMPT part_stat...
@ $FLEXPM_HOME/db/Oracle8i/part_maint/part_stat.sql
PROMPT
PROMPT summ_task...
@ $FLEXPM_HOME/db/Oracle8i/summarize/summ_task.sql
PROMPT
PROMPT create_util_trace...
@ $FLEXPM_HOME/db/Oracle8i/utility/create_util_trace.sql
BEGIN
   run_sql( ' ALTER TABLE pm_snmp_group add ( '
         || '  snmp_group_type     VARCHAR2(10) DEFAULT ''EH'' CONSTRAINT ck_pm_snmp_group_type '
         || '   CHECK (snmp_group_type IN (''EH'', ''SA''))) ' );
   run_sql( ' ALTER TABLE PM_PageSetup modify (SplitKey VARCHAR2(256)) ' );
   run_sql( ' ALTER TABLE wmn_Entity add maptablename VARCHAR2(30) ' );
   run_sql( ' ALTER TABLE ACTIVE_TASK PCTFREE 35 ');
   run_sql( ' ALTER TABLE ACTIVE_TASK MOVE ');
   run_sql( ' ALTER INDEX PK_ACTIVE_TASK REBUILD ');
   run_sql( ' ALTER INDEX ACTIVE_TASK_UNQ REBUILD ');
   run_sql( ' CREATE TABLE schedule_maint ( '
         || '  job_type_id         INTEGER, '
         || '  sched_fk            INTEGER, '
         || '  job_type_name       VARCHAR2(50) NOT NULL, '
         || '  last_start          DATE, '
         || '  last_end            DATE, '
         || '  last_succ_start     DATE, '
         || '  last_succ_end       DATE, '
         || '  status_code         CHAR(1), '
         || '  last_job_id         INTEGER, '
         || '  CONSTRAINT wm_schedule_maint_id_unq   UNIQUE ( job_type_id, sched_fk ), '
         || '  CONSTRAINT wm_schedule_maint_name_unq UNIQUE ( job_type_name ) '
         || ' ) '
         || ' TABLESPACE wm_flexpm ' );
   run_sql( 'ALTER TABLE rg_schedule ADD pe_resultfolder INTEGER ');
   run_sql( 'ALTER TABLE rg_schedule ADD CONSTRAINT FK_rg_Schd_resultfolder ' 
         || '   FOREIGN KEY(pe_resultfolder) REFERENCES PM_Folder(Id) ');
   gen_scheduler_view.write_code( 'RG_SCHEDULE', 1 );
   run_sql( ' CREATE INDEX pm_scenario_query_id_idx ON pm_scenario(query_id) '
	       || ' TABLESPACE wm_client ' );
   run_sql( ' CREATE INDEX pm_reportspec_bhscen_id_idx ON '
	       || ' PM_Reportspec(bhscenario_id) TABLESPACE wm_client ' );
   run_sql( ' CREATE INDEX pm_report_pagesetupid_idx ON '
	       || ' pm_report(pagesetupid) TABLESPACE wm_client ' );
   run_sql( ' ALTER TABLE PM_DTSCOPE ADD '
         || ' ( '
         || ' StartOfWeek      INTEGER       DEFAULT NULL '
         || ' ) ' );
   run_sql( ' ALTER TABLE PM_DTSCOPE '
         || ' ADD CONSTRAINT CHK_DTScope_StartOfWeek_ck CHECK (StartOfWeek BETWEEN 0 AND 6) ' );
   run_sql( ' DROP INDEX pm_report_specid_idx '); -- Place in WM_Client TS
   run_sql( ' CREATE INDEX pm_report_specid_idx ON pm_report( reportspecid ) TABLESPACE WM_Client ' );
   run_sql( ' CREATE INDEX pm_report_dtscope_idx ON pm_report( dtscopeid ) TABLESPACE WM_Client ' );
   run_sql( ' ALTER TABLE part_tables DROP CONSTRAINT unq_part_table ' );
   run_sql( ' ALTER TABLE part_tables ADD (stat_mask INTEGER DEFAULT 127 NOT NULL, '
         || ' CONSTRAINT part_tables_mask_ck CHECK (stat_mask >= 1 AND stat_mask <= 127)) ' );
   run_sql( ' ALTER TABLE part_tables ADD (creation_date DATE) ' );
   run_sql( ' CREATE UNIQUE INDEX unq_part_tables_idx ON part_tables(UPPER(table_name)) ' );
   run_sql( ' ALTER TABLE subclass_table DROP COLUMN description ' );
   run_sql( ' CREATE INDEX rg_tasklist_sfid_idx ON rg_tasklist(spoolfileid)	TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE INDEX rg_tasklist_ajid_idx ON rg_tasklist(jobid) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE INDEX SA_Act_MID_ndx ON sa_action (sa_master_id) TABLESPACE wm_sa ' );
   run_sql( ' CREATE INDEX SA_Act_UID_ndx ON SA_Action ( User_ID ) TABLESPACE WM_SA ' );
   run_sql( ' CREATE INDEX SA_Stat_Act_Ack_ndx on SA_State ( Ack_Action_ID ) TABLESPACE wm_sa ' );
   run_sql( ' CREATE INDEX SA_Stat_AlmTyp_ndx on SA_State ( Alarm_Type ) TABLESPACE wm_sa ' );
   run_sql( ' CREATE INDEX SA_Stat_ProbCaus_ndx on SA_State ( Probable_Cause ) TABLESPACE wm_sa ' );
   run_sql( ' CREATE INDEX SA_Stat_Severity_ndx on SA_State ( Perceived_Severity ) TABLESPACE wm_sa ' );
   run_sql( ' CREATE INDEX SA_Annot_Act_ndx on SA_Annotation ( Act_ID ) TABLESPACE wm_sa ' );
   run_sql( ' CREATE INDEX SA_Annot_MID_ndx on SA_Annotation ( SA_Master_ID ) TABLESPACE wm_sa ' );
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE xr_tstamp_range_tmp ('
        ||  '     min_tstamp DATE NOT NULL, '
        ||  '     max_tstamp DATE NOT NULL '
        ||  ' ) ON COMMIT PRESERVE ROWS ' );
   run_sql( ' DROP TABLE bh_refresh_sbh ' );
   run_sql( ' CREATE TABLE bh_refresh_sbh ( '
         || '     task_id          INTEGER, '
         || '     summary_id       INTEGER, '
         || '     instance_id      INTEGER, '
         || '     tstamp           DATE, '
         || '     CONSTRAINT pk_bh_refresh_sbh PRIMARY KEY '
         || '                (task_id, summary_id, instance_id, tstamp), '
         || '     CONSTRAINT fk_bh_refresh_sbh_task_id FOREIGN KEY (task_id) '
         || '                REFERENCES active_task(task_id) ON DELETE CASCADE, '
         || '     CONSTRAINT fk_bh_refresh_sbh_summary_id FOREIGN KEY (summary_id) '
         || '                REFERENCES pm_busyhour(id) ON DELETE CASCADE '
         || ' ) '
         || ' ORGANIZATION INDEX '
         || ' PCTFREE 0 '
         || ' COMPRESS '
         || ' TABLESPACE wm_flexpm ' );
   run_sql( ' DROP TABLE rg_dtscope ' );
   run_sql( ' CREATE TABLE rg_dtscope '
         || ' ( '
         || '  task_id          INTEGER NOT NULL, '
         || '  tstamp           DATE    NOT NULL, '
         || '  tstamp_id        INTEGER NOT NULL, '
         || '  CONSTRAINT pk_rg_dtscope PRIMARY KEY (task_id, tstamp, tstamp_id), '
         || '  CONSTRAINT fk_rg_dtscope FOREIGN KEY (task_id) '
         || '  REFERENCES active_task (task_id) ON DELETE CASCADE '
         || ' ) '
         || '  ORGANIZATION INDEX '
         || '  NOLOGGING '
         || '  PCTFREE 0 '
         || '  TABLESPACE TRAFFIC_JUMBO ' );
   run_sql( ' DROP TABLE rg_dtscope_tmp ' );      
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE rg_dtscope_tmp '
         || ' ( '
         || '   tstamp           DATE    NOT NULL, '
         || '   tstamp_id        INTEGER NOT NULL, '
         || '   CONSTRAINT pk_rg_dtscope_tmp PRIMARY KEY (tstamp, tstamp_id) '
         || ' ) '
         || '   ON COMMIT PRESERVE ROWS ' );
   run_sql( ' DROP TABLE rg_trunc ' );
   run_sql( ' CREATE TABLE rg_trunc '
         || ' ( '
         || '   task_id           INTEGER   NOT NULL, '
         || '   tstamp_id         INTEGER   NOT NULL, '
         || '   tstamp            DATE      NOT NULL, '
         || '   CONSTRAINT pk_rg_trunc PRIMARY KEY (task_id, tstamp_id), '
         || '   CONSTRAINT fk_rg_trunc_tid FOREIGN KEY (task_id) '
         || '   REFERENCES active_task (task_id) ON DELETE CASCADE '
         || ' ) '
         || '   ORGANIZATION INDEX '
         || '   NOLOGGING '
         || '   PCTFREE 0 '
         || '   TABLESPACE TRAFFIC_JUMBO ' );
   run_sql( ' DROP TABLE rg_trunc_tmp ' );
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE rg_trunc_tmp '
         || ' ( '
         || '   tstamp_id         INTEGER   NOT NULL, '
         || '   tstamp            DATE      NOT NULL, '
         || '   CONSTRAINT pk_rg_trunc_tmp PRIMARY KEY (tstamp_id) '
         || ' ) '
         || '   ON COMMIT PRESERVE ROWS ' );
   run_sql( ' DROP TABLE rg_tstamp_range ' );
   run_sql( ' CREATE TABLE rg_tstamp_range '
         || ' ( '
         || '   task_id           INTEGER   NOT NULL, '
         || '   min_tstamp        DATE NOT NULL, '
         || '   max_tstamp        DATE NOT NULL, '
         || '   CONSTRAINT pk_rg_tstamp_range PRIMARY KEY(task_id, min_tstamp), '
         || '   CONSTRAINT fk_rg_tstamp_range_tid FOREIGN KEY (task_id) '
         || '     REFERENCES active_task(task_id) ON DELETE CASCADE '
         || ' ) '
         || '   ORGANIZATION INDEX '
         || '   NOLOGGING '
         || '   PCTFREE 0 '
         || '   TABLESPACE TRAFFIC_JUMBO ' );
   run_sql( ' DROP TABLE rg_tstamp_range_tmp ' );
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE rg_tstamp_range_tmp '
         || ' ( '
         || '   min_tstamp        DATE      NOT NULL, '
         || '   max_tstamp        DATE      NOT NULL '
         || ' ) '
         || '  ON COMMIT PRESERVE ROWS ' );
   run_sql( ' DROP TABLE rg_scenario ' );
   run_sql( ' CREATE TABLE rg_scenario '
         || ' ( '
         || '   task_id           INTEGER       not null, '
         || '   entity_id         INTEGER       not null, '
         || '   instance_id       INTEGER       not null, '
         || '   parentinstance_id INTEGER       not null, '
         || '   localkey          VARCHAR2(90), '
         || '   CONSTRAINT pk_rg_scenario PRIMARY KEY (task_id, entity_id, '
         || ' instance_id), '
         || '   CONSTRAINT fk_rg_scenario FOREIGN KEY (task_id) '
         || '   REFERENCES active_task (task_id) ON DELETE CASCADE '
         || ' ) '
         || '   ORGANIZATION INDEX '
         || '   NOLOGGING '
         || '   PCTFREE 0 '
         || '   TABLESPACE TRAFFIC_JUMBO ' );
   run_sql( ' DROP TABLE rg_scenario_tmp ' );      
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE rg_scenario_tmp '
         || ' ( '
         || '   entity_id          INTEGER       not null, '
         || '   instance_id        INTEGER       not null, '
         || '   parentinstance_id  INTEGER, '
         || '   localkey           VARCHAR2(90), '
         || '   CONSTRAINT pk_rg_scenario_tmp PRIMARY KEY (entity_id, instance_id) '
         || ' ) '
         || '   ON COMMIT PRESERVE ROWS ' );
   run_sql( ' DROP TABLE rg_scenario_remap_tmp ' );
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE rg_scenario_remap_tmp '
         || ' ( '
         || '   entity_id            INTEGER   NOT NULL, '
         || '   instance_id          INTEGER   NOT NULL, '
         || '   starttime            DATE      NOT NULL, '
         || '   endtime              DATE      NOT NULL, '
         || '   synthetic_id         INTEGER   NOT NULL, '
         || '   parent_id            INTEGER, '
         || '   CONSTRAINT pk_rg_scenario_remap_tmp PRIMARY KEY( '
         || '   entity_id, instance_id, starttime ) '
         || ' ) '
         || '   ON COMMIT PRESERVE ROWS ' );
   run_sql( ' DROP TABLE rg_instance_tree_mv ' );
   run_sql( ' CREATE TABLE rg_instance_tree_mv '
         || ' ( '
         || '   task_id           INTEGER   NOT NULL, '
         || '   entity_id         INTEGER   NOT NULL, '
         || '   instance_id       INTEGER   NOT NULL, '
         || '   parentinstance_id INTEGER   NOT NULL, '
         || '   bhinstance_id     INTEGER   NOT NULL, '
         || '   localkey          VARCHAR2(90), '
         || '   CONSTRAINT pk_rg_instance_tree_mv PRIMARY KEY '
         || '   (task_id, entity_id, instance_id, bhinstance_id), '
         || '   CONSTRAINT fk_rg_instance_tree_mv FOREIGN KEY (task_id) '
         || '   REFERENCES active_task (task_id) ON DELETE CASCADE '
         || ' ) '
         || '   ORGANIZATION INDEX '
         || '   NOLOGGING '
         || '   PCTFREE 0 '
         || '   TABLESPACE TRAFFIC_JUMBO ' );
   run_sql( ' DROP TABLE rg_busyhour_mv ' );
   run_sql( ' CREATE TABLE rg_busyhour_mv '
         || ' ( '
         || '   task_id           INTEGER   NOT NULL, '
         || '   instance_id       INTEGER   NOT NULL, '
         || '   tstamp_id         INTEGER   NOT NULL, '
         || '   tstamp            DATE      NOT NULL, '
         || '   value             FLOAT, '
         || '   CONSTRAINT pk_rg_busyhour_mv PRIMARY KEY '
         || '   (task_id, instance_id, tstamp_id, tstamp), '
         || '   CONSTRAINT fk_rg_busyhour_mv FOREIGN KEY (task_id) '
         || '   REFERENCES active_task (task_id) ON DELETE CASCADE '
         || ' ) '
         || '   ORGANIZATION INDEX '
         || '   NOLOGGING '
         || '   PCTFREE 0 '
         || '   TABLESPACE TRAFFIC_JUMBO ' );
   run_sql( ' DROP TABLE ad_loading_rec_aux ' );
   run_sql( ' CREATE TABLE ad_loading_rec_aux '
         || ' ( entity_id    INTEGER, '
         || '   instance_id  INTEGER, '
         || '   TSTAMP       DATE, '
         || '  CONSTRAINT pk_ad_loading_rec_aux PRIMARY KEY '
         || ' (entity_id,instance_id,TSTAMP ) '
         || ' ) '
         || ' ORGANIZATION INDEX '
         || ' PCTFREE 5 '
         || ' TABLESPACE TRAFFIC_JUMBO '
         || ' STORAGE ( FREELISTS 4 ) ');
   run_sql( ' DROP TABLE ad_ins_buf ' );
   run_sql( ' CREATE TABLE ad_ins_buf ( '
         || '   Instance_ID   INTEGER         NOT NULL, '
         || '   Entity_ID     INTEGER         NOT NULL, '
         || '   Active        CHAR(1)         NOT NULL, '
         || '   Placehldr     CHAR(1)         NOT NULL, '
         || '   CONSTRAINT pk_ad_ins_buf PRIMARY KEY ( Entity_ID, Instance_ID ) '
         || ' ) '
         || ' ORGANIZATION INDEX '
         || ' COMPRESS '
         || ' tablespace traffic_jumbo '
         || ' STORAGE ( FREELISTS 4 ) '
         || ' PCTFREE 0 ' );
   run_sql( ' DROP TABLE ad_active_ins_tmp ' );
   run_sql( ' CREATE TABLE ad_active_ins_tmp '
         || ' ( '
         || '   instance_id integer, '
         || '   active  char(1), '
         || '   CONSTRAINT pk_ad_active_Ins_tmp PRIMARY KEY (instance_id,active) '
         || ' ) '
         || ' ORGANIZATION INDEX '
         || ' COMPRESS '
         || ' TABLESPACE traffic_jumbo '
         || ' PCTFREE 0 ' );
   run_sql( ' DROP INDEX pm_folder_event_doc_idx ' );
   run_sql( ' DROP TABLE pm_folder_event ' );
   run_sql( ' CREATE TABLE pm_folder_event '
         || ' ( '
         || '   tstamp           DATE             NOT NULL, '
         || '   folder_event_id  INTEGER          NOT NULL, '
         || '   document_id      INTEGER          NOT NULL, '
         || '   CONSTRAINT pk_folder_event PRIMARY KEY (tstamp, folder_event_id), '
         || '   CONSTRAINT fk_folder_event_docid FOREIGN KEY(document_id) '
         || '      REFERENCES pm_document (document_id) ON DELETE CASCADE '
         || ' ) ORGANIZATION INDEX '
         || ' TABLESPACE WM_Client ' );
   run_sql( ' CREATE INDEX pm_folder_event_doc_idx ON pm_folder_event(document_id) ' );
   run_sql( ' CREATE TABLE xml_clob( '
         || '  dtd_id NUMBER, '
         || '  docname VARCHAR2(200) PRIMARY KEY, '
         || '  doctype VARCHAR2(100), '
         || '  doc clob, '
         || '  insertdate DATE DEFAULT sysdate) '
         || '  storage (INITIAL 131K NEXT 131K) '
         || '  TABLESPACE traffic_large ' );
   run_sql( ' CREATE sequence dtd_seq ' );
   run_sql( ' CREATE sequence tablename_seq START WITH 1 increment BY 1 maxvalue 9999 cycle ' );
   run_sql( ' CREATE sequence folder_seq START WITH 100 increment BY 1 ' );
   run_sql( ' CREATE sequence template_seq START WITH 1 increment BY 1 maxvalue 999 cycle ' );
   run_sql( ' CREATE TABLE templatefield_save '
         || '   ( tstamp date, '
         || '   template_id number, '
         || '   ordinal NUMBER, '
         || '   field_id NUMBER, '
         || '   sortorder CHAR(1), '
         || '   isshown CHAR(1), '
         || '   entity_id NUMBER, '
         || '   field_name VARCHAR2(128) '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE template_save '
         || '   ( tstamp DATE, '
         || '   ID NUMBER, '
         || '   CriteriaFieldID NUMBER, '
         || '   Entity_ID NUMBER, '
         || '   Field_Name  VARCHAR2(128), '
         || '   FolderID NUMBER, '
         || '   Name VARCHAR2(64), '
         || '   Category  VARCHAR2(64) '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE SoftAlarm_save '
         || '   ( '
         || '   tstamp DATE, '
         || '   id NUMBER, '
         || '   field_id NUMBER, '
         || '   field_name  VARCHAR2(128), '
         || '   entity_id NUMBER '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE reportbh_save '
         || '   ( '
         || '   tstamp DATE, '
         || '   id NUMBER, '
         || '   field_id NUMBER, '
         || '   entity_id NUMBER, '
         || '   field_name VARCHAR2(128) '
         || '   )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE busyhour_save ' 
         || '   ( '
         || '   tstamp DATE, '
         || '   id NUMBER, '
         || '   field_id NUMBER, '
         || '   entity_id NUMBER, '
         || '   field_name VARCHAR2(128) '
         || '   )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE udc_save  '
         || '   ( '
         || '   tstamp DATE, '
         || '   field_name VARCHAR2(128), '
         || '   report_header VARCHAR2(40), '
         || '   report_header2  VARCHAR2(40), '
         || '   datatype CHAR(1), '
         || '   field_desc VARCHAR2(1000), '
         || '   field_aggregator CHAR(1), '
         || '   field_emits_aggregator CHAR(1), '
         || '   entity_name VARCHAR2(30), '
         || '   calc_source  CLOB, '
         || '   udc_source VARCHAR2(4000), '
         || '   error_msg VARCHAR2(2000), '
         || '   status CHAR(1) '
         || '   )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE table_save ' 
         || '   ( '
         || '   tstamp DATE, '
         || '   table_id NUMBER, '
         || '   table_name VARCHAR2(40), '
         || '   entity_id NUMBER, '
         || '   is_time_series CHAR(1), '
         || '   summary_id NUMBER, '
         || '   summary_col VARCHAR2(40), '
         || '   base_table_name VARCHAR2(40) '
         || '   )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE dict_field_save '
         || '   ( '
         || '   tstamp DATE, '
         || '   entity_id NUMBER, '
         || '   field_name VARCHAR2(128), '
         || '   field_id NUMBER '
         || '   ) '
         || '   TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE col_def_subtype_save ' 
         || '   ( '
         || '   tstamp DATE, '
         || '   entity_name VARCHAR2(30), '
         || '   subtype_name VARCHAR2(40), '
         || '   field_name VARCHAR2(128), '
         || '   min_value FLOAT, '
         || '   max_value FLOAT, '
         || '   default_value VARCHAR2(1000) '
         || '   )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE save_col_def_subtype '
         || '   ( '
         || '   entity_name VARCHAR2(30), '
         || '   subtype_name VARCHAR2(40), '
         || '   field_name VARCHAR2(128), '
         || '   min_value FLOAT, '
         || '   max_value FLOAT, '
         || '   default_value VARCHAR2(1000) '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE table table_info_temp '
         || '   (table_name VARCHAR2(30), '
         || '   tablespace_name VARCHAR2(50), '
         || '   is_time_series CHAR(1), '
         || '   p_key VARCHAR2(4000), '
         || '   file_type VARCHAR2(30), '
         || '   vendor_name VARCHAR2(30), '
         || '   vendor_short VARCHAR2(5), '
         || '   mo_class VARCHAR2(60), '
         || '   entity_name VARCHAR2(30), '
         || '   activate_scenario CHAR(1), '
         || '   table_type VARCHAR2(50), '
         || '   table_category VARCHAR2(20), '
         || '   frequency CHAR(1) '
         || '   )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE primary_key_info '
         || '   ( '
         || '   table_name VARCHAR2(30), '
         || '   column_name VARCHAR2(30), '
         || '   data_type VARCHAR2(20), '
         || '   length NUMBER '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE entity_ctx_tmp '
         || '   ( '
         || '   entity_name VARCHAR2(30), '
         || '   parsekey CHAR(1), '
         || '   context VARCHAR2(40), '
         || '   parent_entity VARCHAR2(30), '
         || '   to_context VARCHAR2(40), '
         || '   always CHAR(1), '
         || '   transition VARCHAR2(4000)) '
         || '   ON commit preserve rows ' );
   run_sql( ' CREATE GLOBAL TEMPORARY TABLE entity_ctx_old_tmp '
         || '   ( '
         || '   entity_id number, '
         || '   context_id number, '
         || '   parent_entity_id number '
         || '   ) '
         || ' ON commit preserve rows ' );
   run_sql( ' CREATE global temporary TABLE weight_fld_tmp '
         || '   ( '
         || '   weight_field VARCHAR2(40), '
         || '   field_name VARCHAR2(128)) '
         || '   ON commit preserve rows ' );
   run_sql( ' CREATE  TABLE templatefield_temp '
         || '   ( '
         || '   templateid number, '
         || '   ordinal number, '
         || '   field_name VARCHAR2(128), '
         || '   entity_name VARCHAR2(30), '
         || '   sortorder CHAR(1), '
         || '   isshown CHAR(1) '
         || '   )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE tempfilter_temp '
         || ' ( '
         || ' templateid number, '
         || ' fieldordinal number, '
         || ' ordinal number, '
         || ' criteria VARCHAR2(2048) '
         || ' )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE dict_info_save '
         || '   ( '
         || '   xml_filename VARCHAR2(100) '
          || '  )TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE datatype_temp '
         || '   ( '
         || '   table_name VARCHAR2(30), '
         || '   column_name VARCHAR2(40), '
         || '   data_type VARCHAR2(50) '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE type_scale_temp '
         || '   ( '
         || '   table_name VARCHAR2(30), '
         || '   column_name VARCHAR2(40), '
         || '   scale number '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE client_version_temp '
         || '   ( '
         || '   client_version number '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE peik_extra_ent_property '
         || ' ( '
         || ' entity_id  INTEGER '
         || ' CONSTRAINT PK_peik_extra_ent_property PRIMARY KEY '
         || ' CONSTRAINT FK_peik_extra_ent_prpt_ent_id REFERENCES wmn_entity(entity_id), '
         || ' name       VARCHAR2(256), '
         || ' value      VARCHAR2(4000), '
         || ' loader_property CHAR(1) DEFAULT ''N'' '
         || ' ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE peik_extra_fld_property ' 
         || ' ( '
         || ' entity_id  INTEGER '
         || ' CONSTRAINT FK_peik_extra_fld_prpt_ent_id REFERENCES wmn_entity(entity_id), '
         || ' field_id   INTEGER '
         || '   CONSTRAINT FK_peik_extra_fld_prpt_fld_id REFERENCES wmd_field_def(field_id) '
         || '   ON DELETE cascade, '
         || ' name       VARCHAR2(256), '
         || ' value    VARCHAR2(4000), '
         || ' loader_property CHAR(1) DEFAULT ''N'', '
         || ' CONSTRAINT PK_peik_extra_fld_property PRIMARY KEY (entity_id, field_id) '
         || ' ) TABLESPACE wm_flexpm ' );
   run_sql( ' CREATE TABLE rollup_info '
         || '   ( '
         || '   from_entity_id NUMBER CONSTRAINT fk_rup_info_fent_id REFERENCES wmn_entity(entity_id), '
         || '   TO_entity_id NUMBER CONSTRAINT fk_rup_info_tent_id REFERENCES wmn_entity(entity_id), '
         || '   counter VARCHAR2(40), '
         || '   rollup_counter  VARCHAR2(40), '
         || '   table_name VARCHAR2(30) '
         || '   ) TABLESPACE wm_flexpm ' );
   run_sql( '   CREATE TABLE WM_ACTIVATE_PARENT ( ' 
         || '     PARENT_ENTITY  VARCHAR2 (30), '
         || '     CHILD_ENTITY   VARCHAR2 (30), ' 
         || '     MODULE_NAME    VARCHAR2 (30) ) ' 
         || '     TABLESPACE wm_flexpm ' );
   run_sql( '   CREATE global temporary TABLE parttab_tmp '
         || '   ( '
         || '     table_name VARCHAR2(40), '
         || '     table_id number '
         || '   ) '
         || '     ON commit preserve rows ' );
END;
/

PROMPT END upgrade_schema805.sql DONE
