PROMPT START upgrade_schema806.sql

BEGIN
   run_sql( ' ALTER TABLE part_tables '
         || ' ADD ( move_parallelism_degree number(2) '
         || '          CONSTRAINT part_tables_move_par_ck CHECK (nvl(move_parallelism_degree,0) >= 0), '
         || '       stats_parallelism_degree number(2) '
         || '          CONSTRAINT part_tables_stats_par_ck CHECK (nvl(stats_parallelism_degree,0) >= 0) ) ' );
   run_sql( ' CREATE TABLE part_tablespaces ( '
         || '     tablespace_name VARCHAR2(30) NOT NULL, '
         || '     move_parallelism_degree number(2) '
         || '       CONSTRAINT part_tablespaces_move_par_ck CHECK (nvl(move_parallelism_degree,0) >= 0), '
         || '     stats_parallelism_degree number(2) '
         || '       CONSTRAINT part_tablespaces_stats_par_ck CHECK (nvl(stats_parallelism_degree,0) >= 0), '
         || '     CONSTRAINT pk_part_tablespaces PRIMARY KEY (tablespace_name) '
         || ' ) '
         || ' tablespace wm_flexpm ' );
   run_sql( ' ALTER TABLE part_task '
         || ' ADD ( move_parallelism_degree number(2), '
         || '       stats_parallelism_degree number(2) ) ' );
   run_sql( ' ALTER TABLE sa_aggregator '
         || ' ADD '
         || ' Class CHAR(1) DEFAULT ''D'' NOT NULL ');
   run_sql( 'ALTER TABLE sa_aggregator '
         || ' ADD '
         || ' CONSTRAINT saext_ag_class_chk CHECK (class IN (''D'',''E'')) ');
   run_sql( ' ALTER TABLE sa_time_range '
         || ' ADD '
         || ' Class CHAR(1) DEFAULT ''D'' NOT NULL ');
   run_sql( 'ALTER TABLE sa_time_range '
         || ' ADD '
         || ' CONSTRAINT saext_tr_class_chk CHECK (class IN (''D'',''E'')) ');
   run_sql( 'CREATE INDEX xr_scenario_instid_idx ON xr_scenario_tmp(entity_id, instance_id)' );
   run_sql( 'CREATE INDEX xr_scenario_pid_idx ON xr_scenario_tmp(entity_id, parentinstance_id)' );
   run_sql( 'CREATE TABLE pm_loader_config '
         || '( '
         || '  loader_config_id        INTEGER       NOT NULL, '
         || '  node_name               VARCHAR2(255) NOT NULL, '
         || '  active                  CHAR(1)       NOT NULL, '
         || '  max_worker_threads      INTEGER       NOT NULL, '
         || '  most_recent_bias        INTEGER       NOT NULL, '
         || '  CONSTRAINT pk_pm_loader_config PRIMARY KEY (loader_config_id), '
         || '  CONSTRAINT uq_pm_loader_node_name UNIQUE (node_name), '
         || '  CONSTRAINT ck_pm_loader_config_active CHECK (active IN (''Y'', ''N'')) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE TABLE pm_sentry_config '
         || '( '
         || '  sentry_config_id        INTEGER       NOT NULL, '
         || '  node_name               VARCHAR2(255) NOT NULL, '
         || '  active                  CHAR(1)       NOT NULL, '
         || '  CONSTRAINT pk_pm_sentry_config PRIMARY KEY (sentry_config_id), '
         || '  CONSTRAINT uq_pm_sentry_node_name UNIQUE (node_name), '
         || '  CONSTRAINT ck_pm_sentry_config CHECK (active IN (''Y'', ''N'')) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE TABLE pm_loader_action '
         || '( '
         || '  loader_action_id     INTEGER        NOT NULL, '
         || '  name                 VARCHAR2(255)  NOT NULL, '
         || '  description          VARCHAR2(500), '
         || '  max_concurrency      INTEGER DEFAULT 1 NOT NULL, '
         || '  CONSTRAINT pm_loader_action_pk PRIMARY KEY (loader_action_id), '
         || '  CONSTRAINT uq_loader_action_name UNIQUE (name) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE TABLE pm_loader_task '
         || '( '
         || '  loader_task_id        INTEGER                     NOT NULL, ' 
         || '  name                  VARCHAR2(255 CHAR)          NOT NULL, '  
         || '  description           VARCHAR2(500), '                           
         || '  task_name         VARCHAR2(100)               NOT NULL, '   
         || '  sequence          INTEGER                     NOT NULL, '
         || '  loader_action_id      INTEGER, '
         || '  CONSTRAINT pk_pm_loader_task PRIMARY KEY (loader_task_id), '
         || '  CONSTRAINT uq_pm_loader_task_name UNIQUE (name), '
         || '  CONSTRAINT fk_pm_loader_task_laid FOREIGN KEY (loader_action_id) REFERENCES pm_loader_action(loader_action_id) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE TABLE pm_loader_task_param '
         || '( '
         || '  loader_task_param_id   INTEGER            NOT NULL, '
         || '  name                   VARCHAR2(255)      NOT NULL, '
         || '  value                  VARCHAR2(255)      NOT NULL, '
         || '  loader_task_id         INTEGER            NOT NULL, '
         || '  CONSTRAINT pk_pm_loader_task_param PRIMARY KEY (loader_task_param_id), '
         || '  CONSTRAINT fk_pm_loader_task_param_ltid FOREIGN KEY (loader_task_id) REFERENCES pm_loader_task(loader_task_id) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE TABLE pm_file_config '
         || '( '
         || '  file_config_id     INTEGER                NOT NULL, '
         || '  scan_directory     VARCHAR2(255)          NOT NULL, '
         || '  dest_directory     VARCHAR2(255)          NOT NULL, '
         || '  reg_expression     VARCHAR2(255)          NOT NULL, '
         || '  mod_interval       INTEGER                NOT NULL, '
         || '  max_load_attempts  INTEGER                NOT NULL, '
         || '  backoff_time       INTEGER                NOT NULL, '
         || '  active             CHAR(1)                NOT NULL, '
         || '  file_type          VARCHAR2(20)           NOT NULL, '
         || '  sentry_config_id   INTEGER                NOT NULL, '
         || '  loader_action_id   INTEGER                NOT NULL, '
         || '  system_id          INTEGER                NOT NULL, '
         || '  date_reg_expression VARCHAR2(255)         NULL, '
         || '  date_format         VARCHAR2(255)         NULL, '
         || '  time_reg_expression VARCHAR2(255)         NULL, '
         || '  time_format         VARCHAR2(255)         NULL, '
         || '  ne_name             VARCHAR2(255)         NULL, '
         || '  CONSTRAINT pk_pm_file_config PRIMARY KEY (file_config_id), '
         || '  CONSTRAINT uq_pm_file_ids UNIQUE (scan_directory,dest_directory, loader_action_id,sentry_config_id,system_id,ne_name), '
         || '  CONSTRAINT fk_pm_file_config_scid FOREIGN KEY (sentry_config_id) REFERENCES pm_sentry_config(sentry_config_id), '
         || '  CONSTRAINT fk_pm_file_config_laid FOREIGN KEY (loader_action_id) REFERENCES pm_loader_action(loader_action_id), '
         || '  CONSTRAINT ck_pm_file_config CHECK (active IN (''Y'', ''N'')) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE TABLE pm_sentry_file '
         || '( '
         || '  sentry_file_id           INTEGER          NOT NULL, '
         || '  directory                VARCHAR2(255)    NOT NULL, '
         || '  name                     VARCHAR2(255)    NOT NULL, '
         || '  current_status           VARCHAR2(20)     NOT NULL, '
         || '  last_modified            INTEGER          NOT NULL, '
         || '  suffix                   VARCHAR2(20), '
         || '  load_attempts            INTEGER          DEFAULT 0 NOT NULL, '
         || '  file_config_id           INTEGER          NOT NULL, '
         || '  parent_sentry_file_id    INTEGER, '
         || '  last_load_time           DATE, '
         || '  loader_config_id         INTEGER, '
         || '  group_id                 INTEGER, '
         || '  network_tstamp           TIMESTAMP        NOT NULL, '
         || '  LOADER_TICKET_NO         INTEGER, '
         || '  CONSTRAINT pk_pm_sentry_file PRIMARY KEY (sentry_file_id), '
         || '  CONSTRAINT fk_pm_sentry_file_fcid FOREIGN KEY (file_config_id) REFERENCES pm_file_config(file_config_id), '
         || '  CONSTRAINT fk_pm_sentry_file_lcid FOREIGN KEY (loader_config_id) REFERENCES pm_loader_config(loader_config_id), '
         || '  CONSTRAINT ck_pm_sentry_file_current_sts CHECK (current_status IN (''NEW'', ''STAGED'', ''PROCESSING'', ''SUCCEEDED'', ''FAILED'', ''RETRY'', ''FATAL'')) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE INDEX idx_pm_current_status on PM_SENTRY_FILE(current_status) TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE INDEX idx_pm_loader_config on PM_SENTRY_FILE(loader_config_id) TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE INDEX idx_pm_file_config on PM_SENTRY_FILE(file_config_id) TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE INDEX idx_pm_suffix on PM_SENTRY_FILE(UPPER(suffix)) TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE INDEX idx_pm_last_load_time on PM_SENTRY_FILE(last_load_time) TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE TABLE pm_sentry_file_history '
         || '( '
         || '  sentry_file_id           INTEGER          NOT NULL, '
         || '  tstamp                   DATE             NOT NULL, '
         || '  status                   VARCHAR2(20)     NOT NULL, '
         || '  message                  VARCHAR2(500), '
         || '  CONSTRAINT ck_pm_sentry_file_history_sts CHECK (status IN (''NEW'', ''STAGED'', ''PROCESSING'', ''SUCCEEDED'', ''FAILED'', ''RETRY'', ''FATAL'')) '
         || ') '
         || 'PARTITION BY RANGE (tstamp) '
         || '( '
         || '  PARTITION  p' ||to_char(sysdate, 'YYYYMMDD') || '00 VALUES less than (to_date('||to_char(sysdate+1,'YYYYMMDD')||',''YYYYMMDD'')) '
         || ') '
         || 'TABLESPACE wm_flexpm ');
   run_sql( 'CREATE TABLE pm_sentry_file_completed '
         || '( '
         || '  sentry_file_id           INTEGER          NOT NULL, '
         || '  directory                VARCHAR2(255)    NOT NULL, '
         || '  name                     VARCHAR2(255)    NOT NULL, '
         || '  current_status           VARCHAR2(20)     NOT NULL, '
         || '  last_modified            INTEGER          NOT NULL, '
         || '  suffix                   VARCHAR2(20), '
         || '  load_attempts            INTEGER          DEFAULT 0 NOT NULL, '
         || '  file_config_id           INTEGER          NOT NULL, '
         || '  parent_sentry_file_id    INTEGER, '
         || '  last_load_time           DATE, '
         || '  loader_config_id         INTEGER, '
         || '  group_id                 INTEGER, '
         || '  network_tstamp           TIMESTAMP        NOT NULL, '
         || '  LOADER_TICKET_NO         INTEGER, '
         || '  CONSTRAINT pk_pm_sentry_comp PRIMARY KEY (sentry_file_id), '
         || '  CONSTRAINT ck_pm_sentry_comp_current_sts CHECK (current_status IN (''NEW'', ''STAGED'', ''PROCESSING'', ''SUCCEEDED'', ''FAILED'', ''RETRY'', ''FATAL'')) '
         || ') '
         || 'TABLESPACE wm_flexpm ' );
   run_sql( 'CREATE INDEX idx_pmc_last_load_time on PM_SENTRY_FILE_COMPLETED(last_load_time) TABLESPACE wm_flexpm ' );
   run_sql( 'ALTER TABLE pm_sentry_file_history MONITORING');
   run_sql( 'CREATE OR REPLACE TYPE SentryFileArray AS TABLE OF NUMBER ');
   run_sql( 'CREATE SEQUENCE seq_loader_file_ticket ');
   run_sql( 'CREATE SEQUENCE seq_loader_config ');
   run_sql( 'CREATE SEQUENCE seq_sentry_config ');       
   run_sql( 'CREATE SEQUENCE seq_loader_action ');      
   run_sql( 'CREATE SEQUENCE seq_loader_task ');
   run_sql( 'CREATE SEQUENCE seq_loader_task_param ');      
   run_sql( 'CREATE SEQUENCE seq_file_config ');
   run_sql( 'CREATE SEQUENCE seq_sentry_file ');    
   run_sql( 'CREATE SEQUENCE seq_sentry_file_history ');
   run_sql( 'CREATE SEQUENCE seq_sentry_file_suffix ');
   run_sql( 'CREATE SEQUENCE seq_sentry_file_group ');
END;
/

PROMPT END upgrade_schema806.sql DONE
