-- -------------------------------------
-- @(#) upgrade_trigger.sql 1.2.0 07/12/09 16:32:52
-- @(#) 
-- upgrade_trigger.sql 
-- -------------------------------------
PROMPT
PROMPT START upgrade_trigger805.sql

PROMPT
PROMPT Upgrade part_maint triggers...
@ $FLEXPM_HOME/db/Oracle8i/part_maint/createTriggers.sql

PROMPT
PROMPT Upgrade trigger schedule_trigger...
@ $FLEXPM_HOME/db/Oracle8i/scheduler/sched/schedTrigger.sql

PROMPT
PROMPT Upgrade trigger status_archiveTrigger.sql ...
@ $FLEXPM_HOME/db/Oracle8i/status_archive/status_archiveTrigger.sql

-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating wmd_udc_def_tr_ai...
-- ---------------------------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER WMD_UDC_DEF_TR_AI
	   AFTER INSERT OR DELETE OR UPDATE OF UDC_SOURCE ON WMD_UDC_DEF
	BEGIN
	   SYS.DBMS_ALERT.signal(user ||'_wmd_udc_def', '');
	END;
/
SHOW ERRORS TRIGGER WMD_UDC_DEF_TR_AI;
	
-- ---------------------------------------------------------------------------------------------
PROMPT
PROMPT Updating wmd_udc_def_tr_biu...
-- ---------------------------------------------------------------------------------------------
CREATE OR REPLACE TRIGGER WMD_UDC_DEF_TR_BIU
	   BEFORE INSERT OR UPDATE OF UDC_SOURCE ON WMD_UDC_DEF
	   FOR EACH ROW
	BEGIN
	
	    SELECT Entity_ID INTO :new.Entity_ID
	      FROM wmd_Field_Def
	     WHERE Field_ID = :new.Field_ID;
	
	    IF INSERTING THEN
	        :new.Changed := TRUNC(SYSDATE,'MI');
	    ELSIF UPDATING THEN
	        IF :new.UDC_Source != :old.UDC_Source THEN
	           :new.Changed := TRUNC(SYSDATE,'MI');
	        END IF;
	   END IF;
	
	END;
/
SHOW ERRORS TRIGGER WMD_UDC_DEF_TR_BIU;


PROMPT
PROMPT END upgrade_trigger805.sql DONE

