PROMPT START PWEB upgrade_misc_fixes225.sql
--
-- upgrade_misc_fixes.sql
-- -------------------------------------
-- @(#) upgrade_misc_fixes.sql 1.53.0 08/02/02 15:38:12
-- @(#) 
-- -------------------------------------
-- 
--
-- SEAde48956 - Always do every upgrade - Do not remove next two lines
-- They force the java system to run upgrade code
UPDATE pe_agent_types SET active = 'N';
UPDATE pe_system SET ldap_url = 'temp' WHERE ldap_url IS NOT NULL;
-- Ensure clean iot moves pe_activity_log and pe_activity_run
INSERT INTO wm_utility ( ordinal, table_name, attribute )
SELECT * FROM
( SELECT 7 ordinal, 'PE_ACTIVITY_LOG' table_name, 'MOVE_ONLINE' attribute FROM DUAL
  UNION
  SELECT 8, 'PE_ACTIVITY_RUN', 'MOVE_ONLINE' FROM DUAL ) src
WHERE NOT EXISTS 
      (SELECT 1 FROM wm_utility u
        WHERE u.ordinal=src.ordinal
          AND u.table_name=src.table_name);
-- SEAde63691 Place agents under report control
--
--Revome from R23 upgrade valnt00092226
-- Update report job types
--UPDATE sched_job_types t
--   SET t.command = null,
--       t.snapshot = 'pe_snap_definition.snap'
-- WHERE t.job_type IN (1, 10);
 
-- Add new system value
exec wm_sysval.newSysValIfNotExists('PE_AGENT_MAX_POOL_SIZE', '50');
-- Add new agent types            
INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size,
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)
SELECT pe_seq_agent_types.nextval, 'IMMEDIATE_REPORT', 'Immediate Report Agent', 10, 5, 60, 1.1, 'R', 'ReportProcessorAgentHome', 0
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1
                     FROM pe_agent_types
                    WHERE agent_type_name = 'IMMEDIATE_REPORT');
INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)
SELECT pe_seq_agent_types.nextval, 'SCHEDULED_REPORT', 'Scheduled Report Agent', 10, 5, 60, 1.1, 'R', 'ReportProcessorAgentHome', 0
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1
                     FROM pe_agent_types
                    WHERE agent_type_name = 'SCHEDULED_REPORT');
-- Update pe_agent_datasouce
INSERT INTO pe_agent_datasource(agent_type_id, datasource_id, max_agent_count)
SELECT t.agent_type_id, d.datasource_id, 1
  FROM pe_agent_types t, pe_datasource d
 WHERE t.agent_type_name IN ('IMMEDIATE_REPORT', 'SCHEDULED_REPORT')
   AND d.local = 'N'
   AND NOT EXISTS (SELECT 1
                     FROM pe_agent_datasource ad
                    WHERE ad.agent_type_id = t.agent_type_id
                      AND ad.datasource_id = d.datasource_id);

--Revome from R23 upgrade valnt00092226                      
-- Update sched license to 500
--UPDATE sched_license s
--   SET s.maximum = 500
-- WHERE s.job_type IN (1, 10);
 
-- SEAde62116
--- Clean old dependencies first
delete from pe_agent_depend;
--- INSTANCE depends on the TRAFFIC, INSTANCESCHEMA and TRAFFICSCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'INSTANCE'
   AND b.agent_type_name IN ('TRAFFIC', 'INSTANCESCHEMA', 'TRAFFICSCHEMA');
   
--- TRAFFIC depends on the INSTANCE, INSTANCESCHEMA and TRAFFICSCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'TRAFFIC'
   AND b.agent_type_name IN ('INSTANCE', 'INSTANCESCHEMA', 'TRAFFICSCHEMA');
  
--- INSTANCESCHEMA depends on INSTANCE AND TRAFFIC
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'INSTANCESCHEMA'
   AND b.agent_type_name IN ('INSTANCE', 'TRAFFIC', 'TRAFFICSCHEMA');
   
--- TRAFFICSCHEMA depends on INSTANCE, TRAFFIC and INSTANCESCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'TRAFFICSCHEMA'
   AND b.agent_type_name IN ('INSTANCE', 'TRAFFIC', 'INSTANCESCHEMA');
 
--- LDAP_SYNC depends on all agents
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'LDAP_SYNC'
   AND b.agent_type_name != 'LDAP_SYNC';
--- All agents depend on LDAP_SYNC
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name != 'LDAP_SYNC'
   AND b.agent_type_name = 'LDAP_SYNC';
---
---
---
UPDATE pe_activity a
   SET a.active_time = SYSDATE,
       a.cancel = 'N',
       a.state = 'RUNNABLE'
 WHERE EXISTS ( SELECT 1
                  FROM pe_agent_types t
                 WHERE a.state = 'SCHEDULED'
                   AND a.agent_type_id = t.agent_type_id
                   AND t.agent_type_name = 'DICTIONARY' );
UPDATE pe_activity_group g
   SET g.fired = 'Y'
 WHERE EXISTS ( SELECT 1
                  FROM pe_activity a,
                       pe_agent_types t
                 WHERE a.state = 'RUNNABLE'
                   AND a.agent_type_id = t.agent_type_id
                   AND t.agent_type_name = 'DICTIONARY'
                   AND a.activity_group_id = g.activity_group_id );
-- SEAde59589 - One time update to set parent module version to null
UPDATE pe_module_version
   SET parent_version_id = NULL;
-- SEAde61647 - Fix precision of floating point columns
UPDATE pe_column_type
   SET data_precision = 126
 WHERE type_tag = 'F';
-- SEAde68748 Ensure clean IOT is running in web
exec wm_sysval.newSysValIfNotExists('AutoCleanMoveIOTsBefore', 'TRUE');
exec wm_sysval.newSysValIfNotExists('AutoCleanMoveIOTsAfter', 'TRUE');
    
-- SEAde67900 Ensure pm_folder_event is NOT truncated by event_clean for web
exec wm_sysval.forceSysVal( 'EventTruncatePmFolderEventTable', 'N' );
-- SEAde65336 - Fix status monitor if running out of db connections in the
-- pool left jobs in the waiting state even though they did run.
UPDATE task_status t
   SET t.status_code = nvl2(t.ended, sched_general.SC_Failed, sched_general.tm_accepted), 
       t.started = nvl(t.started, SYSDATE)
 WHERE EXISTS (SELECT 1
                 FROM pe_task_activity ta, pe_activity a
                WHERE t.task_id = ta.task_id
                  AND t.status_code = sched_general.sc_waiting
                  AND a.activity_id = ta.activity_id
                  AND a.state NOT IN ('RUNNABLE', 'RUNNING'));
UPDATE task_status t
   SET t.status_code = nvl2(t.ended, sched_general.SC_Failed, sched_general.tm_accepted),
       t.started = nvl(t.started, SYSDATE)
 WHERE EXISTS (SELECT 1
                 FROM pe_task_activity ta, pe_activity a
                WHERE t.job_id = ta.job_id
                  AND t.task_id IS NULL
                  AND t.status_code = sched_general.SC_Waiting
                  AND a.activity_id = ta.activity_id
                  AND a.state NOT IN ('RUNNABLE', 'RUNNING'));
                 
-- SEAde67900 Web/Core merge.  Add rg_stored_dbh/rg_stored_pabh to part tables for web
INSERT INTO part_tables
    (part_table_id, table_name, tablespace_name, period, future_part, past_part, drop_sproc)
  SELECT part_table_seq.NEXTVAL, 'RG_STORED_DBH', 'TRAFFIC_MEDIUM', 'W', 2, 1, 'BH_Update.CleanOldPartitions'
    FROM dual
   WHERE NOT EXISTS (SELECT 1 FROM part_tables WHERE table_name = 'RG_STORED_DBH');
INSERT INTO part_tables
    (part_table_id, table_name, tablespace_name, period, future_part, past_part, drop_sproc)
  SELECT part_table_seq.NEXTVAL, 'RG_STORED_PABH', 'TRAFFIC_MEDIUM', 'W', 2, 1, 'BH_Update.CleanOldPartitions'
    FROM dual
   WHERE NOT EXISTS (SELECT 1 FROM part_tables WHERE table_name = 'RG_STORED_PABH');
INSERT INTO subclass_table
    (id, class_id, NAME)
    (SELECT subclass_table_seq.NEXTVAL, id, 'sBHDaily'
       FROM class_table ct
      WHERE lower(ct.NAME) = 'part maint'
        AND NOT EXISTS (SELECT 1 FROM subclass_table WHERE name = 'sBHDaily'));
INSERT INTO subclass_map
    (subclass_id, object_id)
    (SELECT id, part_table_id
       FROM subclass_table st, part_tables pt
      WHERE st.NAME = 'sBHDaily'
        AND (pt.table_name LIKE '%DBH' OR pt.table_name LIKE '%PABH')
        AND NOT EXISTS (SELECT 1 FROM subclass_map WHERE object_id = pt.part_table_id));
UPDATE pe_mv_udc_field uf
   SET uf.is_deleted = 'Y'
 WHERE EXISTS (SELECT 1
                 FROM pe_mv_field f, pe_mv_entity e, pe_datasource d
                WHERE uf.mv_field_id = f.mv_field_id
                  AND f.mv_entity_id = e.mv_entity_id
                  AND uf.datasource_id = d.datasource_id
                  AND d.LOCAL = 'N'
                  AND NOT EXISTS (SELECT 1
                                    FROM pe_mv_datasource_vw md
                                   WHERE e.module_version_id = md.module_version_id));
COMMIT;
PROMPT END PWEB upgrade_misc_fixes225.sql DONE
