PROMPT START PWEB upgrade_pe_field_add_reserved_fields225.sql
-- -------------------------------------
-- @(#) upgrade_pe_field_add_reserved_fields.sql 1.2.0 06/12/07 19:22:19
-- @(#) 
-- -------------------------------------
DECLARE
  Cursor existing_fields IS
    SELECT *
      FROM pe_field
     WHERE UPPER(field_name) IN ('NUMHOURS', 'NUMDAYS', 'NUMENTITYPERIODS')
       AND is_mappable = 'Y';
  Cursor numhours_entities IS
    SELECT e.*
      FROM pe_entity e
     WHERE not exists (SELECT 1
              FROM pe_field
             WHERE UPPER(field_name) = 'NUMHOURS'
               AND entity_id = e.entity_id);
  Cursor numdays_entities IS
    SELECT e.*
      FROM pe_entity e
     WHERE not exists (SELECT 1
              FROM pe_field
             WHERE UPPER(field_name) = 'NUMDAYS'
               AND entity_id = e.entity_id);
  Cursor numentityperiods_entities IS
    SELECT e.*
      FROM pe_entity e
     WHERE not exists (SELECT 1
              FROM pe_field
             WHERE UPPER(field_name) = 'NUMENTITYPERIODS'
               AND entity_id = e.entity_id);
               
  primary_key INTEGER;
BEGIN
  -- Rename existing fields that conflict with reserved field names
  dbms_output.put_line('Renaming existing E2E reserved fields if needed.');
  FOR existing_field IN existing_fields LOOP
    UPDATE pe_field
       SET field_name = 'N' || existing_field.field_name
     WHERE field_id = existing_field.field_id;
  END LOOP;
  -- Create the E2E reserved fields for every entity
  dbms_output.put_line('Creating E2E NUMHOURS fields.');
  FOR entity IN numhours_entities LOOP
    primary_key := enterprise_mapping.create_field_numhours(entity.entity_id);
  END LOOP;
  dbms_output.put_line('Creating E2E NUMDAYS fields.');
  FOR entity IN numdays_entities LOOP
    primary_key := enterprise_mapping.create_field_numdays(entity.entity_id);
  END LOOP;
  dbms_output.put_line('Creating E2E NUMENTITYPERIODS fields.');
  FOR entity IN numentityperiods_entities LOOP
    primary_key := enterprise_mapping.create_field_numperiods(entity.entity_id);
  END LOOP;
  COMMIT;
END;
/
PROMPT END PWEB upgrade_pe_field_add_reserved_fields225.sql DONE
