PROMPT START PWEB upgrade_rg_schedule225.sql
-- -------------------------------------
-- @(#) upgrade_rg_schedule.sql 1.4.0 07/12/08 17:57:17
-- @(#) 
-- -------------------------------------
DECLARE
  column_exists INTEGER := 0;
BEGIN
  -- Core schema upgrade handles adding pe_resultfolder to rg_schedule
  
  -- The following is pweb only and should only be done if hasn't been done
  -- before.  Basically copy info from pe_reportspec to rg_schedule
  BEGIN
     SELECT 1 INTO column_exists
       FROM user_tab_columns 
      WHERE table_name = 'PE_REPORTSPEC' 
        AND column_name = 'FOLDER_ID';
        
     EXCEPTION
        WHEN NO_DATA_FOUND THEN
           column_exists := 0;
  END;
  IF (column_exists = 1) THEN
     dbms_output.put_line('pe_reportspec folder_id exists, executing DDL.');
 
     -- First copy existing schedule data from old view refering to the
     -- pe_reportspec table.  'Y' indicates this code should raise an error no
     -- matter what
  
     run_sql( 'UPDATE rg_schedule rs ' ||
              '   SET rs.pe_resultfolder = (SELECT prs.folder_id ' ||
              '                               FROM pe_reportspec  prs, ' ||
              '                                    pm_report      r, ' ||
              '                                    job_group_item i '||
              '                              WHERE i.ordinal = 0 ' ||
              '                                AND i.document_id = r.id ' ||
              '                                AND r.pe_reportspecid = prs.reportspec_id ' ||
              '                                AND rs.group_id = i.group_id) ' ||
              ' WHERE EXISTS (SELECT 1 ' ||
              '                 FROM pe_reportspec prs, pm_report r, job_group_item i ' ||
              '                WHERE i.ordinal = 0 ' ||
              '                  AND i.document_id = r.id ' ||
              '                  AND r.pe_reportspecid = prs.reportspec_id ' ||
              '                  AND rs.group_id = i.group_id) ',
              'Y' );
                                 
     COMMIT;
  
     -- Now remove the old column
     run_sql( 'ALTER TABLE pe_reportspec DROP CONSTRAINT fk_reportspec_folder' );
     run_sql( 'ALTER TABLE pe_reportspec DROP COLUMN folder_id' );
  ELSE
  
    dbms_output.put_line('pe_reportspec folder_id no longer exists, skipping DDL.');
  
  END IF;
  
END;
/
PROMPT END PWEB upgrade_rg_schedule225.sql DONE
