---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/migrate/upgrades/sql/R23Pweb/upgrade_schema225.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
PROMPT START PWEB upgrade_schema225.sql
 
BEGIN
   run_sql( ' ALTER TABLE PE_REPORT_RESULT ADD '
         || ' ( '
         || '  ROW_COUNT NUMBER(38,0) DEFAULT 0  '
         || ' ) ');
 
   run_sql( ' DROP INDEX PE_IDX_MODULE_PREFIX ');
 
   run_sql( ' DROP INDEX PE_IDX_MODULE_VERSION_PREFIX ');
     
   -- SEAde47469
   run_sql( ' ALTER TABLE pe_expression_node MODIFY operator varchar2(16) ');
   
   -- SEAde58697 Report group changes
   
   run_sql( 'CREATE INDEX pe_mv_udc_field_idx ON pe_mv_udc_field(mv_field_id) ');
   run_sql( 'CREATE INDEX pe_expression_node_idx ON pe_expression_node(expression_id) ');
   run_sql( 'DROP PACKAGE pe_report_script ');
   run_sql( 'DROP PACKAGE pe_remote_report_script ');
   
   -- SEAde38476 Support for Enterprise UDCs
   run_sql( ' CREATE TABLE pe_udc_field '
         || ' ( '
         || '   field_id                    INTEGER NOT NULL, '
         || '   udc_source                  VARCHAR2(4000) NOT NULL, '
         || '   calc_source                 CLOB, '
         || '   error_msg                   VARCHAR2(2000), '
         || '   owner                       VARCHAR2(64), '
         || '   modified                    DATE NOT NULL, '
         || '   is_valid                    CHAR(1) DEFAULT ''N'' NOT NULL, '
         || '   is_complex                  CHAR(1) DEFAULT ''N'' NOT NULL, '
         || '   CONSTRAINT pk_udc_field_id PRIMARY KEY (field_id), '
         || '   CONSTRAINT fk_udc_field_valid CHECK (is_valid IN (''Y'', ''N'')), '
         || '   CONSTRAINT ck_udc_field_complex CHECK(is_complex IN (''Y'', ''N'')), '
         || '   CONSTRAINT fk_udc_field_fid  FOREIGN KEY (field_id) REFERENCES pe_field (field_id) ON DELETE CASCADE '
         || ' ) tablespace WM_FLEXPM ');
   run_sql( ' CREATE SEQUENCE pe_udc_field_seq ');
   
   -- SEAde61109 Entity relationship support
   run_sql( ' CREATE TABLE pe_entity_relation '
         || ' ( '
         || '   primary_field_id    INTEGER NOT NULL, '
         || '   secondary_field_id  INTEGER NOT NULL, '
         || '   CONSTRAINT fk_entity_rel_pri FOREIGN KEY(primary_field_id) REFERENCES pe_field(field_id) ON DELETE CASCADE, '
         || '   CONSTRAINT fk_entity_rel_sec FOREIGN KEY(secondary_field_id) REFERENCES pe_field(field_id) ON DELETE CASCADE, '
         || '   CONSTRAINT ck_entity_rel_field CHECK(primary_field_id != secondary_field_id) '
         || ' ) ');
   run_sql( ' CREATE UNIQUE INDEX idx_entity_relation '
         || '    ON pe_entity_relation(primary_field_id, secondary_field_id) ' );
   -- SEAde61552 Entity and ordinal uniqueness violation
   run_sql( ' DROP INDEX pe_idx_unq_field_pkgord ');
   -- SEAde61665 Length of E2E field name
   -- Drop the index first so we can alter the table
   run_sql( ' DROP INDEX pe_idx_unq_field_name ');
   run_sql( ' ALTER TABLE PE_FIELD MODIFY '
         || ' field_name varchar2(128) ');
   run_sql( ' CREATE UNIQUE INDEX pe_idx_unq_field_name ON '
         || ' pe_field(entity_id, UPPER(field_name)) ');
            
   -- SEAde63932 Add support for stored summaries 
   run_sql( ' ALTER TABLE pe_busyhour ADD '
         || ' ( '
         || ' bh_type	VARCHAR2(10)  DEFAULT ''BusyHour'' NOT NULL  '
         || ' ) ');
         
   -- SEAde63691 Place reports under agent control
   run_sql( ' CREATE TABLE pe_task_activity '
         || '('
         || '  activity_id           INTEGER NOT NULL,'
         || '  job_id                INTEGER NOT NULL,'
         || '  task_id               INTEGER NOT NULL,'
         || '  job_type              INTEGER NOT NULL,'
         || '  CONSTRAINT pk_task_activity     PRIMARY KEY (activity_id, job_id, task_id),'
         || '  CONSTRAINT fk_task_activity_aid FOREIGN KEY (activity_id) REFERENCES pe_activity(activity_id) ON DELETE CASCADE,'
         || '  CONSTRAINT fk_task_activity_jid FOREIGN KEY (task_id, job_id) REFERENCES active_task(task_id, job_id) ON DELETE CASCADE,'
         || '  CONSTRAINT fk_task_activity_jtp FOREIGN KEY (job_type) REFERENCES sched_job_types(job_type)'
         || ') ORGANIZATION INDEX' );
   run_sql( ' DROP PROCEDURE pe_snap_definition ' );
   run_sql( ' ALTER TABLE pe_reportspec ADD '
         || ' ( '
         || ' report_type      VARCHAR2(10)     DEFAULT ''Standard'' NOT NULL '
         || ' ) ');
   run_sql( ' ALTER TABLE PE_SECTION MODIFY '
         || ' name varchar2(256) ');
                     
   -- SEAde67098: Prevent deadlocks on pe_mv_field_map
   --- pe_activity
   run_sql( ' CREATE INDEX pe_activity_stid_idx ON pe_activity(state) ');
   run_sql( ' CREATE INDEX pe_activity_atid_idx ON pe_activity(agent_type_id) ');
   run_sql( ' CREATE INDEX pe_activity_dsid_idx ON pe_activity(datasource_id) ');
   run_sql( ' CREATE INDEX pe_activity_eid_idx ON pe_activity(entity_id) ');
   --- pe_traffic_agent_status
   run_sql( ' CREATE INDEX pe_idx_tagent_status_eid ON pe_traffic_agent_status(entity_id) ');
   --- pe_table
   run_sql( ' CREATE INDEX pe_idx_table_eid ON pe_table(entity_id) ');
   run_sql( ' CREATE INDEX pe_idx_table_stat ON pe_table(status) ');
   --- pe_stored_field
   run_sql( ' CREATE INDEX pe_idx_stored_fld_tid ON pe_stored_field(table_id) ');
   run_sql( ' CREATE INDEX pe_idx_stored_fld_ctid ON pe_stored_field(column_type_id) ');
   run_sql( ' CREATE INDEX pe_idx_stored_fld_stat ON pe_stored_field(status) ');
   run_sql( ' CREATE INDEX pe_idx_stored_fld_eid ON pe_stored_field(entity_id) ');
   --- pe_remote_data_load_event
   run_sql( ' CREATE INDEX pe_idx_remote_dla_eid ON pe_remote_data_load_event(entity_id) ');
   --- pe_diminsion_field
   run_sql( ' CREATE INDEX pe_idx_dimen_fld_tid ON pe_dimension_field(table_id) ');
   run_sql( ' CREATE INDEX pe_idx_dimen_fld_sid ON pe_dimension_field(status) ');
   --- pe_mv_field_map
   run_sql( ' CREATE INDEX pe_idx_mv_fld_map_mvid ON pe_mv_field_map(module_version_id) ');
   run_sql( ' CREATE INDEX pe_idx_mv_fld_map_fid ON pe_mv_field_map(field_id) ');
   run_sql( ' CREATE INDEX pe_idx_mv_fld_map_tid ON pe_mv_field_map(table_id) ');
   run_sql( ' CREATE INDEX pe_idx_mv_fld_map_mvfid ON pe_mv_field_map(mv_field_id) ');
   run_sql( ' CREATE INDEX pe_idx_mv_fld_map_mvgid ON pe_mv_field_map(mv_group_id) ');
   --- pe_dropped_columns
   run_sql( ' CREATE INDEX pe_idx_dropped_col_tid ON pe_dropped_columns(table_id) ');
   run_sql( ' CREATE INDEX pe_idx_dropped_col_ctid ON pe_dropped_columns(column_type_id) ');
   --- pe_stored_field_map
   run_sql( ' CREATE INDEX pe_idx_stored_fld_map_sfid ON pe_stored_field_map(stored_field_id) ');
   run_sql( ' CREATE INDEX pe_idx_stored_fld_map_mvfmid ON pe_stored_field_map(mv_field_map_id) ');
END;
/
PROMPT END PWEB upgrade_schema225.sql DONE
