#!/usr/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003
# *** (#) ./base/pm/adm/AD_window.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`
usage()
{
 echo "Usage:"
 echo "$SCRIPTNAME [ -w days| -l | -v ]"
 echo "-w: number of days as scenario activation window."
 echo "-l: display the sceanrio activation window value"
 echo "-v: help"
 echo "    scenario activation process will base on this window"
 echo "    to active the scenario instances."
 echo ""
 exit
}

WINDOW=NULL
DISPLAY=NULL

if [ $# -eq 0 ]
 then
 usage
fi

while [ $# -gt 0 ]
do

    case $1 in
      -w) 
          shift
          WINDOW=$1
          ;;
      -l)
          DISPLAY=TRUE
          ;;
      -v) 
          usage
          ;;
       *) echo "$SCRIPTNAME: Invalid parameter $1"
          usage
          ;;
     esac

     if [ $# -gt 0 ]
      then
       shift
     fi
done

if [ ${DISPLAY} = "NULL" ]
  then

TEMP=`echo ${WINDOW}|sed 's/[0123456789]//g'`

if [ ! ${TEMP:=NULL} = "NULL" ]
 then
      echo
      echo 'Invalid character in window days input'
      echo "days' input is '${WINDOW}'"
      echo
      usage
fi

echo 

sqlplus -s /NOLOG  <<!|grep -v Connected. |grep -v "PL/SQL procedure successfully completed."
connect $DB_CONNECT
set serveroutput on size 1000000
set termout off
DECLARE
 vFoo                VARCHAR2(10) := '1';
 vAD_Window          PLS_INTEGER := ${WINDOW};
 vPast_part          PLS_INTEGER;
 vPast_part_ret      PLS_INTEGER;
BEGIN

    IF vAD_Window <1 THEN
       RAISE_APPLICATION_ERROR(-20101,
           'The days'' values('||to_char(vAD_Window)
           ||') cannot be less than 1');
    END IF;

    UPDATE wm_system_values_v SET value=vAD_Window
     WHERE name='ScenarioActivationWindow';

    DBMS_OUTPUT.PUT_LINE('The system variable ScenarioActivationWindow'
       ||' is changed to '||to_char(vAD_Window)||'.');

    SELECT past_part INTO vPast_part
      FROM part_tables
     WHERE UPPER(table_name)='AD_LOADING_REC_TAB';

    UPDATE part_tables SET past_part=ad_ins_Activation.past_part_func(past_part)
     WHERE UPPER(table_name)='AD_LOADING_REC_TAB'
    RETURN past_part INTO vPast_part_ret;

    IF vPast_part <> vPast_part_ret THEN
      DBMS_OUTPUT.PUT_LINE('The past_part value for AD_LOADING_REC_TAB'
        ||' is also changed from '||to_char(vPast_part)
        ||' to '||to_char(vPast_part_ret)||'.');
    END IF;

END;
/
!

fi;


sqlplus -s /NOLOG  <<!|grep -v Connected. |grep -v "PL/SQL procedure successfully completed."
connect $DB_CONNECT
set serveroutput on size 1000000
set termout off
DECLARE
  vWindow   PLS_INTEGER;
BEGIN

    vWindow := wm_sysval.getInteger('ScenarioActivationWindow');
    
    DBMS_OUTPUT.PUT_LINE('Sceanrio Activation window is: '
                        ||to_char(vWindow)||' day(s)');
END;
/
!

