#!/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003-2004
# *** (#) ./base/pm/adm/addRH.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

usage()
{
 echo 'Usage:'
 echo "$SCRIPTNAME  -e entity_name -o oldfullkey -n newfullkey -t reparent_time [ -d oldkey_starttime ][ -D newkey_endtime ] [ -u username ]"
 echo '-e : the entity name of the reparenting fullkey'
 echo '-o : the old fullkey'
 echo '-n : the new fullkey'
 echo '-t : the rehoming time, also the end time of old fullkey and start time of new fullkey.'
 echo '     format YYYYMMDDHH24:MI; example 2003102015:23'
 echo '-d : the start time of the old fullkey; format YYYYMMDDHH24:MI'
 echo '-D : the end time of the new fullkey; format YYYYMMDDHH24:MI'
 echo '-u : the user who conducts the action'
 echo '-v : help'
 echo ''
 exit
}

if [ $# -eq 0 ]
 then
 usage
fi

ENTITY_NAME=NULL
OLDFULLKEY=NULL
NEWFULLKEY=NULL
RH_TIME=NULL
OLDFK_START_DATE=NULL
NEWFK_END_DATE=NULL
USERNAME=NULL

while [ $# -gt 0 ]
do

    case $1 in
      -e)
          shift
          ENTITY_NAME=\'$1\'
          ;;
      -o) 
          shift
          OLDFULLKEY=\'$1\'
          ;;
      -n)
          shift
          NEWFULLKEY=\'$1\'
          ;;
      -d) 
          shift
          OLDFK_START_DATE=\'$1\'
          ;;
      -D) 
          shift
          NEWFK_END_DATE=\'$1\'
          ;;
      -t) 
          shift
          RH_TIME=\'$1\'
          ;;
      -u) 
          shift
          USERNAME=\'$1\'
          ;;
      -v) 
          usage
          ;;
       *) echo "$SCRIPTNAME: Invalid parameter $1"
          usage
          ;;
     esac

     if [ $# -gt 0 ]
      then
       shift
     fi
done

if [ ${ENTITY_NAME:=NULL} = "NULL" -o ${OLDFULLKEY:=NULL} = "NULL"\
 -o ${NEWFULLKEY:=NULL} = "NULL" -o ${RH_TIME:=NULL} = "NULL" ]
 then
      usage
fi

sqlplus -s /NOLOG  <<! |grep -v Connected.|grep -v "PL/SQL procedure successfully completed" |grep -v "Session altered."|grep -v "Commit complete."
connect ${DB_CONNECT}
set serveroutput on size 1000000

ALTER SESSION SET NLS_DATE_FORMAT='YYYYMMDDHH24:MI';

BEGIN
     rh_rehoming.addRH(${ENTITY_NAME},
                       ${OLDFULLKEY},
                       ${NEWFULLKEY},
                       ${RH_TIME},
                       ${OLDFK_START_DATE},
                       ${NEWFK_END_DATE},
                       ${USERNAME},
                       NULL
                       );

                       
END;
/

COMMIT;
!

