#!/bin/ksh
############################################################################
# The following script checks for the validity of command line args.
# and if valid it executes stored proc. to update the 'past_part' attribute
# for traffic,5estrip,cpfail,dbs,iwf,1xev,pcf tables.
############################################################################
#Updated 10/02/2009 - valnt00077479
DBPASSWD=`crypt_util.ksh -g ${DBUSER}`

SCRIPTNAME=`basename $0`
usage() {
    echo "$SCRIPTNAME [table_type start_date end_date] | [-dexception table_type1[table_type2...]]| [-v] | [-dtabletype]"
    echo "  start_date   format yyyymmddhh24 "
    echo "  end_date     format yyyymmddhh24 "
    echo "  -dexception  Display the partitions in exception table for the table type"
    echo "  -dtabletype  Displays available tabletypes "
    exit 1
}
x=0
DISPLAY=N
DISPLAY_TTYPE=N
null_args=0
if [ $# -eq  0 ]
then
    null_args=1
fi

while [ $# -gt 0 ]
do

    valid=0

    x=$(($x+1))

    case $1 in
             -dexception)
	     DISPLAY=Y
             shift
             y=0

         while [ $# -gt 0 ]
         do
            y=$(($y+1))
            table_type[${y}]=$1
            shift
          done
          break
          ;;

            -v)
            usage
            ;;
         
           -dtabletype)
            DISPLAY_TTYPE=Y
            valid=1
            break
            ;;

            *)
            table_type_temp=$1
            shift

            if [ "$1" -ge 0 ]
            then
	       valid=1
	       table_type[${x}]=$table_type_temp
               num1[${x}]=$1
	       shift
	       num2[${x}]=$1
           fi

           if [ "${valid}" -eq 0 ]
          then
             break
          fi

          shift
          ;;
    esac
#   shift
 #    if [ "$DISPLAY" == "N" ]
  #   then

#         shift

#     fi

done

if [ "$DISPLAY" == "N" -a "$DISPLAY_TTYPE" == "N" ]
then

   if [ ${null_args} -eq 0 ]
   then

       if [ ${valid} -eq 0 ]
       then

            echo "Invalid arguments "
            echo "Usage..."
            usage

        else

            count=0

            ## Add partitions for the given date range
            while [ ${count} -lt ${x} ]
            do

                count=$(($count+1))
           
                sqlplus -s /NOLOG <<! 
                connect ${DBUSER}/${DBPASSWD}@${DBSID}
                set serveroutput on size 1000000
                set feed off
                alter session set nls_date_format='yyyymmddhh24';
                execute extended_part_maint.add_partitions('${table_type[${count}]}','${num1[${count}]}','${num2[${count}]}');                 
!
          done
      fi

   else

      ## Display usage
      echo "Usage..."
      usage

   fi

elif [ "$DISPLAY" == "Y" ]
then
    count=0
    while [ ${count} -lt ${y} ]
    do

       count=$(($count+1))
       ## Display partitions in exception table
        sqlplus -s /NOLOG <<! 
        connect ${DBUSER}/${DBPASSWD}@${DBSID}
        set serveroutput on size 1000000
        set feed off
        alter session set nls_date_format='yyyymmddhh24';
        execute extended_part_maint.display_part_exceptns('${table_type[${count}]}');
           
!
      done

elif [ "$DISPLAY_TTYPE" == "Y" ]
then

   ## Display table types available
     sqlplus -s /NOLOG <<! 
        connect ${DBUSER}/${DBPASSWD}@${DBSID}
        set serveroutput on size 1000000
        set feed off
        execute extended_part_maint.display_tabletype('add_part');
!
  fi 
