#! /usr/bin/ksh
#
# COPYRIGHT WatchMark Corp 2003
# *** @(#) change_entity_fdn.sh 1.2.0 04/09/24 10:31:42
# *** @(#) 
#
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`
usage()
{
  echo "Usage:"
  echo "$SCRIPTNAME { -n | -l | -k } -e entity_name"
  echo "  or"
  echo "$SCRIPTNAME -d [ -n ][ -l ][ -k ][ -e entity_name ]"
  echo ""
  echo "  -d   Do not set, display only"
  echo "  -n   Set or display NAME attribute"
  echo "  -l   Set or display LABEL attribute"
  echo "  -k   Set or display LOCALKEY attribute"
  echo "  -e   Set or display attribute for 'enity_name'"
}

display=0
name_attr=0
label_attr=0
lkey_attr=0
entity_name=

while getopts vdnlke: opt
do
  case $opt in
    d) display=1;;
    n) name_attr=1;;
    l) label_attr=1;;
    k) lkey_attr=1;;
    e) entity_name=$OPTARG;;
    ?) usage
       exit 2;;
  esac
done

if [ $display -eq 0 ]
then
  if [ $(expr $name_attr + $label_attr + $lkey_attr) -ne 1 ] || [ -z $entity_name ]
  then
    usage
    exit 2
  fi

  if [ $name_attr -eq 1 ]
  then
    fdn_attr="'NAME'"
  fi

  if [ $label_attr -eq 1 ]
  then
    fdn_attr="'LABEL'"
  fi

  if [ $lkey_attr -eq 1 ]
  then
    fdn_attr="'LOCALKEY'"
  fi

  sql="exec pm_fdn.script_set_entity_fdn_attr( '$entity_name', $fdn_attr );"

else

  attr_where=

  if [ $name_attr -eq 1 ]
  then
    attr_where="'NAME'"
  fi

  if [ $label_attr -eq 1 ]
  then
    if [ ! -z $attr_where ]
    then
       attr_where="$attr_where, "
    fi
    attr_where="$attr_where'LABEL'"
  fi

  if [ $lkey_attr -eq 1 ]
  then
    if [ ! -z $attr_where ]
    then
       attr_where="$attr_where, "
    fi
    attr_where="$attr_where'LOCALKEY'"
  fi

  sql="SELECT entity_name, fdn_attr FROM wmn_entity WHERE 1 = 1 "

  if [ ! -z $entity_name ]
  then
    sql="$sql AND UPPER( entity_name ) = UPPER( '$entity_name' )"
  fi

  if [ ! -z $attr_where ]
  then
    sql="$sql AND fdn_attr IN ( $attr_where )"
  fi

  sql="$sql ORDER BY entity_name ASC;"

fi

#echo $sql

sqlplus -S /nolog <<EOF
connect $DB_CONNECT
set serveroutput on
$sql
exit
EOF
