#! /bin/ksh
# 345678901234567890123456789012345678901234567890134567890

# (#) ./base/pm/adm/clear_scenario.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`


# clear_scenario.sh <system id>
#   Deletes the system scenarios associated with the
#   specified system ID. 
#                                 2001.08.24 - kwagner

if (test $# -ne 1 )
then
  echo 'usage: clear_scenario.sh <system id>'
  exit
fi

echo 
echo Clear system scenarios for System ID $1.
echo
echo Connecting to $DBUSER@$DBSID...
echo
echo The following system scenarios are to be deleted:
echo

# Identify the records to be deleted.
sqlplus -S $DB_CONNECT <<EOF
  set pagesize 0
  -- User ID = 1 is the system user, this prevents
  -- deletion of user defined scenarios.
  select NAME 
    from PM_SCENARIO 
   where SYSTEMID = $1 
     and USERID = 1;
  exit
EOF

# Are you sure you really want to do this?
echo [Enter] to continue, [Ctrl-C] to abort.
read

# Delete the records.
sqlplus -S $DB_CONNECT <<EOF
  set serveroutput on
  DECLARE
     rpt_exists PLS_INTEGER := 0;
  BEGIN


     begin

        select 1 into rpt_exists
          from PM_REPORT r
             , PM_SCENARIO s
         where s.id = r.scenarioid
           and s.systemid = ${1}
           and s.userid = 1
           and rownum = 1
             ;

     exception
     when NO_DATA_FOUND  then NULL;
     end;

     if rpt_exists > 0
     then
        dbms_output.put_line('Error- Cannot Remove System Scenario- '||${1} ||
            ' This Scenario is being used by a report or busyhour');
     else

        begin

           delete
	     from PM_SCENARIO s
            where SYSTEMID = ${1}
              and USERID = 1
	       ;

           commit;
        exception
          WHEN OTHERS THEN
          dbms_output.put_line('Error- Cannot Remove System Scenario- '||${1} ||
              ' This Scenario is being used by a report or busyhour');
        end;

     end if;

  END;
/
  exit;
EOF


echo Done.

