#!/bin/ksh
# ------------------------------------------------------------------------
#     COPYRIGHT WatchMark Corp 2003
# *** (#) ./base/pm/adm/dumpRH.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# *** (#) 
# ------------------------------------------------------------------------
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

usage() 
{ 
 echo 'Usage:' 
 echo "$SCRIPTNAME  [ -k fullkey ] [ -d startDate] [ -D endDate ] [ -v ]"
 echo '-k : the fullkey involved in the rehoming' 
 echo '-d : the start date of rehoming information to dump'
 echo '       format YYYYMMDDHH24:MI; example 2003102015:23'
 echo '-D : the end date of rehoming information to dump'
 echo '-v : help' 
 echo '' 
 exit 
} 

FULLKEY=NULL
START_DATE=NULL
END_DATE=NULL

while [ $# -gt 0 ]
do

    case $1 in
      -k) 
          shift
          FULLKEY=\'$1\'
          ;;
      -d)
          shift
          START_DATE=\'$1\'
          ;;
      -D)
          shift
          END_DATE=\'$1\'
          ;;
      -v) 
          usage
          ;;
       *) 
          usage
          ;;
     esac

     if [ $# -gt 0 ]
      then
       shift
     fi
done


sqlplus -s /NOLOG  <<! |grep -v Connected.|grep -v "PL/SQL procedure successfully completed" |grep -v "Session altered."|grep -v "Commit complete."
connect ${DB_CONNECT}
set serveroutput on size 1000000
set lin 85

ALTER SESSION SET NLS_DATE_FORMAT='YYYYMMDDHH24:MI';

BEGIN
     rh_rehoming.dumpRH(
                       ${FULLKEY},
                       ${START_DATE},
                       ${END_DATE}
                       );

                       
END;
/

COMMIT;
!

