#!/bin/ksh
############################################################################
# The following script checks for the validity of command line args.
# and if valid it executes stored proc. to update the 'past_part' attribute
# for traffic,5estrip,cpfail,dbs,iwf,1xev,pcf,sbusyhour and ssummary tables.
############################################################################
#Updated 10/02/2009 - valnt00077479
DBPASSWD=`crypt_util.ksh -g ${DBUSER}`

SCRIPTNAME=`basename $0`
usage() {
    echo "$SCRIPTNAME [table_type num_days/num_weeks/num_months/num_hours] | [-v] | [-dtabletype]"
    echo "   "
    echo " Table Types Partitioned by week (PM_Weekly): sBHDaily,sSUMDaily,sSUMWeekly"
    echo " Table Types Partitioned by month (PM_Monthly): sSUMMonthly"
    echo " -dtabletype Display available tabletypes "
    echo " -v          Display usage "
    exit 1
}
x=0
null_args=0
DISPLAY_TTYPE=N
set_past_part=N

if [ $# -eq  0 ]
then
    null_args=1
fi

while [ $# -gt 0 ]
do

   valid=0

    x=$(($x+1))

    case $1 in
            -v)
            usage
            ;;

            -dtabletype)
            DISPLAY_TTYPE=Y
            valid=1
            break
            ;;


            *)
            table_type_temp=$1
            shift
            if [ "$1" -ge 0 ]
            then
	       valid=1
	       table_type[${x}]=$table_type_temp
	       num[${x}]=$1
               set_past_part=Y
            fi

            if [ "${valid}" -eq 0 ]
            then 

               break

            fi

            shift
            ;;
    esac

done

if [ ${null_args} -eq 0 ]
then
    if [ ${valid} -eq 0 ]
    then
       echo " Invalid arguments "
       echo " Usage..."
       usage

    elif [ "$set_past_part" == "Y" ]
    then
        count=0
        while [ ${count} -lt ${x} ]
        do
            count=$(($count+1))
            sqlplus -s /NOLOG <<! | grep -v Connected.
            connect ${DBUSER}/${DBPASSWD}@${DBSID}
            set serveroutput on size 1000000
            set feed off
            execute extended_part_maint.past_part_update('${table_type[${count}]}',${num[${count}]});
!
        done
    
   elif [ "$DISPLAY_TTYPE" == "Y" ]
   then
   ## Display table types available
     sqlplus -s /NOLOG <<! | grep -v Connected.
        connect ${DBUSER}/${DBPASSWD}@${DBSID}
        set serveroutput on size 1000000
        set feed off
        execute extended_part_maint.display_tabletype('past_part');
!
    fi
fi

# Display past partition value for various table types
echo ""
sqlplus -s /NOLOG <<! | grep -v Connected.
connect ${DBUSER}/${DBPASSWD}@${DBSID}
set serveroutput on size 1000000
set feed off

execute extended_part_maint.list_past_part;
!

