#! /bin/ksh
#
# (#) ./base/pm/adm/rename_scenario.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
# COPYRIGHT WatchMark Corp 2004
#
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

usage() {
    echo "${SCRIPTNAME} -s system_id -n name -d description"
    echo "    -s : System ID"
    echo "    -n : Name"
    echo "    -d : description"
    exit 1
}

XSYSID=""
XNAME=""
XDESC=""

while [ $# -gt 0 ]
do

    case ${1} in
	-s) 
	    shift
	    XSYSID=${1}
	    ;;

	-n)
            shift
	    XNAME=${1}
	    ;;

        -d)
            shift
            XDESC=${1}
            ;;

	*)
	    echo "$SCRIPTNAME: Invalid parameter ${1}"
	    usage
	    ;;
    esac

    shift

done

if [[ "${XSYSID}" = "" || "${XNAME}" = "" || "${XDESC}" = "" ]]
then
   usage
fi

sqlplus -s /NOLOG << !
set feed off
set serveroutput on size 1000000
connect $DB_CONNECT
VARIABLE return_status NUMBER;
DECLARE
    pErrorCode INTEGER := 0;
    pErrorMessage VARCHAR2(512);
BEGIN

    wm_scenario.change_name( $XSYSID, '$XNAME', '$XDESC', pErrorCode, pErrorMessage );

    IF ( pErrorCode != 0 ) THEN
       :return_status := 1;
       wm_print.print(pErrorMessage);
    ELSE
       :return_status := 0;
    END IF;
       
END;
/
EXIT :return_status
!
XRETURN=$?

exit $XRETURN
