#! /usr/bin/ksh
#
# COPYRIGHT WatchMark Corp 2003
# *** (#) ./base/pm/adm/sa_system_restart_timeout.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# *** (#) 
#
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`
usage()
{
  echo "Usage:"
  echo "$SCRIPTNAME [ -t seconds ]|[ -d ]"
  echo ""
  echo "  -t  set system restart timeout"
  echo "  -d  display system restart timeout"
}

display=0
seconds=

while getopts t:d opt
do
  case $opt in
    t) seconds=$OPTARG;;
    d) display=1;;
    ?) usage
       exit 2;;
  esac
done

if [ -z $seconds ] && [ $display -eq 0 ]
then
  usage
  exit 2
fi

if [ $display -ne 0 ]
then
  sql="SELECT name setting, value timeout FROM wm_system_values_v WHERE UPPER( name ) = UPPER( 'SASystemRestartTimeout' );"
else
  sql="exec SA_Client.Set_System_Restart_TimeOut( $seconds );"
fi

#echo $sql

sqlplus -S $DB_CONNECT <<EOF
column setting format a25
column timeout format a10
$sql
exit
EOF
