#! /bin/ksh
#
# (#) ./base/pm/adm/set_job_cleanup_time.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
# COPYRIGHT WatchMark Corp 2004
#
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`
usage() {
    echo "$SCRIPTNAME [ -l | -t job_type cleanup_time | -v ]"
    echo "    -l : display available jobs and their cleanup time in seconds"
    echo "    -t : job_type can be \"Soft Alarm\" or \"Aggregator\", etc."
    echo "         quotes are required if the job type name contains spaces"
    echo "         cleanup_time is in seconds; it can be an expression"
    echo "    -v : display usage"
    echo "Example: "
    echo " $SCRIPTNAME -t \"Soft Alarm\" 7200"
    echo " $SCRIPTNAME -t \"Soft Alarm\" 2*60*60"
    exit 1
}

# show usage if there is not parameter
if [ $# -eq 0 ]
then
 usage
fi

XJOBTYPE=""
XCLEANUP_TIME=""
XDISPLAY=""

while [ $# -gt 0 ]
do

    case ${1} in
	-l) 
	    shift
	    XDISPLAY=TRUE
	    ;;

	-t)
            shift
	    XJOBTYPE=${1}
	    XCLEANUP_TIME=${2}
            shift
            shift
	    ;;

        -v)
            usage
            ;;

	*)
	    echo "$SCRIPTNAME: Invalid parameter ${1}"
	    usage
	    ;;
    esac

done

if [ "${XDISPLAY}" = "TRUE" -a "${XJOBTYPE}" != "" ]
then
    echo "$SCRIPTNAME: invalid parameters"
    usage
fi

if [ "${XDISPLAY}" = "TRUE" ]
then
sqlplus -s /NOLOG << !
set feed off
set serveroutput on size 1000000
connect $DB_CONNECT
exec sched.list_cleanup_time_setable_job;
exit
!
else

TEMP=`echo ${XCLEANUP_TIME}|sed 's/[0123456789+-\*\/]//g'`

if [ ! ${TEMP:=NULL} = "NULL" ]
 then
      echo
      echo 'Invalid character in cleanup_time input'
      echo "cleanup_time' input is '${XCLEANUP_TIME}'"
      echo
      usage
fi


sqlplus -s /NOLOG << !
set feed off
set serveroutput on size 1000000
connect $DB_CONNECT
exec sched.set_sched_cleanup_time('${XJOBTYPE}', ${XCLEANUP_TIME});
exec sched.list_cleanup_time_setable_job;
commit;
exit
!
fi;


