/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.framework;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class MessageTable
{
  private String _tableName;
  
  private List _columns = new ArrayList();
  private List _actions = new ArrayList();
  
  public MessageTable(String name)
  {
    _tableName = name;
  }
  
  public String getTableName()
  {
    return _tableName;
  }
  
  public void addColumn(String name, String expression, String columnType)
  {
    // Record the ordinal of the field so we can do easy lookups on it
    // later.
    MessageTableColumn c = new MessageTableColumn(name, expression, columnType);
    _columns.add(c);
  }
  
  public void addAction(String prePost, String actionType, String action, String arguments)
  {
    _actions.add(new MessageTableAction(prePost, actionType, action, arguments));
  }
  
  public Iterator getColumnIterator()
  {
    return _columns.iterator();
  }
  
  public Iterator getActionIterator()
  {
    return _actions.iterator();
  }
}