package com.watchmark.loader.xml.model;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import org.apache.log4j.BasicConfigurator;
import org.apache.log4j.Logger;
import org.xml.sax.SAXException;

public class Transform 
{
	private Logger _logger = Logger.getLogger(getClass());

  public Transform()
  {
  }
  
  public void process(String filename, String outfile)
  {
    XMLController c = new XMLController(null);

    FileReader fr = null;
    BufferedReader br = null;
    FileWriter fw = null;
    BufferedWriter bw = null;
    try
    {
      File f = new File(filename);
      fr = new FileReader(f);
      br = new BufferedReader(fr);
      
      fw = new FileWriter(outfile);
      bw = new BufferedWriter(fw);
      
//      WmScheduleValue sv = new WmScheduleValueImpl();
//      Adapter start = new ScheduleValueAdapter(c, sv);
//      c.push(start);
      c.parse(br, bw);
    }
    catch (FileNotFoundException fnf)
    {
      System.out.println("File not found! " + filename);
    }
    catch (SAXException sx)
    {
      System.out.println("XML (SAX) error: " + sx.getMessage());
      sx.printStackTrace();

      Throwable t = sx.getCause();
      if (t != null)
        t.printStackTrace();
    }
    catch (IOException iox)
    {
      System.out.println("IO error: " + iox.getMessage());
    }
    finally
    {
      try { br.close(); } catch (Exception e) {}
      try { fr.close(); } catch (Exception e) {}
    }

  }

  /**
   * 
   * @param args
   */
  public static void main(String[] args)
  {
    Logger rootLogger = Logger.getRootLogger();
    BasicConfigurator.configure();
    
    long startTime = System.currentTimeMillis();
    Transform transform = new Transform();

    try
    {
//      transform.process("n3gpp.xml");
      transform.process("crap.xml", "out.txt");
    }
    catch (Exception e)
    {
      System.out.println(e.getMessage());
      e.printStackTrace();
    }

    long endTime = System.currentTimeMillis();

    double delta = (endTime - startTime)/1000.0;

    System.out.println("=====================================================");
    System.out.println("Test took " + delta + "s");
    System.out.println("=====================================================");
  }
}