/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.zipstream;

import com.watchmark.loader.framework.ArchiveReader;
import com.watchmark.loader.framework.Controller;
import com.watchmark.loader.framework.FileReader;
import com.watchmark.loader.framework.Processor;

import java.io.BufferedInputStream;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStream;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;
import org.w3c.dom.Element;

public class ZipFileReader extends ArchiveReader
{
  
  public ZipFileReader(String name)
  {
    super(name);
  }

  /**
   * Configure the Processor using data it finds under this element. Usually only
   * things specific to this instance.
   * @param e
   */
  public void configure(Element e)
  {
    super.configure(e);
  }

  /**
   * Open the file as a ZIP.
   * @param is
   */
  public void process(String filename, Controller controller)
    throws FileNotFoundException, IOException
  {
    FileInputStream fis = new FileInputStream(filename);
    ZipInputStream zis = null;
    
    try
    {
      zis = new ZipInputStream(new BufferedInputStream(fis));

      ZipEntry entry;
      while((entry = zis.getNextEntry()) != null)
      {
        // Not interested in directories, obviously!
        if (!entry.isDirectory())
          processEntry(zis, entry.getName());
      }
    }
    finally
    {
      zis.close();
    }
  }
}