/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.framework;

import java.io.IOException;
import java.io.InputStream;
import java.io.PrintWriter;
import java.io.Writer;
import java.util.Map;
import org.w3c.dom.Element;

public interface Processor
{
  /**
   * Configure the Processor using data it finds under this element.
   * @param e
   */
  public void configure(Element e);
  
  public void addPattern(String ptn);

  public void setWriter(PrintWriter w);

  /**
   * The name map is a name/value pairing, built up from parsing the
   * archive name and the current filename in the archive.
   * @param m
   */
  public void setNameMap(Map m);

  /**
   * 
   * @param filename
   * @param readerName
   * @return true if this Processor should handle the given file. The name of
   * the current reader is also passed in, as some configurations may restrict
   * processing of certain files to certain readers.
   */
  public boolean accept(String filename, String readerName);
  
  /**
   * Read this input stream and process the data in it.
   * @param is
   */
  public void process(InputStream is, String entryName)
    throws IOException;
  
  
}