/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.translator;
import java.util.Iterator;
import java.util.List;

public class CacheKey
{
  int _hashCode;
  List _args;
  
  public CacheKey(List args)
  {
    _args = args;
    _hashCode = args.size();

    // Compose a reasonable hashcode from the list of args    
    Iterator it = args.iterator();
    while (it.hasNext())
      _hashCode = _hashCode * 37 + it.next().hashCode();
  }
  
  public int hashCode()
  {
    return _hashCode;
  }
  
  public boolean equals(Object o)
  {
    if (o == null)
      return false;
      
    if (o == this)
      return true;
      
    if (!(o instanceof CacheKey))
      return false;
    
    CacheKey other = (CacheKey)o;
    boolean result = _args.size() == other.getArgs().size();
    
    // Need to iterate over all the parts to make sure they're also the
    // same (we consider order to be important too).
    for (int i=0; result && i<_args.size(); i++)
    {
      result = _args.get(i).equals(other.getArgs().get(i));
    }
    
    return result;
  }
  
  public List getArgs()
  {
    return _args;
  }
}