/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.translator;
import com.watchmark.loader.framework.Translator;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class DBLookup extends Translator
{
  Map _dbCacheMap = new HashMap();

  public DBLookup()
  {
    super("DBLOOKUP");
  }
  
  public String translate(Map attributes, List args)
  {
    String result = "";
    
    if (args.size() > 2)
    {
      String url = getArgValue(attributes, args, 0);
      String sql = getArgValue(attributes, args, 1);

      // Remaining args the variables.
      List vars = new ArrayList();
      for (int i=2; i<args.size(); i++)
      {
        vars.add(getArgValue(attributes, args, i));
      }
      
      DBCache cache = getDBCache(url, sql);
      
      result = cache.find(attributes, vars);
    }
    
    return result;
  }
  
  private DBCache getDBCache(String url, String sql)
  {
    DBCache key = new DBCache(url, sql);
    DBCache result = (DBCache)_dbCacheMap.get(key);
    if (result == null)
    {
      result = key;
      result.initialize();
      _dbCacheMap.put(key, result);
    }
    
    return result;
  }
}