/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.translator;
import com.watchmark.loader.framework.Translator;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import org.apache.regexp.*;

public class Match extends Translator
{
  public Match()
  {
    super("MATCH");
  }
  
  public String translate(Map attributes, List args)
  {
    String result = "";
    
    if (args.size() > 1)
    {
      String a0 = getArgValue(attributes, args, 0);
      String a1 = getArgValue(attributes, args, 1);
      
      try
      {
        RE r = new RE(a1);
        if (r.match(a0))
        {
          int n = 0;
          if (args.size() == 3)
            n = getArgInt(attributes, args, 2);

          // Find out what was matched.            
          result = r.getParen(n);
        }
      }
      catch (RESyntaxException e)
      {
        System.err.println("Invalid regular expression: \"" + a1 + "\", " + e.getMessage());
      }
    }
    
    return result;
  }
}