/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Feb 23, 2004
 * 
 */
package com.watchmark.loader.translator;
import com.watchmark.loader.framework.Translator;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;
import java.util.Map;

public class TimeTrunc extends Translator
{
  private SimpleDateFormat _time = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
  private SimpleDateFormat _date = new SimpleDateFormat("yyyy-MM-dd");

  public TimeTrunc()
  {
    super("TIMETRUNC");
  }
  
  public String translate(Map attributes, List args)
  {
    String result = "";
    
    if (args.size() == 2)
    {
      String tstampString = getArgValue(attributes, args, 0);
      int minutes = getArgInt(attributes, args, 1);

      try
      {
        Date tstamp = _time.parse(tstampString);
        Date date = _date.parse(tstampString);
        long diff = (tstamp.getTime() - date.getTime()) / 1000;
        
        // round off to the previous n-minute interval. diff is the number of
        // seconds that have elapsed from date.
        long t = (diff / (minutes*60)) * minutes * 60;
        Date trunc = new Date(date.getTime() + t * 1000);
        result = _time.format(trunc);
      }
      catch (ParseException e)
      {
      }
    }
    
    return result;
  }
}