/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Mar 19, 2004
 * 
 * An Adapter encapsulates an object that is being configured from an XML
 * document. The adapter translates the elements as they are streamed in
 * converting them to setFoo calls on the target object, or create
 * sub-adapters that handle sub-classes.
 */
package com.watchmark.loader.xml.model;

import java.io.IOException;
import java.io.StringReader;

import java.text.ParseException;

import org.apache.log4j.Logger;

import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLReaderFactory;

import java.util.List;

/**
 * @author robin
 * @version 1.0 2004/03/19
 * 
 * 
 */

public abstract class BaseAdapter implements Adapter
{
  public BaseAdapter()
  {
  }

  /**
   * Every Adapter must know about its parent Controller
   * @see #aaa
   * @param paramName comments
   * @exception XxxxxxException if ...
   * @return comments
   */
  public abstract Controller getController();

  /**
   * Each adapter must process its own element
   * @see #aaa
   * @param paramName comments
   * @exception XxxxxxException if ...
   * @return comments
   */
   public void text(String elementName, String data) throws Exception
   {
      // Here's where we really do the adaption. Actually, nothing to do for
      // this options adapter, as it only has sub-elements, no element values.
   }

   public void close() throws Exception
   {
     // This is where we're getting popped off the stack. Nothing to do in this
     // instance, as this adapter is really just working as a factory for
     // other adapters that actually do the real work.
   }
  /**
   * Adapters know how to make their own child adapters
   * @see #aaa
   * @param paramName comments
   * @exception XxxxxxException if ...
   * @return comments
   */
  public Adapter create(String tag, Attributes attributes)
    throws Exception
  {
    Adapter result = this;
    return result;
  }
}