/*
 *=============================================================================
 *                      COPYRIGHT WatchMark Inc 2004
 *=============================================================================
 * 
 * Created on Mar 19, 2004
 * 
 * An Adapter encapsulates an object that is being configured from an XML
 * document. The adapter translates the elements as they are streamed in
 * converting them to setFoo calls on the target object, or create
 * sub-adapters that handle sub-classes.
 */
package com.watchmark.loader.xml.model;

import java.io.IOException;
import java.io.StringReader;

import java.text.ParseException;

import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import org.apache.log4j.Logger;

import org.xml.sax.Attributes;
import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.DefaultHandler;
import org.xml.sax.helpers.XMLReaderFactory;

import java.util.List;
import java.sql.Connection;

/**
 * @author robin
 * @version 1.0 2004/03/19
 * 
 * 
 */

public class MeasurementTypeAdapter extends XMLBaseAdapter
{
  public static final String ADAPTER_NAME = "mt";
 
  private MeasurementInfoAdapter _measurementInfoAdapter;
  private int _measurementIndex = -1;
  
  public MeasurementTypeAdapter(XMLController c, Connection conn, MeasurementInfoAdapter mia)
  {
    super(c, conn);
    _measurementInfoAdapter = mia;
  }
  
  public String getName()
  {
    return ADAPTER_NAME;
  }
  
    
  public Adapter create(String tag, Attributes attributes)
    throws Exception
  {
    Adapter result = this;
    return result;
  }
  
  public void text(String tag, String data) throws Exception
  {
    // This is our text.
    if (tag.equals(ADAPTER_NAME))
      addMeasurementType(data);
  }
  
  protected void addMeasurementType(String name)
  {
    _measurementInfoAdapter.addMeasurementType(name, _measurementIndex);
  }
  
  public void setAttributes(Attributes list)
  {
    for (int i=0; i<list.getLength(); i++)
    {
      String name = list.getQName(i);
      String value = list.getValue(i);
      
      if (name.equals("p") && value != null && value.length() > 0)
        _measurementIndex = Integer.parseInt(value);
    }
  }
}