#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2007, 2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./crypt/bin/crypt_util.ksh BL_core_mw_extra_8.0.7_8.0.7.4.02_20100413  020914
# (#) 
#
#-- ----------------------------------------------------------------------
#-- This script is responsible for securely retrieving passwords 
#--
#-- Author: Paul Curran
#-- Date: 05/06/07
#--
#-- ----------------------------------------------------------------------

CLI_ARGS="$@"

if [ -z "$JAVA_HOME" ]; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo ""
  echo "Please, set the JAVA_HOME environment variable to match the"
  echo "root directory of the Java Virtual Machine you want to use."
  echo ""
  exit 1;
else
  echo PATH | grep $JAVA_HOME || PATH=$JAVA_HOME/bin:$PATH
fi

EXTRA_HOME=$FLEXPM_HOME/pm/extra
EXTRA_LIB=$EXTRA_HOME/lib
CRYPT_HOME=$EXTRA_HOME/crypt
CRYPT_CONF=$CRYPT_HOME/conf
CRYPT_LIB=$CRYPT_HOME/lib

# set the class path
UNIXCP=""

for jarfile in `find $EXTRA_LIB -name '*.jar' -print 2>/dev/null`
do
  UNIXCP="$UNIXCP:$jarfile"
done

for jarfile in `find $CRYPT_LIB -name '*.jar' -print 2>/dev/null`
do
  UNIXCP="$UNIXCP:$jarfile"
done

PATH="$JAVA_HOME/bin:$PATH"

# other properties required by crypt_util
NONDB_PROPERTIES="-Dconf.dir=$CRYPT_CONF"

# the main class
MAINCLASS="com.ibm.cryptutil.main.CryptUtil"

JAVA_PROPS="-client -Xmx16M"

exec $JAVA_HOME/bin/java $JAVA_PROPS -classpath $UNIXCP $NONDB_PROPERTIES $MAINCLASS $CLI_ARGS

