#!/bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# 
# Run all Performance Reports
##############################################################

#Updated 09/09/2009 - valnt00094476
PERF_HOME=$FLEXPM_HOME/pm/pas/bin/perf
cd $PERF_HOME
#End Update 09/09/2009 - valnt00094476
if [[ $1 == [0-9]* ]]; then   # Is Numeric?
    let numdays=$1
else  
    echo "Run all reports"                                           
    echo " "
    echo "The input value '$1' is not numeric."
    echo "--------------------------------------------------"
    echo "Usage: $0 [NumberOfDays] "
    exit 1
fi

echo memory.sh $numdays
memory.sh $numdays
echo reportsByDS.sh $numdays
reportsByDS.sh $numdays
echo reportsByDS_User.sh $numdays
reportsByDS_User.sh $numdays
echo reportsCompleted.sh $numdays
reportsCompleted.sh $numdays
echo reportsPending.sh $numdays
reportsPending.sh $numdays
echo reportsStarted.sh $numdays
reportsStarted.sh $numdays
echo userCount.sh $numdays
userCount.sh $numdays
echo queueTimeBucket.sh $numdays
queueTimeBucket.sh $numdays
echo runTimeBucket.sh $numdays
runTimeBucket.sh $numdays
