#!/bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# 
# Report Java Memory Usage for the last (User Input) days.
##############################################################
#Updated 12/02/2009 - valnt00077479

#Updated 09/09/2009 - valnt00094476
PERF_HOME=$FLEXPM_HOME/pm/pas/bin/perf
cd $PERF_HOME
#End Update 09/09/2009 - valnt00094476
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`
if [[ $1 == [0-9]* ]]; then   # Is Numeric?
    let numdays=$1
else 
    echo "Display java memory usage"                                            
    echo " "
    echo "The input value '$1' is not numeric."
    echo "--------------------------------------------------"
    echo "Usage: $0 [NumberOfDays] "
    exit 1
fi

if [[ $1 > 2 ]]; then     
    sqlplus -s $DB_CONNECT @sql/memory7 $numdays
    exit 0
fi

sqlplus -s $DB_CONNECT @sql/memory24 $numdays
