@@general.format
ALTER SESSION SET NLS_DATE_FORMAT = 'yyyy-mm-dd';

COLUMN datasource_name  HEADING 'Datasource' FORMAT A30
COLUMN agent_type_name  HEADING 'Job Type'  FORMAT A16
COLUMN min_queue_length HEADING 'Min Queue|Length' JUSTIFY RIGHT
COLUMN avg_queue_length HEADING 'Avg Queue|Length' JUSTIFY RIGHT
COLUMN max_queue_length HEADING 'Max Queue|Length' JUSTIFY RIGHT

TTITLE LEFT 'Queue Length'
REPHEADER SKIP

select
        trunc(tstamp) "Date",
        datasource_name,
        agent_type_name,
        min(min_queue_length) min_queue_length,
        ROUND(AVG(avg_queue_length),2) avg_queue_length,
        MAX(max_queue_length) max_queue_length
from 
	pe_perf_stats_report_queue_vw
where 
	tstamp >= sysdate - &1 
group by trunc(tstamp), datasource_name, agent_type_name
order by datasource_name, agent_type_name, trunc(tstamp)
;
exit;
