@@general.format

TTITLE LEFT 'Reports Per Queue Time Interval'
REPHEADER SKIP

BREAK ON datasource_name SKIP 1

COLUMN datasource_name  HEADING 'Datasource' FORMAT A30
COLUMN tstamp           HEADING 'Date' JUSTIFY CENTER
COLUMN gt_120min        HEADING '> 120 min' JUSTIFY CENTER
COLUMN lt_120min        HEADING '<= 120 min' JUSTIFY CENTER
COLUMN lt_60min         HEADING '<= 60 min' JUSTIFY CENTER
COLUMN lt_30min         HEADING '<= 30 min' JUSTIFY CENTER
COLUMN lt_15min         HEADING '<= 15 min' JUSTIFY CENTER
COLUMN lt_10min         HEADING '<= 10 min' JUSTIFY CENTER
COLUMN lt_5min          HEADING '<= 5 min' JUSTIFY CENTER
COLUMN total            HEADING 'Total' JUSTIFY CENTER

SELECT datasource_name, trunc(tstamp) tstamp, 
       count(CASE WHEN (sec_in_queue > 120*60) THEN 1 ELSE null END) gt_120min,
       count(CASE WHEN (sec_in_queue <= 120*60 AND sec_in_queue > 60*60) THEN 1 ELSE null END) lt_120min,
       count(CASE WHEN (sec_in_queue <= 60*60 AND sec_in_queue > 30*60) THEN 1 ELSE null END) lt_60min,
       count(CASE WHEN (sec_in_queue <= 30*60 AND sec_in_queue > 15*60) THEN 1 ELSE null END) lt_30min,
       count(CASE WHEN (sec_in_queue <= 15*60 AND sec_in_queue > 10*60) THEN 1 ELSE null END) lt_15min,
       count(CASE WHEN (sec_in_queue <= 10*60 AND sec_in_queue > 5*60) THEN 1 ELSE null END) lt_10min,
       count(CASE WHEN sec_in_queue <= 5*60 THEN 1 ELSE null END) lt_5min,
       count(sec_in_queue) total
  FROM pe_perf_stats_report_vw
 WHERE trunc(tstamp) > trunc(sysdate - &1)
 GROUP BY trunc(tstamp), datasource_name
 ORDER BY datasource_name, tstamp
;
exit;