@@general.format

TTITLE LEFT 'DB Statistics about a report task vs other runs of report in last 7 days'
REPHEADER SKIP

COLUMN stat_name        HEADING 'Stat|Names' FORMAT A64
COLUMN stat_value       HEADING 'Stat|Value' JUSTIFY CENTER
COLUMN avg_stat_value   HEADING 'Avg Stat|Value' JUSTIFY CENTER

SELECT sv.stat_name stat_name, 
       sv.stat_value stat_value, 
       x.stat_value avg_stat_value
  FROM pe_perf_report_db_stats_vw sv,
       (SELECT stat_id, AVG(stat_value) stat_value
          FROM pe_perf_report_db_stats
         WHERE tstamp > trunc(sysdate - 7)
           AND task_id IN
               (SELECT task_id
                  FROM pe_perf_stats_report
                 WHERE task_id != &1
                   AND report_id = (SELECT report_id
                                      FROM pe_perf_stats_report
                                     WHERE task_id = &1))
         GROUP BY stat_id) x
 WHERE task_id = &1
   AND x.stat_id (+)= sv.stat_id
 ORDER BY sv.stat_id
;
EXIT;