@@general.format
ALTER SESSION SET NLS_DATE_FORMAT = 'yyyy-mm-dd HH24:MI:SS';

TTITLE LEFT 'Details about a report task vs other runs of report in last 7 days'
REPHEADER SKIP

COLUMN folder           HEADING 'Folder' FORMAT A40
COLUMN report_name      HEADING 'ReportName' FORMAT A30
COLUMN datasource_name  HEADING 'Datasource' FORMAT A30
COLUMN user_name        HEADING 'User' FORMAT A15
COLUMN queue_time       HEADING 'Queue Time' JUSTIFY CENTER
COLUMN start_time       HEADING 'Start Time' JUSTIFY CENTER
COLUMN end_time         HEADING 'End Time' JUSTIFY CENTER
COLUMN job_type         HEADING 'Job Type' FORMAT A9
COLUMN report_attrs     HEADING 'Report|Attributes' FORMAT A20
COLUMN status           HEADING 'Status' FORMAT A7
COLUMN message          HEADING 'Message' FORMAT A30

SELECT folder,
       report_name,
       datasource_name,
       user_name,
       queue_time,
       start_time,
       end_time,
       Job_type,
       report_attrs,
       status,
       message
  FROM pe_perf_stats_report_vw sv
 WHERE task_id = &1
;

COLUMN total            HEADING 'Other Run|Count' JUSTIFY CENTER
COLUMN sec_in_queue     HEADING 'Queue Time|Seconds' JUSTIFY CENTER
COLUMN run_time_in_sec  HEADING 'Run Time|Seconds' JUSTIFY CENTER
COLUMN table_count      HEADING 'Tables Used' JUSTIFY CENTER
COLUMN column_count     HEADING 'Columns Used' JUSTIFY CENTER

SELECT NULL total,
       sec_in_queue,
       run_time_in_sec,
       table_count,
       column_count
  FROM pe_perf_stats_report_vw sv
 WHERE task_id = &1
UNION
SELECT COUNT(1) total,
       round(AVG(sec_in_queue), 2) sec_in_queue,
       round(AVG(run_time_in_sec),2) run_time_in_sec,
       round(AVG(table_count),2) table_count,
       round(AVG(column_count),2) column_count
  FROM pe_perf_stats_report_vw
 WHERE tstamp > trunc(SYSDATE - 7)
   AND task_id IN
       (SELECT task_id
          FROM pe_perf_stats_report
         WHERE task_id != &1
           AND report_id =
               (SELECT report_id FROM pe_perf_stats_report WHERE task_id = &1))
 ORDER BY total NULLS FIRST
;
EXIT;