@@general.format
ALTER SESSION SET NLS_DATE_FORMAT = 'yyyy-mm-dd HH24:MI:SS';

TTITLE LEFT '10 longest running reports per day, datasource and job type.  Does not include today'
REPHEADER SKIP

BREAK ON tstamp skip 1

COLUMN tstamp           HEADING 'Date' JUSTIFY CENTER
COLUMN datasource_name  HEADING 'Datasource' FORMAT A30
COLUMN job_type         HEADING 'Job Type' FORMAT A9
COLUMN task_id          HEADING 'Task Id' JUSTIFY CENTER 
COLUMN folder           HEADING 'Folder' FORMAT A40
COLUMN report_name      HEADING 'ReportName' FORMAT A30
COLUMN user_name        HEADING 'User' FORMAT A15
COLUMN queue_time       HEADING 'Queue Time' JUSTIFY CENTER
COLUMN start_time       HEADING 'Start Time' JUSTIFY CENTER
COLUMN end_time         HEADING 'End Time' JUSTIFY CENTER
COLUMN sec_in_queue     HEADING 'Queue Time|Seconds' JUSTIFY RIGHT
COLUMN run_time_in_sec  HEADING 'Run Time|Seconds' JUSTIFY RIGHT
COLUMN table_count      HEADING 'Tables|Used' JUSTIFY RIGHT
COLUMN column_count     HEADING 'Columns|Used' JUSTIFY RIGHT
COLUMN report_attrs     HEADING 'Report|Attributes' FORMAT A20
COLUMN status           HEADING 'Status' FORMAT A7
COLUMN message          HEADING 'Message' FORMAT A60

SELECT trunc(v.tstamp) tstamp,
       v.datasource_name,
       v.Job_type,
       v.task_id task_id,
       folder,
       report_name,
       user_name,
       queue_time,
       start_time,
       end_time,
       sec_in_queue,
       run_time_in_sec,
       table_count,
       column_count,
       report_attrs,
       status,
       message
  FROM pe_perf_stats_report_vw v,
       (SELECT tstamp, task_id,
               rank() over(PARTITION BY trunc(tstamp), datasource_name, job_type ORDER BY trunc(tstamp), datasource_name, job_type, run_time_in_sec DESC) rn
          FROM pe_perf_stats_report_vw v
         WHERE tstamp BETWEEN trunc(SYSDATE) - &1 AND trunc(SYSDATE)) r
 WHERE r.rn < 10
   AND v.tstamp = r.tstamp
   AND v.task_id = r.task_id
 ORDER BY trunc(tstamp), v.datasource_name, v.job_type, rn
;
EXIT;