#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# @(#) reportImportExport.sh
# @(#)



if [ `uname` = "SunOS" ]; then
        PATH=/usr/local/bin:/usr/xpg4/bin:/usr/ccs/bin:$PATH export PATH
        LD_LIBRARY_PATH=/usr/local/pgsql:/usr/local/rrdtool-1.0.33:$LD_LIBRARY_PATH export LD_LIBRARY_PATH
elif [ `uname` = "Linux" ]; then
        LD_ASSUME_KERNEL=2.4.19 export LD_ASSUME_KERNEL
fi

PREFIX=`pwd`
if [ -z "$PREFIX" ]; then
        PREFIX=`dirname $0`
fi

AWK=`which awk`
if [ -x "/usr/xpg4/bin/awk" ]; then
        AWK=/usr/xpg4/bin/awk
fi

SED=`which sed`
if [ -x "/usr/xpg4/bin/sed" ]; then
        SED=/usr/xpg4/bin/sed
fi

GREP=`which grep`
if [ -x "/usr/xpg4/bin/grep" ]; then
        GREP=/usr/xpg4/bin/grep
fi

TR=`which tr`
if [ -x "/usr/xpg4/bin/tr" ]; then
        TR=/usr/xpg4/bin/tr
fi

JAVA_MINIMUM=1.3.0

format_version () {
        [ -z "$1" ] && echo "format_version: usage: format_version 7.0.3-2" && return 1
        VERSION_STRING=`echo $1 | sed -e 's#\.##g' | sed -e 's#-.*$##g'`
        VERSION_STRING=`echo "${VERSION_STRING}000" | sed -e 's/^\(...\).*$/\1/'`
        if echo "$1" | grep -q -- -; then
                RELEASE_STRING=`echo $1 | sed -e 's#^.*\-##g' | sed -e 's#[[:alpha:]]*$##'`
        else
                RELEASE_STRING=1
        fi
        [ -z "$RELEASE_STRING" ] && RELEASE_STRING=1
        #RELEASE_STRING=`echo "000${RELEASE_STRING}" | sed -e 's/^.*\(..........\)$/\1/'`
        echo "${VERSION_STRING}-${RELEASE_STRING}"
}

check_version () {
        [ -z "$2" ] && return 1
        VERSION_FROM=`format_version $1`
        VERSION_TO=`format_version $2`
        NEWER=`echo -e "${VERSION_FROM}\n${VERSION_TO}" | sort -r | head -1`
        if [ "$NEWER" = "$VERSION_FROM" ]; then
                return
        else
                return 1
        fi
}

# make sure the JDK version is 1.4
check_java_version () {
        [ -z "$1" ] && return 1
        JAVA_PATH="$1"
        if [ -x "$JAVA_PATH/bin/java" ]; then
                JAVA_VERSION=`$JAVA_PATH/bin/java -version 2>&1 | grep "build 1.4" | head -1 | sed -e 's#^.*build ##' | sed -e 's#-.*).*$##' | tr '_' '-'`
# *** still massively broken on rh7 ***
#               if check_version $JAVA_VERSION 1.3.1; then
#                       # newer JDK has issues with rh7
#                       if grep -qi "release 7" /etc/redhat-release; then
#                               ulimit -s 2000
#                       fi
#               fi
                check_version $JAVA_VERSION $JAVA_MINIMUM
                return $?
        fi
}

if [ -z "$JAVA_HOME" ]; then
  echo "ERROR: JAVA_HOME not found in your environment."
  echo ""
  echo "Please, set the JAVA_HOME environment variable to match the"
  echo "root directory of the Java Virtual Machine you want to use."
  echo ""
  exit 1;
else
  echo PATH | $GREP $JAVA_HOME || PATH=$JAVA_HOME/bin:$PATH
fi

if [ -z "$JAVA_HOME/lib/tools.jar" ]; then
  echo "ERROR: Either your JDK is too old, or I was unable to find"
  echo "lib/tools.jar in your JAVA_HOME directory.  Please make"
  echo "sure you have a Java2-compliant compiler and JVM."
  exit 2;
else
  CLASSPATH="$JAVA_HOME/lib/tools.jar"
fi

JAVA_SHARED="/usr/share/java"

check_java_version "$JAVA_HOME"

JBOSS_HOME="$PM_HOME/pm/pas/jboss-4.0.5.GA"

CP=$JBOSS_HOME/client/ibm-cli-ixport-client.jar
CP=$CP:$JBOSS_HOME/client/wm-jam-cli.jar
CP=$CP:$JBOSS_HOME/client/commons-cli-1.0.jar
CP=$CP:$JBOSS_HOME/client/jbossall-client.jar
CP=$CP:$JBOSS_HOME/client/wm-jam-common.jar
CP=$CP:$JBOSS_HOME/client/log4j.jar
CP=$CP:$JBOSS_HOME/client/S26-jam-prospect-enterprise.dev-ejb-client.jar
CP=$CP:$JBOSS_HOME/server/default/conf
CP=$CP:$JBOSS_HOME/server/default/lib/castor.jar
CP=$CP:$JBOSS_HOME/lib/endorsed/xercesImpl.jar

heap="-Xmx256M"

PATH="$JAVA_HOME/bin:$PATH"

$JAVA_HOME/bin/java $heap -Djboss.log.dir="$PM_LOGS" -Djava.security.auth.login.config=$PM_HOME/pm/pas/bin/jaas.config -cp $CP com.ibm.cli.ixport.report.cli.ImportExportCLI "$@"