#!/bin/sh
#
#   reportcopy.sh
#
# Copies reports from a specified folder in the web into a
# local unix folder.
#
##############################################################
#Updated 12/02/2009 - valnt00077479
DBPASSWD=`crypt_util.ksh -g ${DBUSER}`

DIRNAME=`dirname $0`
PROGNAME=`basename $0`

ROOT_DIR=`cd ${DIRNAME}/..; pwd`
MODULE_DIR=${ROOT_DIR}/modules
REPORTCOPY_JAR=prospectReportCopy.jar
LIB_DIR=${ROOT_DIR}/lib
JBOSS_HOME=${ROOT_DIR}/jboss-4.0.5.GA
JBOSS_CLIENT=${JBOSS_HOME}/client
JBOSS_SERVER=${JBOSS_HOME}/server

### Start with a clean CLASSPATH
CLASSPATH=""

# OS specific support (must be 'true' or 'false').
cygwin=false;
darwin=false;
case "`uname`" in
    CYGWIN*)
        cygwin=true
        ;;

    Darwin*)
        darwin=true
        ;;
esac

# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin ; then
    [ -n "$JBOSS_HOME" ] &&
        JBOSS_HOME=`cygpath --unix "$JBOSS_HOME"`
    [ -n "$JAVA_HOME" ] &&
        JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
    [ -n "$JAVAC_JAR" ] &&
        JAVAC_JAR=`cygpath --unix "$JAVAC_JAR"`
fi

# Setup the JVM
if [ "x$JAVA_HOME" != "x" ]; then
    JAVA="$JAVA_HOME/bin/java"
else
    JAVA="java"
fi

### Also everything in lib dir since we care about most of it.
for jar in ${LIB_DIR}/*.jar; do
   CLASSPATH=${CLASSPATH}:${jar}
done

### Just add anything that's in the client dir of JBoss 
for jar in ${JBOSS_CLIENT}/*.jar; do
  CLASSPATH=${CLASSPATH}:${jar}
done


CLASSPATH=${CLASSPATH}:${ROOT_DIR}/etc


export CLASSPATH

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
    JBOSS_HOME=`cygpath --path --windows "$JBOSS_HOME"`
    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
fi

#exec the java process.
exec "$JAVA" $JAVA_OPTS \
            -classpath "$CLASSPATH" \
            com.vallent.prospect.reportcopy.ReportCopy \
	    --host localhost \
	    --db   ${DBSID} \
	    --user ${DBUSER} \
	    --password ${DBPASSWD} \
	    $@
            

