#!/bin/sh
#
#   runProspectBridge.sh
#
# $Id: runProspectBridge.sh,v 1.5 2003/04/24 16:49:15 anonymous Exp $
# 
# Runs the bridge between prospect legacy and Prospect Java
#
##############################################################

DIRNAME=`dirname $0`
PROGNAME=`basename $0`

ROOT_DIR=`cd ${DIRNAME}/..; pwd`
MODULE_DIR=${ROOT_DIR}/modules
BRIDGE_JAR=prospectLegacyBridge.jar
LIB_DIR=${ROOT_DIR}/lib
JBOSS_HOME=${ROOT_DIR}/jboss-4.0.5.GA
JBOSS_CLIENT=${JBOSS_HOME}/client

### Dynamically update the bridge.properties file so we can pass
### interesting system details into Java
${FLEXPM_HOME}/pm/adm/update_bridge_properties.pl

### Start with a clean CLASSPATH
CLASSPATH=""

# OS specific support (must be 'true' or 'false').
cygwin=false;
darwin=false;
case "`uname`" in
    CYGWIN*)
        cygwin=true
        ;;

    Darwin*)
        darwin=true
        ;;
esac

# For Cygwin, ensure paths are in UNIX format before anything is touched
if $cygwin ; then
    [ -n "$JBOSS_HOME" ] &&
        JBOSS_HOME=`cygpath --unix "$JBOSS_HOME"`
    [ -n "$JAVA_HOME" ] &&
        JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
    [ -n "$JAVAC_JAR" ] &&
        JAVAC_JAR=`cygpath --unix "$JAVAC_JAR"`
fi

# Setup the JVM
if [ "x$JAVA_HOME" != "x" ]; then
    JAVA="$JAVA_HOME/bin/java"
else
    JAVA="java"
fi

### Just add anything that's in the client dir of JBoss 
for jar in ${JBOSS_CLIENT}/*.jar; do
  CLASSPATH=${CLASSPATH}:${jar}
done

### Also everything in lib dir since we care about most of it.
for jar in ${LIB_DIR}/*.jar; do
   CLASSPATH=${CLASSPATH}:${jar}
done


for jar in $FLEXPM_HOME/pm/pas/jboss-4.0.5.GA/lib/endorsed/*.jar; do
   CLASSPATH=${CLASSPATH}:${jar}
done


CLASSPATH=${CLASSPATH}:${ROOT_DIR}/etc


export CLASSPATH

# For Cygwin, switch paths to Windows format before running java
if $cygwin; then
    JBOSS_HOME=`cygpath --path --windows "$JBOSS_HOME"`
    JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
    CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
fi

# Display our environment
echo "================================================================================"
echo ""
echo "  Prospect Legacy Bridge"
echo ""
echo "  PROSPECTJ_HOME: $PROSPECTJ_HOME"
echo ""
echo "  JAVA: $JAVA"
echo ""
echo "  JAVA_OPTS: $JAVA_OPTS"
echo ""
echo "  CLASSPATH: $CLASSPATH"
echo ""
echo "================================================================================"
echo ""

exec "$JAVA" $JAVA_OPTS -DPROSPECTJ_HOME="$ROOT_DIR" \
            -classpath "$CLASSPATH" \
            com.watchmark.prospect.bridge.rgplistener.ReportBridge -port 8299 -serviceMonitor 8210@c4.wa.watchmark.com -nogo
            
