#! /bin/ksh
# @(#) ./base/pm/run/bhusetab.sh ; BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
############################################################################
# The following script flips weekly and monthly busyhour data source between 
# *_TAB table set and *_DBH table set. The default is *_DBH table set.
# To change to *_TAB table set, the weekly and monthly busyhour data will
# generate from *_TAB tables. If there is any problems in *_DBH table set,
# this will eliminate the problems derived from *_DBH tables. 
# If you don't have too many daily busyhour definition, the -DBH option will
# have better performance.  The -DBH option is default option 
############################################################################
#Updated 10/02/2009 - valnt00077479
DBPASSWD=`crypt_util.ksh -g ${DBUSER}`

SCRIPTNAME=`basename $0`
usage() {
    echo "$SCRIPTNAME [-DBH|-TAB]"
    echo " -DBH : default, Using *_DBH to generate Weekly and monthly busyhour"
    echo " -TAB : Using *_TAB to generate Weekly and monthly busyhour"
    exit 1
}

if [ $# -gt 1 ]
then
  usage 
  exit 1
fi

if [ $# -eq 0 ]
then
 TABTYP=-DBH
else
 TABTYP=$1
fi

case $TABTYP in
   -TAB)
        TABTYP=TAB
        ;;
   -DBH)
        TABTYP=DBH
        ;;
   *)
        usage
        ;;
esac

## Following PL/SQL block will flip the BH source tables 
## between *_TAB and *_DBH

sqlplus -s /NOLOG << !
whenever sqlerror exit sql.sqlcode
set feed off
connect $DBUSER/$DBPASSWD@$DBSID
BEGIN

  update bh_parameter set TABTYP='${TABTYP}'
   where id in 
       ( select id from bh_parameter
         where id in 
             ( select sched_fk from schedule
                where job_type=30 and period!='I')
       );

END;
/
EXIT 0
!

