#! /bin/ksh
#Updated 10/02/2009 - valnt00077479
DB_CONNECT=`crypt_util.ksh -g ${DBUSER} -c`

SCRIPTNAME=`basename $0`

# ------------------------------------------------------------------------
# Modification History
# Date       Engineer Description
# ---------- -------- ----------------------------------------------------
# 2005.02.14 kwagner  Original author.
#

show_title()
{
   echo Database Datafile Management Tool.
   echo ------------------------------------------------------------------------
   echo @(#) ./base/pm/run/modify_datafiles.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
   echo @(#) 
   echo COPYRIGHT 2005 Vallent Corp.
   echo ------------------------------------------------------------------------
}

show_usage()
{
   (
   echo "USAGE: " 
   echo
   echo "$SCRIPTNAME -f <datafile> -s <size>"
   echo "$SCRIPTNAME -u"
   echo "$SCRIPTNAME -h"
   echo
   echo "Where:"
   echo "  -f <datafile>   :Datafile name, including full path."
   echo "  -s <size>       :New size of the datafile, in megabytes."
   echo "  -u              :Report datafile usage."
   echo "  -h              :Show usage."
   echo
   ) >&2
}

show_title

if [ "${DB_CONNECT+SET}" != "SET" ]
then
    echo "Error: DB_CONNECT not set" >&2
    exit 2
fi

if [ "${FLEXPM_HOME+SET}" != "SET" ]
then
    echo "Error: FLEXPM_HOME not set" >&2
    exit 2
fi

while getopts f:s:uh arg
do
    case $arg in
	f) filename=$OPTARG;;
	s) filesize=$OPTARG;;
	u) reportusage=1;;
	h) show_usage
           exit 0
           ;;
        \? | \:)
           show_usage
           exit 2
           ;;
   esac
done

rslt=0

# Specify required arguments?
if [ -z "$filename" ] -o [ -z "$filesize" ]
then
  if [ -z "$reportusage" ]
  then
    echo "$SCRIPTNAME: Required arguments not passed" >&2
    show_usage
    exit 2
  fi
fi

if [ "$reportusage" ]
then

monitor="$FLEXPM_HOME/sw/oracle/monitor-sizes.sql"

sqlplus -s /NOLOG <<EOF
  WHENEVER SQLERROR EXIT :i ROLLBACK;
  set feed off
  set serveroutput on 
  PROMPT Connecting to Oracle...
  CONNECT $DB_CONNECT
  @$monitor

EOF

else

sqlplus -S /NOLOG <<EOF
  VARIABLE i NUMBER;
  WHENEVER SQLERROR EXIT :i ROLLBACK;
    set feed off
    set serveroutput on 
  PROMPT Connecting to Oracle...
  CONNECT $DB_CONNECT
  SET SERVEROUTPUT ON SIZE 1000000
  PROMPT Resizing datafile...
  EXEC wm_datafile_mgmt.resize_datafile( '$filename', $filesize, :i );
  EXIT :i;
EOF

rslt=$?

fi

if [ $rslt -eq 0 ]
then
  echo 'Success!'
else
  echo 'Fail!'
fi

exit $rslt

