#!/bin/sh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
#
# @(#) rgp.sh = start 'rgp'
# USAGE:
#   called by 'wmtm'
##  for monitoring ... keep a record of each run
# NOTES:
#   rgp use -mainPort(rgp) and -MainService(rg/ds) for port
#   rgp tries to bind to RG/DS at ${RG_DS_PORT} ... or above
# FILES:
#   ${RG_LOGS}/wmtm-T-J.log		-- for -taskType(10) -jobId(J)
#   pm/run/taskSet.hdd			-- for report task types
# NOTES:
#   see "wmtm-T-J.log" for trace/output from 'rg/ds' and 'rgp' 

    export  RGDS_HOME           ;#  contains DS definition for RG
    #       RGDS_HOME="${PM_HOME}/ds/rg"	## set by ~/.profile

    Date=`date +'%Y.%m.%d'`
    LOGFILE=${PM_LOGS}/run-gp.log.${Date}

    echo >> ${LOGFILE} \
	": `date +"%D-%T"` ; $0 $@"

    echo >> ${LOGFILE} \
	 : \
    exec rgp \
	-basePort ${RG_DS_PORT} \
	-entityNameForDepend "${WM_ENTITY_NAME_FOR_DEPEND}" \
	$* \
	;

    exec rgp \
	-basePort ${RG_DS_PORT} \
	-entityNameForDepend "${WM_ENTITY_NAME_FOR_DEPEND}" \
	$* \
	;
# 
