  -- ----------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2004
  -- *** (#) ./base/post-vendor/part_maint/subclass_maint.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
  -- *** (#) 
  -- ----------------------------------------------------------

--
-- This code will make sure that RG_STORED_DBH and RG_STORED_PABH
-- have the same subclass. If needed it will add the subclass_map
-- entry for RG_STORED_PABH.
--
-- Both entries must already exist in part_tables.
--

WHENEVER OSERROR EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK
SET FEED OFF
VARIABLE RETURN_STATUS NUMBER
SET SERVEROUTPUT ON SIZE 1000000

DECLARE

  vId_dbh       part_tables.part_table_id%TYPE;
  vId_pabh      part_tables.part_table_id%TYPE;
  vSubclass_id  subclass_map.subclass_id%TYPE;
  
BEGIN

   -- Find the RG_STORED_DBH
   BEGIN

      :return_status := 0;  -- Default

      SELECT part_table_id INTO vId_dbh
      FROM part_tables
      WHERE UPPER( table_name ) = 'RG_STORED_DBH';

   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         :return_status := 1;
         wm_print.print('ERROR: RG_STORED_DBH is not in part_tables');
--         raise;
   END;


   -- Find the RG_STORED_PABH
   BEGIN

      SELECT part_table_id INTO vId_pabh
      FROM part_tables
      WHERE UPPER( table_name ) = 'RG_STORED_PABH';

   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         :return_status := 1;
         wm_print.print('ERROR: RG_STORED_PABH is not in part_tables');
--         raise;
   END;
       
   -- Find the subclass for RG_STORED_PABH, must be PART MAINT
   BEGIN

      SELECT subclass_id INTO vSubclass_id
      FROM class_table ct, subclass_table st, subclass_map m
      WHERE UPPER( ct.name ) = 'PART MAINT'
      AND ct.id = st.class_id
      AND st.id = m.subclass_id
      AND m.object_id = vId_dbh;

   EXCEPTION
      WHEN NO_DATA_FOUND THEN
         :return_status := 1;
         wm_print.print('ERROR: RG_STORED_DBH is not in a subclass of PART MAINT');
--         raise;
   END;


   BEGIN

      INSERT INTO subclass_map( subclass_id, object_id )
      VALUES( vSubclass_id, vId_pabh );

   EXCEPTION
      WHEN DUP_VAL_ON_INDEX THEN
         -- We ignore this because it is already there
         NULL;

   END;

   COMMIT;
   :return_status := 0;  -- Something broke else where this is not a fix

END;
/
EXIT :return_status
