#! /bin/ksh
###########################################################################
#
# Licensed Materials - Property of IBM
# 5724-T05,5724-T06
#
# (C) Copyright IBM Corp. 2007,2009. All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
###########################################################################
# (#) ./scripts/installJBoss.sh BL_wminstall_8.0.7_8.0.7.4.02_20100413  062726
# (#) 
#

  export JBOSS_VERSION=jboss-4.0.5.GA
  jboss_zip=${JBOSS_DIR}/${JBOSS_VERSION}.zip

# exit if can't find the jboss zip file
  if [[ ! -e ${jboss_zip} ]]; then
      echo "Missing Jboss zip file ${jboss_zip}"
      exit 2
  fi

echo 'Starting Jboss install'
# create the install directory if it does not exist
  if [[ ! -d ${FLEXPM_HOME}/pm/pas ]]; then
    mkdir -p ${FLEXPM_HOME}/pm/pas
    if [ $? -ne 0 ]
    then
       echo "Unable to create directory ${FLEXPM_HOME}/pm/pas"
       exit 2
    fi
  fi

# unzip (using jar) the jboss version into the pm/pas directory
  if [[ -e ${jboss_zip} ]]; then
    cd ${FLEXPM_HOME}/pm/pas
    jar -xvf ${jboss_zip}
    if [ $? -ne 0 ]
    then
       echo "Jboss install failed"
       exit 2
    fi
    cd -
  fi

# remove the files that conflict with our build
rm ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/deploy/jms/hsqldb-jdbc2-service.xml
rm ${FLEXPM_HOME}/pm/pas/${JBOSS_VERSION}/server/default/deploy/jms/hsqldb-jdbc-state-service.xml

echo 'Completed Jboss install' 

return 0
