-- # @(#) sw/oracle/monitor-users.sql = report client/user connections
-- # @(#) ./base/sw/oracle/monitor-users.sql ; BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938

    set pagesize 200
    set linesize 200
    set feedback off

    column os_pid       format a6;
    column logon_time   format a18;
    column sid          format 999;
    column serial#      format 999999;
    column os_user      format a8;
    column ora_user     format a10;
    column client       format a15;
    column pid          format a7;
    column program      format a30 trunc;

    select 
        p.spid          os_pid,
        to_char(s.logon_time, 'MM/DD/YY HH24:MI:SS') logon_time,
        s.sid           sid,
        s.serial#       serial#,
        s.osuser        os_user,
        s.username      ora_user,
        s.machine       client,
        s.process       pid,
        s.program       program
    from v$session s, v$process p
        where s.paddr = p.addr
        and s.osuser is not null
            order by to_number(os_pid);

    exit;
