#!/bin/ksh
#-----------------------------------------------------------------------
# (#) ./base/sw/wm_monitor/adm/generate_crontab.sh BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
# Copyright 2003 WatchMark Corp.
#-----------------------------------------------------------------------
#
MYNAME=`basename $0`
OUTFILE="crontab.$(whoami)"
MONITOR_HOME=${WM_MONITOR_HOME:-$(pwd)}
CRONTAB_SAMPLE="$(dirname $0)/crontab.sample"

while getopts hm:o: opt
do
   case $opt in
   o ) OUTFILE=$OPTARG ;;
   m ) MONITOR_HOME=$OPTARG ;;
   h | \? )
      echo "Usage: $MYNAME [-o OutFile][-m MonitorHome]" >&2
      exit 1
      ;;
   esac
done
shift `expr $OPTIND - 1`

echo
echo "Generating $OUTFILE ..."
echo

if [ ! -r $CRONTAB_SAMPLE ]
then
   echo "$MYNAME: Cannot read $CRONTAB_SAMPLE" >&2
   exit 2
fi

sed "s,<MONITOR-PATH>,$MONITOR_HOME,g" $CRONTAB_SAMPLE > $OUTFILE
