-- ----------------------------------------------------------------------
-- (#) ./base/sw/wm_monitor/sql/part_rowcount_bh.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set feedback off
set pagesize 0
set heading off
set serveroutput on size 100000

declare
   type REFCURS is REF CURSOR;

   c_pcount REFCURS;
   v_SQL varchar2(255);
   v_outstring varchar2(255);

   cursor c_queries(p_pdate date) is
   select 'select ''' || object_name || '|' || subobject_name || '|'''
       ||         ' || count(*) '
       ||  ' from ' || object_name
       ||  ' partition (' || subobject_name || ')' query
     from user_objects
    where object_name like '%_DBH'
      and object_type = 'TABLE PARTITION'
      and subobject_name = 'P' || to_char(p_pdate, 'YYYYMMDD') || '00';

   NO_PARTITION EXCEPTION;
   PRAGMA EXCEPTION_INIT(NO_PARTITION, -02149);


begin

   dbms_output.put_line('TABLE_NAME|PARTITION|ROWCOUNT');

   for r_queries in c_queries(wm_date.trunc_to_last_period(sysdate,'W'))
   loop

      v_SQL := r_queries.query;

      open c_pcount for v_SQL;

      begin
         fetch c_pcount into v_outstring;
      exception
      when NO_PARTITION then
           v_outstring := '||';
      end;

      close c_pcount;
      dbms_output.put_line(v_outstring);

   end loop;

end;
/
exit
