-- ----------------------------------------------------------------------
-- (#) ./base/sw/wm_monitor/sql/report_defs.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set feedback off
set pagesize 0
set heading off
set wrap off
set line 500


SELECT 'REPORT_NAME|SCENARIO_NAME|TEMPLATE_NAME|'
    || 'ENTITY_LEVEL|ENTITY_NAME|FIELD_NAME|DOSTORED|'
    || 'BH_ENTITY_NAME|BH_FIELD_NAME|BH_NAME|'
    || 'FIELD_TYPE|RUN_TIME|TASK_ID' x
  from dual
union all
SELECT r.name                                         || '|'
    || sn.name                                        || '|'
    || tm.name                                        || '|'
    || ent.entity_name                                || '|'
    || f_ent.entity_name                              || '|'
    || f_dict.field_name                              || '|'
    || r_spec.dostored                                || '|'
    || bhf_ent.entity_name                            || '|'
    || bhf_dict.field_name                            || '|'
    || bh.name                                        || '|'
    || decode(f_dict.field_type, 'S', 'PCALC',
                                  'F', 'PCALC',
                                  'E', 'PCALC',
                                  'U', 'UDC',
                                  'C', 'PEG')         || '|'
    || to_char(S_ARCH.tstamp,'YYYY/MM/DD HH24:MI:SS') || '|'
    || S_ARCH.task_id
FROM 
     PM_Report r, 
     PM_user ru,
     PM_scenario sn,
     PM_template tm,
     PM_templatefield ptf,
     WMN_entity ent,
     WMN_entity f_ent,
     WMN_entity bhf_ent,
     WMD_DICT_FIELD f_dict,
     WMD_DICT_FIELD bhf_dict,
     PM_reportspec r_spec,
     PM_busyhour bh,
     status_archive_tab S_ARCH 
WHERE r.userid = ru.id
  AND r.scenarioid=sn.id(+)
  AND r.templateid=tm.id(+)
  AND r.entity_id=ent.entity_id(+)
  AND tm.id=ptf.templateid(+)
  AND ptf.field_id=f_dict.field_id(+)
  AND f_ent.entity_id(+)=f_dict.entity_id
  AND r.reportspecid=r_spec.id(+)
  AND r_spec.cluster_entity_id=bhf_ent.entity_id(+)
  AND r_spec.field_id=bhf_dict.field_id(+)
  AND r_spec.busyhourid=bh.id(+)
  AND S_ARCH.report_name=r.name
  AND S_ARCH.status_code=1000
  AND to_char(S_ARCH.tstamp, 'YYYYMMDD') = to_char(sysdate-1, 'YYYYMMDD')
; 

exit
