-- ----------------------------------------------------------------------
-- (#) ./base/sw/wm_monitor/sql/rpt_runtime.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set feedback off
set pagesize 0
set heading off
set line 700

select 'TASK_ID|RPTGRP_ID|PERIOD|FREQ|RPTGRP_NAME|RPT_NAME|START_TIME|END_TIME' x from dual
union all
select a.task_id                                                                  || '|'
    || r.group_id                                                                 || '|'
    || s.period                                                                   || '|'
    || s.frequency                                                                || '|'
    || a.report_group_name                                                        || '|'
    || a.report_name                                                              || '|'
    || min(to_char(a.tstamp, 'YYYY/MM/DD HH24:MI:SS'))                            || '|'
    || decode(count(*), 1, NULL, max(to_char(a.tstamp, 'YYYY/MM/DD HH24:MI:SS')))
  from STATUS_ARCHIVE_TAB a
     , RG_SCHEDULE r
     , SCHEDULE s 
     , PM_USER u  
 where s.sched_fk = r.rg_schedule_id
   and u.id = r.userid 
   and s.job_type = 10 
   and a.schedule_name = r.name
   and a.schedule_owner_name = u.name
 group by a.task_id
        , r.group_id
        , s.period
        , s.frequency
        , a.report_group_name
        , a.report_name
having min(to_char(a.tstamp, 'YYYY/MM/DD')) = to_char(sysdate-1, 'YYYY/MM/DD')
     ;

exit



