-- ----------------------------------------------------------------------
-- (#) ./base/sw/wm_monitor/sql/tablespace_usage.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
-- Copyright 2003 WatchMark Corp.
-- ----------------------------------------------------------------------
--
set feedback off
set pagesize 0
set heading off
set line 500

select 'TABLESPACE_NAME|TOTAL_MB|USED_MB|FREE_MB|PCT_FREE' x from dual
union all
select ts.tablespace_name                      || '|'
    || ts.ts_size/ (1024*1024)                 || '|'
    || (ts.ts_size - free.ts_free)/(1024*1024) || '|'
    || free.ts_free/(1024*1024)                || '|'
    || (free.ts_free/ts.ts_size)*100
  from (
          select ts.name       tablespace_name
               , sum(df.bytes) ts_size
            from V$DATAFILE    df
               , V$TABLESPACE  ts
           where df.ts# = ts.ts#
           group by ts.name
       ) ts
     , (
         select fs.tablespace_name
              , sum(nvl(fs.bytes, 0)) ts_free
           from USER_FREE_SPACE fs
              , USER_TABLESPACES ut
          where ut.tablespace_name = fs.tablespace_name(+)
            and ut.contents != 'TEMPORARY'
          group by fs.tablespace_name
       ) free
 where ts.tablespace_name = free.tablespace_name
     ;

exit
