---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/agentSchemaMetadata.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
-- ------------------------------------------------------------------------
--
-- meta data for the agent schema
--
-- ------------------------------------------------------------------------

-- Add agent entries into the schedule
INSERT INTO sched_license(job_type, maximum) VALUES (7, 100);

INSERT INTO SCHED_JOB_TYPES(job_type, name, command, snapshot, postproc)
VALUES (7, 'agent', null, 'pe_agent.snap', null);

INSERT INTO sched_cleanup(job_type, schedule_cleanup, JOB_CLEANUP) 
  VALUES (7, 86400, 86400);

-- Disable bh_summary so clean_iot runs 
-- pweb only since sched_job_types will have row for prospect/moto
UPDATE schedule
   SET is_suspended='Y'
 WHERE job_type = 30
   AND period NOT IN ('I','O')
   AND NOT EXISTS (SELECT 1
                     FROM sched_job_types
                    WHERE job_type = 30);

-- Add activity states
INSERT INTO pe_activity_states (state, terminal) VALUES ('RUNNABLE',  'N');
INSERT INTO pe_activity_states (state, terminal) VALUES ('RUNNING',   'N');
INSERT INTO pe_activity_states (state, terminal) VALUES ('RETRY',     'N');
INSERT INTO pe_activity_states (state, terminal) VALUES ('REPEAT',    'N');
INSERT INTO pe_activity_states (state, terminal) VALUES ('SCHEDULED', 'N');
INSERT INTO pe_activity_states (state, terminal) VALUES ('COMPLETED', 'Y');
INSERT INTO pe_activity_states (state, terminal) VALUES ('FAILED',    'Y');
INSERT INTO pe_activity_states (state, terminal) VALUES ('CANCELED',  'Y');
INSERT INTO pe_activity_states (state, terminal) VALUES ('DELETED',   'Y');

exec wm_sysval.newSysVal('PE_ActivityCleanupDelay', '2');
exec wm_sysval.newSysVal('PE_AGENT_MAX_POOL_SIZE', 50);
-- SEAde68748 Ensure clean IOT is running in web
exec wm_sysval.newSysVal('AutoCleanMoveIOTsBefore', 'TRUE');
exec wm_sysval.newSysVal('AutoCleanMoveIOTsAfter', 'TRUE');

-- pe_system only ever contains one row. We use it for system constants and run-state
INSERT INTO pe_system (MAX_AGENT_COUNT) VALUES (NULL);

-- Create agent types
INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description, max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)
VALUES (pe_seq_agent_types.nextval, 'INSTANCE', 'Instance Data Agent', 10, 5, 60, 1.1, 'R', 'InstanceDataAgentHome', 120);

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)
VALUES (pe_seq_agent_types.nextval, 'TRAFFIC', 'Traffic Data Agent', 10, 5, 60, 1.1, 'R', 'TrafficDataAgentHome', 60);

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes, modify_pool_size)
VALUES (pe_seq_agent_types.nextval, 'DICTIONARY', 'Data Dictionary Importer Agent', 1, 5, 60, 1.1, 'R', 'DataDictionaryImporterHome', 120, 'N');

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes, modify_pool_size)
VALUES (pe_seq_agent_types.nextval, 'SWEEPER', 'Orphaned file sweeper', 1, 5, 60, 1.1, 'L', 'SweeperAgentHome', 10, 'N');

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes, modify_pool_size)
VALUES (pe_seq_agent_types.nextval, 'INSTANCESCHEMA', 'Instance Schema Agent', 1, 5, 60, 1.1, 'L', 'InstanceSchemaAgentHome', 0, 'N');

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes, modify_pool_size)
VALUES (pe_seq_agent_types.nextval, 'TRAFFICSCHEMA', 'Traffic Schema Agent', 1, 5, 60, 1.1, 'L', 'TrafficSchemaAgentHome', 0, 'N');

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)
VALUES (pe_seq_agent_types.nextval, 'PROCEDURE', 'Database Procedure Agent', 10, 5, 60, 1.1, 'L', 'DatabaseProcedureAgentHome', 0);

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)	
VALUES (pe_seq_agent_types.nextval, 'AUTODOWNLOAD', 'Auto Downloader Agent', 10, 5, 60, 1.1, 'R', 'AutoDownloaderAgentHome', 60);	  

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description, max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes, modify_pool_size)
VALUES (pe_seq_agent_types.nextval, 'LDAP_SYNC','Ldap sync Agent', 1, 5, 60, 1.1, 'L', 'LdapSyncAgentHome', 60, 'N');

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)
VALUES (pe_seq_agent_types.nextval, 'IMMEDIATE_REPORT', 'Immediate Report Agent', 10, 5, 60, 1.1, 'R', 'ReportProcessorAgentHome', 0);

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes)
VALUES (pe_seq_agent_types.nextval, 'SCHEDULED_REPORT', 'Scheduled Report Agent', 10, 5, 60, 1.1, 'R', 'ReportProcessorAgentHome', 0);

INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description, max_pool_size, 
   max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes, modify_pool_size)
VALUES (pe_seq_agent_types.nextval, 'REPORT_EXPORT','Report Result Export Agent', 1, 5, 10, 1.1, 'L', 'ReportExportAgentHome', 10, 'N');

-- AnalysisFramework needs a new type of agent - 'ANALYSIS'
INSERT INTO pe_agent_types (agent_type_id, agent_type_name, description,  max_pool_size, 
	max_retry_count, retry_delay, retry_delay_factor, agent_type, jndi_name, sched_period_minutes,
	modify_pool_size)
VALUES (pe_seq_agent_types.nextval, 'ANALYSIS', 'Analysis Framework Agent', 1, 5, 60, 1.1, 'L', 
'AnalysisAgentSessionHome', 60, 'N');

--- Set up agent dependencies

--- Clean old dependencies first
delete from pe_agent_depend;

--- INSTANCE depends on the TRAFFIC, INSTANCESCHEMA and TRAFFICSCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'INSTANCE'
   AND b.agent_type_name IN ('TRAFFIC', 'INSTANCESCHEMA', 'TRAFFICSCHEMA');
   
--- TRAFFIC depends on the INSTANCE, INSTANCESCHEMA and TRAFFICSCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'TRAFFIC'
   AND b.agent_type_name IN ('INSTANCE', 'INSTANCESCHEMA', 'TRAFFICSCHEMA');
  
--- INSTANCESCHEMA depends on INSTANCE AND TRAFFIC
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'INSTANCESCHEMA'
   AND b.agent_type_name IN ('INSTANCE', 'TRAFFIC', 'TRAFFICSCHEMA');
   
--- TRAFFICSCHEMA depends on INSTANCE, TRAFFIC and INSTANCESCHEMA
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'TRAFFICSCHEMA'
   AND b.agent_type_name IN ('INSTANCE', 'TRAFFIC', 'INSTANCESCHEMA');
 
--- LDAP_SYNC depends on all agents
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name = 'LDAP_SYNC'
   AND b.agent_type_name != 'LDAP_SYNC';

--- All agents depend on LDAP_SYNC
INSERT INTO pe_agent_depend ( agent_type_id, dependent_agent_type_id )
SELECT a.agent_type_id,
       b.agent_type_id
  FROM pe_agent_types a,
       pe_agent_types b
 WHERE a.agent_type_name != 'LDAP_SYNC'
   AND b.agent_type_name = 'LDAP_SYNC';
   
   
-- Update sched_license to raise to 500 since reporting is under
-- agent control if command is null.
UPDATE sched_license s
   SET s.maximum = 500
 WHERE s.job_type IN (SELECT job_type
                        FROM sched_job_types
                       WHERE command IS NULL
                         AND job_type IN (1, 10));
 
COMMIT;

/
-- ----------------------------------------------------------------------------
--
-- Local Variables:
-- mode: pls
-- End:


