---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2004,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/analysis-framework/metadata.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

-- ---------------------------------------------------------------------------
-- Basic Meta Data for Analysis Framework (AF)
-- ---------------------------------------------------------------------------

-- ---------------------------------------------------------------------------
-- Create a datasource type used for datasources that reference an
-- Enterprise Traffic Cache table (with FK to pe_table)
-- ---------------------------------------------------------------------------
exec af_module_api.add_datasource_type('PE_TABLE');

-- ---------------------------------------------------------------------------
-- Create a datasource type used for tables that are explicitly 
-- created for analysis modules.
-- ---------------------------------------------------------------------------
exec af_module_api.add_datasource_type('AF_TABLE');

-- ---------------------------------------------------------------------------
-- This datasource allows you to hook up directly to file load
-- events. Kind of a pseudo datasource. The resource_detail
-- xml should include an XML tag to identify the type of file
-- load events you are interested in e.g.:
--    <file-type-name>CDL_Raw</file-type-name>
-- ---------------------------------------------------------------------------
exec af_module_api.add_datasource_type('AF_DATA_LOAD_FILETYPE');

-- ---------------------------------------------------------------------------
-- Create a datasource referencing the generic af_kpi_archive table
-- ---------------------------------------------------------------------------
exec af_module_api.add_datasource('KPI_Archive', 'AF_TABLE', 'AF_KPI_ARCHIVE', NULL);

-- All kind of useless unless:
COMMIT;
