---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2004,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/analysis-framework/test/fake_tagent_events.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

-- ------------------------------------------------------------------------
-- Analysis Framework Test. Fake some traffic agent events.
-- ------------------------------------------------------------------------

DECLARE
  tstamp DATE := trunc(sysdate, 'HH24')-1/24;
  minFDN VARCHAR2(900);
  maxFDN VARCHAR2(900);
  sqlString VARCHAR2(32000);
  fdnString VARCHAR2(900);
  tableName VARCHAR2(30);

 CURSOR trafficAgents IS
   SELECT table_id, entity_id, table_name
     FROM pe_table
    WHERE table_type = 'T'
      AND status = 'I';
BEGIN
 
  FOR agentValue IN trafficAgents
  LOOP
      fdnString := tagent.get_fdn_string(agentValue.entity_id, 'e');
      tableName   := iagent.getEntityTableName(agentValue.entity_id);

      sqlString :=
        'SELECT min(' || fdnString || '), max(' || fdnString || ')' ||
        '  FROM ' || tableName || ' e';

      EXECUTE IMMEDIATE sqlString INTO minFDN, maxFDN;

--      tstamp := trunc(af_module_api.last_available_period(agentValue.table_name, NULL), 'HH24') - 7/24;
    tstamp := to_date('2004-10-25 16:00', 'YYYY-MM-DD HH24:MI');

    IF (tstamp IS NOT NULL AND minFDN IS NOT NULL)
    THEN
      data_change.send(
            ORIGIN => 'TRAFFIC_AGENT',
            EVENT_ID => NULL,
            EVENT_TIME => SYSDATE,
            EVENT_TYPE_ID => NULL,
            HANDLED_TSTAMP => NULL,
            INSTANCE_ID => NULL,
            ENTITY_ID => NULL,
            FILE_TYPE_ID => NULL,
            PROCESS_OUTPUT_ID => NULL,
            TABLE_ID => agentValue.table_id, -- in this case, this is a pe_table(table_id)
            DATA_START => tstamp,
            DATA_END => tstamp+1/48,
            KEY_START => minFDN,
            KEY_END => maxFDN,
            INSTANCE_START => NULL, -- STUBB. Need to revise
            INSTANCE_END => NULL
    );
    END IF;

  END LOOP;

END;
/

