---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2004,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/analysis-framework/test/run_combiner.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

DECLARE
  activityId INTEGER;
  dataStart DATE;
  dataEnd   DATE;
  keyStart  VARCHAR2(900);
  keyEnd    VARCHAR2(900);
  sqlString VARCHAR2(900);
  fdnString VARCHAR2(900);
  entityId  INTEGER;
  entityName VARCHAR2(256) := 'Sector_Carrier';
  tableName  VARCHAR2(256);
  eTableName  VARCHAR2(256);
BEGIN
  SELECT entity_id INTO entityId FROM pe_entity WHERE entity_name = entityName;
  SELECT table_name INTO tableName FROM pe_table WHERE entity_id  = entityId AND table_type = 'T';
  SELECT table_name INTO eTableName FROM pe_table WHERE entity_id  = entityId AND table_type = 'E';

--  INSERT INTO af_kpi (kpi_id, kpi_name, aggr_type, field_id)
--    SELECT rownum, field_name, aggr, field_id FROM pe_field f
--     WHERE f.entity_id = entityId
--       AND f.field_name  IN ('IA', 'LC', 'TotalCalls');

  INSERT INTO af_activity (activity_id, process_id, table_id)
  VALUES (
     (SELECT activity_id FROM pe_activity WHERE ROWNUM = 1),
     (SELECT process_id FROM af_process WHERE ROWNUM = 1),
     (SELECT table_id FROM pe_table WHERE entity_id  = entityId AND table_type = 'T')
    )
  RETURN activity_id INTO activityId;

  EXECUTE IMMEDIATE 'SELECT min(tstamp), max(tstamp) FROM ' || tableName
    INTO dataStart, dataEnd;

  fdnString := tagent.get_fdn_string(entityId, 'e');
  sqlString :=
    'SELECT min(' || fdnString || '), max(' || fdnString || ')' ||
    '  FROM ' || eTableName || ' e';

  EXECUTE IMMEDIATE sqlString INTO keyStart, keyEnd;

  af_kpi_combiner.process(activityId, dataStart, dataEnd, keyStart, keyEnd);

--  ROLLBACK;

END;
/

