---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2004,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/analysis-framework/test/test.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

-- ------------------------------------------------------------------------
--
-- Analysis Framework Example configuration
--
-- ------------------------------------------------------------------------

-- Create a datasource that references an Enterprise Traffic cache table.
exec af_module_api.add_pe_table_datasource('MSC Call Perf', 'T_MSCA');
exec af_module_api.add_pe_table_datasource('BSC Call Perf', 'T_CBSCA');


-- Create a datasource_access reference
exec af_module_api.add_datasource_access('MSC_PERF_ACCESS', 'MSC Call Perf', 'WmDashboardHome', 'com.watchmark.prospect.enterprise.api.dashboardImpl.DashboardDao', 'T_MSCA', '<?xml version="1.0" encoding="UTF-8"?><access-config/>');
exec af_module_api.add_datasource_access('BSC_PERF_ACCESS', 'BSC Call Perf', 'WmDashboardHome', 'com.watchmark.prospect.enterprise.api.dashboardImpl.DashboardDao', 'T_MSCA', '<?xml version="1.0" encoding="UTF-8"?><access-config/>');

-- Create a datasource that referencing a table (AFT_MSC_CALL_RANK) we construct explicitly
exec af_module_api.add_datasource('MSC Call Rank', 'AF_TABLE', 'AFT_MSC_CALL_RANK', NULL);

exec af_module_api.add_datasource('MOT_INCIDENT', 'AF_TABLE', 'MOT_INCIDENT_STATE', NULL);
exec af_module_api.add_datasource('MOT_ALARM', 'AF_TABLE', 'MOT_ALARM_STATE', NULL);

exec af_module_api.add_datasource_access('IncidentRankView', 'Incident', 'WmDashboardHome', 'com.watchmark.prospect.enterprise.api.dashboardImpl.DashboardIncidentRankDao', 'MOT_INCIDENT_RANK_V', '<?xml version="1.0" encoding="UTF-8"?><access-config/>');

-- Create a process based on the BasicAnalysisModuleSession: this calls through to a
-- stored procedure named in the XML configuration stored in resourceDetails.
exec af_module_api.create_process('SwitchRank', 'BasicAnalysisModuleSessionHome', 'ANALYSIS', 
xmltype('<basic-analysis-module-config><procedure>af_module_test.run_basic</procedure></basic-analysis-module-config>'));

exec af_module_api.attach_process_input('SwitchRank', 'MSC Call Perf');
exec af_module_api.attach_process_output('SwitchRank', 'MSC Call Rank');


-- Create a similar process, but this one dependant on the first. We
-- should see the events propagate through to this process after the
-- first process (SwitchRank) completes
exec af_module_api.create_process('SwitchRankChild', 'BasicAnalysisModuleSessionHome', 'ANALYSIS', NULL);
exec af_module_api.attach_process_input('SwitchRankChild', 'MSC Call Rank'); -- output of SwitchRank

exec af_module_api.add_datasource('MSC Call Rank Child', 'AF_TABLE', 'AFT_MSC_CALL_RANKCHILD', NULL);
exec af_module_api.attach_process_output('SwitchRankChild', 'MSC Call Rank Child');


commit;

