-- ------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/cacheSchemaMetadata.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
--
-- meta data for the cache schema
--
-- ------------------------------------------------------------------------

-- Column types
INSERT INTO pe_column_type(column_type_id, type_name, type_tag, data_precision)
  VALUES (pe_seq_column_type.nextval, 'Float', 'F', 126);
INSERT INTO pe_column_type(column_type_id, type_name, type_tag, data_precision)
  VALUES (pe_seq_column_type.nextval, 'Integer', 'I', 10);
INSERT INTO pe_column_type(column_type_id, type_name, type_tag, data_precision)
  VALUES (pe_seq_column_type.nextval, 'String', 'S', 50);
--INSERT INTO pe_column_type(column_type_id, type_name, type_tag, data_precision)
--  VALUES (pe_seq_column_type.nextval, 'Label', 'S', 30);
--INSERT INTO pe_column_type(column_type_id, type_name, type_tag, data_precision)
--  VALUES (pe_seq_column_type.nextval, 'Long Label', 'S', 64);

-- System variable for min data frequency for entity (15min)
INSERT INTO wm_system_variable VALUES (sq_system_variable.nextval, 'PE_MinDataFrequencyForEntity');
INSERT INTO wm_system_value VALUES(sq_system_value.nextval,
                                   sq_system_variable.currval, '5');
                                   
-- DB Status types
INSERT INTO pe_db_status(status, name) VALUES('C', 'CREATE');
INSERT INTO pe_db_status(status, name) VALUES('I', 'IMPLEMENTED');
INSERT INTO pe_db_status(status, name) VALUES('D', 'DROP');
INSERT INTO pe_db_status(status, name) VALUES('U', 'UNIMPLEMENTED');

-- Commit before running procs
COMMIT;

-- Create system entity and its key field 
-- Default data frequency (hourly)
-- Default retention period 90 days
EXEC enterprise_mapping.create_entity('System', 'Entity17', NULL, 90, 3600);
EXEC enterprise_mapping.create_tableNames('System');
EXEC enterprise_mapping.create_dimension_field('System', 'system_id', 0, 'N', 'String', 'System', 'Id', 'System Id');
EXEC enterprise_mapping.update_entityDefinedState('System', 'Y');
EXEC enterprise_mapping.create_reserved_fields('System');

-- Set use first bh when equal.
insert into wm_system_variable values(sq_system_variable.nextval, 'UseFirstBHWhenEqual');
insert into wm_system_value values(sq_system_value.nextval,
				   sq_system_variable.currval, '1'); 

-- enable 15 minute reporting.
insert into wm_system_variable values(sq_system_variable.nextval, 'MinReportPeriod');
insert into wm_system_value values(sq_system_value.nextval,
                                   sq_system_variable.currval, '5');

-- disable sliding busy hours. (set this value to 5 to enable.)
insert into wm_system_variable values(sq_system_variable.nextval, 'BusyHourFrequencyId');
insert into wm_system_value values(sq_system_value.nextval,
                                   sq_system_variable.currval, '7');

