CREATE OR REPLACE VIEW pe_page_vw AS
SELECT  
   u.name user_name,
       p.folder_id,
       pe_folder.fs_lookuppathbyfolderid( nvl ( p.folder_id, 1 ) ) page_folder_path,
       p.name,
       p.page_text,
       p.refresh_interval,
       p.changed,
       p.page_id
  FROM pe_page p,
       pm_user u
 WHERE p.user_id = u.ID
;

CREATE OR REPLACE VIEW pe_section_export_vw AS
SELECT  s.page_id,  
	s.name section_name, 
	s.keep_updated, 
	s.ordinal,
	s.override_results, 
	s.changed, 
	d.name result_name,
	pe_folder.fs_lookuppathbyfolderid( nvl (folder.document_fk, 1 ) ) result_folder_path
FROM pe_section s,
     pm_document d,  
     pe_report_result rr, 
     pm_document_type t, 
     pm_report r, 
     job_group_item j, 
     rg_schedule_view sch,  
     (select document_fk, document_id from  pm_document  )  folder
WHERE folder.document_id = d.parent_doc_id
AND s.result_document_id = d.document_id
AND d.document_fk = rr.report_result_id
AND d.document_type_id = t.document_type_id
AND r.id = j.document_id
AND j.group_id = sch.rptgrpid
AND sch.periodicity != 'I';
