---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/part_maint/init_partitioned_tables.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--

  SET SERVEROUTPUT ON SIZE 1000000

  -- -----------------------------------------------------------------------

  INSERT INTO class_table ( id, name )
    VALUES ( class_table_seq.NEXTVAL, 'EnterpriseTrafficCache' );

  -- -----------------------------------------------------------------------

  INSERT INTO subclass_table ( id, class_id, name )
    ( SELECT subclass_table_seq.NEXTVAL, id, 'EnterpriseTraffic'
        FROM class_table ct 
       WHERE ct.name = 'EnterpriseTrafficCache' );

  INSERT INTO subclass_table ( id, class_id, name )
    ( SELECT subclass_table_seq.NEXTVAL, id, 'EnterpriseAgent'
        FROM class_table ct 
       WHERE LOWER( ct.name ) = 'part maint' );

  INSERT INTO subclass_table ( id, class_id, name )
    ( SELECT subclass_table_seq.NEXTVAL, id, 'EnterpriseActivity'
        FROM class_table ct 
       WHERE LOWER( ct.name ) = 'part maint' );


  INSERT INTO subclass_table ( id, class_id, name )
    ( SELECT subclass_table_seq.NEXTVAL, id, 'PerformanceStats'
        FROM class_table ct 
       WHERE LOWER( ct.name ) = 'part maint' );
  -- -----------------------------------------------------------------------

  INSERT INTO part_tables ( part_table_id, table_name, tablespace_name, run_daily, needs_purge, future_part, past_part )
    VALUES ( part_table_seq.NEXTVAL, 'PE_AGENT_LOAD', 'ENTERPRISE', 'Y', 'Y', 5, 2 );

  INSERT INTO subclass_map ( subclass_id, object_id )
    ( SELECT id, part_table_id
        FROM subclass_table st, part_tables pt
       WHERE st.name = 'EnterpriseAgent'
         AND pt.table_name = 'PE_AGENT_LOAD');

  -- -----------------------------------------------------------------------

  INSERT INTO part_tables ( part_table_id, table_name, tablespace_name, period, needs_purge, future_part, past_part )
    VALUES ( part_table_seq.NEXTVAL, 'PE_PERF_STATS_GENERAL', 'TRAFFIC_SMALL', 'W', 'Y', 2, 13 );

  INSERT INTO subclass_map ( subclass_id, object_id )
    ( SELECT id, part_table_id
        FROM subclass_table st, part_tables pt
       WHERE st.name = 'PerformanceStats'
         AND pt.table_name = 'PE_PERF_STATS_GENERAL');

  INSERT INTO part_tables ( part_table_id, table_name, tablespace_name, period, needs_purge, future_part, past_part )
    VALUES ( part_table_seq.NEXTVAL, 'PE_PERF_STATS_REPORT', 'TRAFFIC_SMALL', 'W', 'Y', 2, 13 );

  INSERT INTO subclass_map ( subclass_id, object_id )
    ( SELECT id, part_table_id
        FROM subclass_table st, part_tables pt
       WHERE st.name = 'PerformanceStats'
         AND pt.table_name = 'PE_PERF_STATS_REPORT');

  INSERT INTO part_tables ( part_table_id, table_name, tablespace_name, period, needs_purge, future_part, past_part )
    VALUES ( part_table_seq.NEXTVAL, 'PE_PERF_STATS_REPORT_STRINGS', 'TRAFFIC_SMALL', 'W', 'Y', 2, 13 );

  INSERT INTO subclass_map ( subclass_id, object_id )
    ( SELECT id, part_table_id
        FROM subclass_table st, part_tables pt
       WHERE st.name = 'PerformanceStats'
         AND pt.table_name = 'PE_PERF_STATS_REPORT_STRINGS');

  INSERT INTO part_tables ( part_table_id, table_name, tablespace_name, period, needs_purge, future_part, past_part )
    VALUES ( part_table_seq.NEXTVAL, 'PE_PERF_STATS_REPORT_QUEUE', 'TRAFFIC_SMALL', 'W', 'Y', 2, 13 );

  INSERT INTO subclass_map ( subclass_id, object_id )
    ( SELECT id, part_table_id
        FROM subclass_table st, part_tables pt
       WHERE st.name = 'PerformanceStats'
         AND pt.table_name = 'PE_PERF_STATS_REPORT_QUEUE');

  INSERT INTO part_tables ( part_table_id, table_name, tablespace_name, period, needs_purge, future_part, past_part )
    VALUES ( part_table_seq.NEXTVAL, 'PE_PERF_REPORT_DB_STATS', 'TRAFFIC_SMALL', 'W', 'Y', 2, 13 );

  INSERT INTO subclass_map ( subclass_id, object_id )
    ( SELECT id, part_table_id
        FROM subclass_table st, part_tables pt
       WHERE st.name = 'PerformanceStats'
         AND pt.table_name = 'PE_PERF_REPORT_DB_STATS');

  -- -----------------------------------------------------------------------

  -- RG_STORED_DBH
  BEGIN
     INSERT INTO part_tables
        (part_table_id,
         table_name,
         tablespace_name,
         period,
         future_part,
         past_part,
         drop_sproc)
     VALUES
        (part_table_seq.NEXTVAL,
         'RG_STORED_DBH',
         'TRAFFIC_MEDIUM',
         'W',
         2,
         1,
         'BH_Update.CleanOldPartitions');
  EXCEPTION 
     WHEN DUP_VAL_ON_INDEX THEN
        NULL;
  END;
/

  -- RG_STORED_PABH
  BEGIN
     INSERT INTO part_tables
        (part_table_id,
         table_name,
         tablespace_name,
         period,
         future_part,
         past_part,
         drop_sproc)
     VALUES
        (part_table_seq.NEXTVAL,
         'RG_STORED_PABH',
         'TRAFFIC_MEDIUM',
         'W',
         2,
         1,
         'BH_Update.CleanOldPartitions');
  EXCEPTION 
     WHEN DUP_VAL_ON_INDEX THEN
        NULL;
  END;
/

  BEGIN
     INSERT INTO subclass_table
        (id, class_id, NAME)
        (SELECT subclass_table_seq.NEXTVAL, id, 'sBHDaily'
           FROM class_table ct
          WHERE lower(ct.NAME) = 'part maint');
  EXCEPTION 
     WHEN DUP_VAL_ON_INDEX THEN
        NULL;
  END;
/

  BEGIN
     INSERT INTO subclass_map
        (subclass_id, object_id)
        (SELECT id, part_table_id
           FROM subclass_table st, part_tables pt
          WHERE st.NAME = 'sBHDaily'
            AND (pt.table_name LIKE '%DBH' OR pt.table_name LIKE '%PABH'));
  EXCEPTION 
     WHEN DUP_VAL_ON_INDEX THEN
        NULL;
  END;
/

  -- -----------------------------------------------------------------------

  UPDATE part_tables SET past_part = 1 WHERE UPPER( table_name ) = 'SA_ARCHIVE';
  
  -- -------------------------------------------------------------------------

  COMMIT;

  -- -------------------------------------------------------------------------

  BEGIN

    init_part_tab ( 'PE_AGENT_LOAD' );
    init_part_tab ( 'PE_PERF_STATS_GENERAL' );
    init_part_tab ( 'PE_PERF_STATS_REPORT' );
    init_part_tab ( 'PE_PERF_STATS_REPORT_STRINGS' );
    init_part_tab ( 'PE_PERF_STATS_REPORT_QUEUE' );
    init_part_tab ( 'PE_PERF_REPORT_DB_STATS' );

  END;
/
  -- -------------------------------------------------------------------------

-- Done!

