-- (#) ./pweb/vendor/EnterpriseTrafficCache/pe_report_result_trigger.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
-- Use an INSTEAD OF TRIGGER to support INSERTION into this view
--
-- SEAde67099 modified to call pe_report_result_2_pm_doc package

CREATE OR REPLACE TRIGGER pe_report_result_to_pm_doc
   INSTEAD OF INSERT OR UPDATE OR DELETE
   ON pe_report_result_doc_vw
   FOR EACH ROW
DECLARE
   integrity_constraint          EXCEPTION;
   PRAGMA EXCEPTION_INIT (integrity_constraint, -2292);
   reportresultid                INTEGER;
   lv_file_id                    pm_file.file_id%TYPE;
   lv_cleanup_time               DATE;
   lv_task_id                    INTEGER;
   lv_job_id                     INTEGER;
   CURSOR cview IS SELECT *  FROM pe_report_result_doc_vw;
   r                     cview%ROWTYPE;
BEGIN
   IF INSERTING THEN
      r.document_id := :NEW.document_id;
      r.report_result_id := :NEW.report_result_id;
      r.folder_id := :NEW.folder_id;
      r.document_type_id := :NEW.document_type_id;
      r.NAME := :NEW.NAME;
      r.focal_entity_name := :NEW.focal_entity_name;
      r.size_in_bytes := :NEW.size_in_bytes;
      r.user_id := :NEW.user_id;
      r.GROUP_ID := :NEW.GROUP_ID;
      r.filename := :NEW.filename;
      r.task_id := :NEW.task_id;
      r.datasource_id := :NEW.datasource_id;
      r.remote_task_id := :NEW.remote_task_id;
      r.report_id := :NEW.report_id;
      r.job_time := :NEW.job_time;
      pe_report_result_2_pm_doc.trig_insert (r);
   ELSIF DELETING THEN
      r.document_id := :OLD.document_id;
      r.report_result_id := :OLD.report_result_id;
      r.folder_id := :OLD.folder_id;
      r.document_type_id := :OLD.document_type_id;
      r.NAME := :OLD.NAME;
      r.focal_entity_name := :OLD.focal_entity_name;
      r.size_in_bytes := :OLD.size_in_bytes;
      r.user_id := :OLD.user_id;
      r.GROUP_ID := :OLD.GROUP_ID;
      r.filename := :OLD.filename;
      r.task_id := :OLD.task_id;
      r.datasource_id := :OLD.datasource_id;
      r.remote_task_id := :OLD.remote_task_id;
      r.report_id := :OLD.report_id;
      pe_report_result_2_pm_doc.trig_delete (r);
   ELSIF UPDATING THEN
      r.document_id := :NEW.document_id;
      r.report_result_id := :NEW.report_result_id;
      r.folder_id := :NEW.folder_id;
      r.document_type_id := :NEW.document_type_id;
      r.NAME := :NEW.NAME;
      r.focal_entity_name := :NEW.focal_entity_name;
      r.size_in_bytes := :NEW.size_in_bytes;
      r.user_id := :NEW.user_id;
      r.GROUP_ID := :NEW.GROUP_ID;
      r.filename := :NEW.filename;
      r.task_id := :NEW.task_id;
      r.datasource_id := :NEW.datasource_id;
      r.remote_task_id := :NEW.remote_task_id;
      r.report_id := :NEW.report_id;
      pe_report_result_2_pm_doc.trig_update (r);
   END IF;
END pe_report_result_to_pm_doc;
/
/
SHOW ERRORS TRIGGER pe_report_result_to_pm_doc;
