CREATE TABLE pe_report_downloads
(
 report_id INTEGER,
 tstamp    DATE,
 user_id   INTEGER
);



CREATE OR REPLACE VIEW field_usage AS
SELECT field_type, entity_name, field_name, count(*) usage
FROM
(
SELECT 'local' field_type, e.entity_name, f.field_name
  FROM
      pe_report_downloads rd,
      pm_report r,
      pe_reportfield rf,
      pe_field f,
      pe_entity e
WHERE
      r.id = rd.report_id
  AND rf.reportspec_id = r.pe_reportspecid
  AND f.field_id = rf.pe_field_id
  AND e.entity_id = f.entity_id
UNION ALL
SELECT 'remote' field_type, e.entity_name, f.field_name
  FROM
      pe_report_downloads rd,
      pm_report r,
      pe_remote_reportfield rf,
      pe_mv_field f,
      pe_mv_entity e
WHERE
      r.id = rd.report_id
  AND rf.reportspec_id = r.pe_reportspecid
  AND f.mv_field_id = rf.mv_field_id
  AND e.mv_entity_id = f.mv_entity_id
)
GROUP BY ROLLUP (field_type, entity_name, field_name)
ORDER BY field_type, entity_name, field_name;

