---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2008,2009. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/pm_language_system_values.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
-- ------------------------------------------------------------------------ 
--                                                                 
-- Desc: Set the system values to the defaults for the various services      
-- impacted by the addition of support for Internationalization in reporting 
-- See SEAde61967                                          
--
-- Author: Ollie Fagan
--
-- Since: 20Jul06                                                       
--                                                                        
-- ------------------------------------------------------------------------
                                                                                 
-- clear out the values first so this can be rerun at any time
DELETE FROM WM_SYSTEM_VALUES_V V WHERE v.name IN 
  ('web.reporting.chart.display.fontname', 'web.reporting.results.download.encoding',
   'web.reporting.results.store.encoding', 'web.myprospect.openpage.encoding');

-- Specify the font which will be used when generating charts from reports.
-- This font does not support Japanese - the user must check the available fonts on
-- the system.
-- NOTE: On Solaris/jdk1.4.2 i.e. AEMS, Gothic supports Japanese text
INSERT INTO WM_SYSTEM_VALUES_V VALUES ('web.reporting.chart.display.fontname', 'Arial');

-- None of these values should need to change on a system
-- Encoding to use when downloading report results to excel/csv
INSERT INTO WM_SYSTEM_VALUES_V VALUES ('web.reporting.results.download.encoding', 'UTF-8');

-- Encoding to use when web report generator is storing results
INSERT INTO WM_SYSTEM_VALUES_V VALUES ('web.reporting.results.store.encoding', 'UTF-16');

-- Encoding to use in MyProspect pages when generating html pages from report results
INSERT INTO WM_SYSTEM_VALUES_V VALUES ('web.myprospect.openpage.encoding', 'UTF-16');
                                  
