---------------------------------------------------------------------------
--
-- Licensed Materials - Property of IBM
-- 5724-T05,5724-T06
--
-- (C) Copyright IBM Corp. 2003,2008. All Rights Reserved.
--
-- US Government Users Restricted Rights - Use, duplication or
-- disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
--
---------------------------------------------------------------------------
-- (#) ./pweb/vendor/EnterpriseTrafficCache/webSchema.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
-- (#) 
--
--
-- Schema to support web components
-- ------------------------------------------------------------------------

CREATE TABLE pw_page_urls
(
  page_url_id            INTEGER NOT NULL,
  user_id                INTEGER NOT NULL,
  ordinal                INTEGER NOT NULL,
  name                   VARCHAR2(64),
  description            VARCHAR2(256),
  report_doc_id          INTEGER NOT NULL,
  use_latest             CHAR(1) NOT NULL,
  url                    VARCHAR2(2048) NOT NULL,
  CONSTRAINT pk_page_urls PRIMARY KEY (page_url_id),
  CONSTRAINT fk_page_urls_uid FOREIGN KEY (user_id) REFERENCES pm_user(id) ON DELETE CASCADE,
  CONSTRAINT fk_page_urls_docid FOREIGN KEY (report_doc_id) REFERENCES pm_document(document_id) ON DELETE CASCADE,
  CONSTRAINT ck_page_urls_latest CHECK (use_latest IN ('Y', 'N'))
);

CREATE SEQUENCE pw_seq_page_urls;

-- Make things unique.
CREATE UNIQUE INDEX pw_idx_page_urls_uidord ON pw_page_urls(user_id, ordinal);

CREATE INDEX pw_idx_page_urls_docid ON pw_page_urls(report_doc_id);
