#---------------------------------------------------------
# (#) ./base/tools/wm_consumer/scripts/modules/wmc_file.pm BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
# COPYRIGHT 2003 WatchMark Corp.
#---------------------------------------------------------
#
package wmc_file;

use wmc_general;

#---------------------------------------------------------------------------
sub open_file($$)
#---------------------------------------------------------------------------
{
   my $XFP   = shift;
   my $xfile = shift;

   open ( $XFP, "< $xfile") or wmc_general::error_out("Cannot open $xfile");
   
   my $fp = *$XFP;
   return $fp;
}

#---------------------------------------------------------------------------
sub close_file($)
#---------------------------------------------------------------------------
{
   my $fp = shift;
   close($fp);
}

#---------------------------------------------------------------------------
sub read_header($)
#---------------------------------------------------------------------------
{
   my $fp = shift;
   my %HdrInfo;

   $HdrInfo{'Name'}    = '';
   $HdrInfo{'Date'}    = '';
   $HdrInfo{'Monitor'} = '';
   $HdrInfo{'Options'} = '';

   while ( <$fp> )
   {
      chomp;
      $xline = $_;

      last if ( $xline =~ /^# EndHeader/ );
      last if ( $xline !~ /^[ 	]*#/ );

      if ( $xline =~ /^# StartHeader/ )
      {
         $within_header = 1;
         next;
      }

      if ( $within_header )
      {
         $xline =~ s/^[ 	]*#[ 	]*//g;
         #$xline =~ s/[ 	]*:[ 	]*//g;
         @axline = split(':', $xline, 2);
         
         if ( defined $axline[0] )
         {
            if ( defined $axline[1] )
            {
               $axline[1] =~ s/^[ 	]*//g;
               $axline[1] =~ s/[ 	]*$//g;
               $HdrInfo{$axline[0]} = $axline[1];
            }
            else
            {
               $HdrInfo{$axline[0]} = '';
            }
         }
      }
      
   }

   return %HdrInfo;

}

1;
