#---------------------------------------------------------
# (#) ./base/tools/wm_consumer/scripts/modules/wmc_oracle.pm BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
# COPYRIGHT 2003 WatchMark Corp.
#---------------------------------------------------------
#
package wmc_oracle;

use wmc_general;
use Env;
use DBI;

my $DELIMITER = '\|';

my $DATE_F1 = "to_date(?,'YYYYMMDD:HH24:MI:SS')";
my $DATE_F2 = "to_date(?,'YYYY/MM/DD HH24:MI:SS')";

my $DB_CONNECT  = $ENV{"DB_CONNECT"} || 'nobody/whatever@nowhere';

#---------------------------------------------------------------------------
sub dbConnect
#---------------------------------------------------------------------------
{

   my $dbh = DBI->connect( 'dbi:Oracle:'
                         , $DB_CONNECT
                         , ''
                        #, { PrintError => 0
                        #  , ora_module_name => "SchemaInf.pm"
                         , { PrintError => 1
                           , AutoCommit => 0
                           , RaiseError => 1
                           }
                         )
             or die "Error: Connect error: ($DBI::errstr).\n";

   return $dbh;

}

#---------------------------------------------------------------------------
sub dbDisconnect($)
#---------------------------------------------------------------------------
{
   my $dbh = shift;
   return $dbh->disconnect;
}

#---------------------------------------------------------------------------
sub prepareInsert($$)
#---------------------------------------------------------------------------
{
   $dbc = shift;
   $insert_stmt = shift;

   $insert_cmnd = $dbc->prepare($insert_stmt);
   return $insert_cmnd;
}

#---------------------------------------------------------------------------
sub insertRecord($$$)
#---------------------------------------------------------------------------
{
   my $xinsert      = shift;
   my $xline        = shift;
   my $field_count  = shift;

   my $param_no  = 0;
   my $field_ctr;

   my @axline = split($DELIMITER, $xline, $field_count);

   for($field_ctr = 0; $field_ctr <= $#axline; $field_ctr++)
   {

      $param_no++;
      $xinsert->bind_param($param_no, $axline[$field_ctr]);
      
   }

   eval { $xinsert->execute; };
   if ( $@ )
   {
      return 0;
   }
   return 1;
}

#---------------------------------------------------------------------------
sub endInsert
#---------------------------------------------------------------------------
{
   $InsertCommand->finish;
}
   
#---------------------------------------------------------------------------
sub finish($$)
#---------------------------------------------------------------------------
{
   my $dbc    = shift;
   my $action = shift;

   if ( $action eq 'COMMIT')
   {
      $dbc->commit;
   }
   elsif ( $action eq 'ROLLBACK' )
   {
      $dbc->rollback;
   }
}
   
1;
