package wmc_site;
#---------------------------------------------------------
# (#) ./base/tools/wm_consumer/scripts/modules/wmc_site.pm BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938
# (#) 
# COPYRIGHT 2003 WatchMark Corp.
#---------------------------------------------------------
#

my $SITEFILE = "SITE_INFO";

use wmc_general;
use DBI;

#---------------------------------------------------------------------------
sub readSiteFile($)
#---------------------------------------------------------------------------
{
   my $site_dir = shift;

   wmc_general::error_out("Cannot access $site_dir/$SITEFILE")
      if ( ! -r "$site_dir/$SITEFILE" );

   my $xline;
   my @axline;

   my %SiteRecord;

   $SiteRecord{"ID"}     = 0;
   $SiteRecord{"NAME"}   = '';
   $SiteRecord{"VENDOR"} = '';
   $SiteRecord{"INFO"}   = '';

   open ( INFILE, "< $site_dir/$SITEFILE");
   while ( <INFILE> )
   {

      chomp;
      $xline = $_;

      $xline =~ s/[ 	]*=[ 	]*/=/g;
      $xline =~ s/^[ 	]*//g;
      $xline =~ s/[ 	]*$//g;

      @axline = split('=', $xline, 2);

      if ( $axline[0] eq 'NAME'   ||
           $axline[0] eq 'VENDOR' ||
           $axline[0] eq 'INFO'
         )
      {
         $SiteRecord{$axline[0]} = $axline[1];
      }

   }

   close(INFILE);
   return %SiteRecord;
}

#---------------------------------------------------------------------------
sub getSiteID($$$)
#---------------------------------------------------------------------------
{

   my $dbc         = shift;
   my $site_name   = shift;
   my $site_vendor = shift;

   my $site_cursor = $dbc->prepare( "select site_id from WMON_SITE"
                                  . " where name = ?"
                                  .   " and vendor = ?"
                                  );

   $site_cursor->bind_param(1, $site_name);
   $site_cursor->bind_param(2, $site_vendor);
   $site_cursor->bind_columns(undef, \$site_id);

   $site_cursor->execute;
   if ( ! $site_cursor->fetch() )
   { 
      $site_id = 0;
   }
   $site_cursor->finish;

   return $site_id;
}

#---------------------------------------------------------------------------
sub createNewSite
#---------------------------------------------------------------------------
{
   my ($dbc, $name, $vendor, $info) = @_;

   my $insert_row = $dbc->prepare( "insert into WMON_SITE (name, vendor, info) "
                                 . "values (?,?,?)"
                                 );
   $insert_row->bind_param(1, $name);
   $insert_row->bind_param(2, $vendor);
   $insert_row->bind_param(3, $info);

   $insert_row->execute;
   $insert_row->finish;

   my $site_id = getSiteID($dbc, $name, $vendor);
   return $site_id;

}

#---------------------------------------------------------------------------
sub getSiteInfo
#---------------------------------------------------------------------------
{
   my ($dbc, $site_dir) = @_;

   my %SiteInfo = readSiteFile($site_dir);
   $SiteInfo{"ID"} = getSiteID($dbc, $SiteInfo{"NAME"}, $SiteInfo{"VENDOR"});

   if ( $SiteInfo{"ID"} == 0 )
   {
      $SiteInfo{"ID"} = createNewSite($dbc, $SiteInfo{"NAME"}
                                          , $SiteInfo{"VENDOR"}
                                          , $SiteInfo{"INFO"}
                                     );
   }

   return %SiteInfo;
}

1;
