CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2003
  -- *** (#) ./base/db/Oracle8i/client/pe_payload_triggers.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938 
  -- *** (#) 
  -- ------------------------------------------------------------------------
PM_report_to_pm_doc
 BEFORE INSERT OR UPDATE OR DELETE
 ON PM_report
FOR EACH ROW
DECLARE
BEGIN
   IF INSERTING THEN
     PM_Doc.add_document(:new.name,
                         :new.folderId,
                         :new.userID,
                         'Report',
                         :new.id,
                         'application/x-watchmark-doc',
                         :new.description);
   ELSIF DELETING then
     pm_doc.delete_document(:old.id, 'Report');
   ELSIF UPDATING then
     -- since this is update, the :old.id and :new.id should be same
     pm_doc.update_document(:new.id,
                            :new.folderID,
                            :new.name,
                            :new.userid,
                            'Report',
                            :new.description);

   END IF;
END PM_report_to_pm_doc;
/
show errors trigger PM_report_to_pm_doc;

CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2003
  -- *** (#) ./base/db/Oracle8i/client/pe_payload_triggers.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938 
  -- *** (#) 
  -- ------------------------------------------------------------------------
rg_schedule_view_to_pm_doc
 INSTEAD OF INSERT OR UPDATE OR DELETE
 ON rg_schedule_view
FOR EACH ROW
BEGIN
   IF INSERTING THEN
 
  /* -- this code is move to trigger on re_schedule
     -- because the :new.id can't be getten  
     -- there are multiple triggers on this view
     -- and the id was generated in other trigger
     -- we have no control which trigger run first
  
     -- code for pm_document table
     PM_Doc.add_document(:new.name,
                         :new.folderId,
                         :new.userID,
                         'Schedule',
                         :new.id);
  */
     NULL;
   ELSIF DELETING then
     pm_doc.delete_document(:old.id, 'Schedule');
   ELSIF UPDATING then
     -- since this is update, the :old.id and :new.id should be same
     pm_doc.update_document(:new.id,
                            :new.folderID,
                            :new.name,
                            :new.userid,
                            'Schedule',
                            :new.description);

   END IF;
END rg_schedule_view_to_pm_doc;
/
show errors trigger rg_schedule_view_to_pm_doc;

CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2003
  -- *** (#) ./base/db/Oracle8i/client/pe_payload_triggers.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938 
  -- *** (#) 
  -- ------------------------------------------------------------------------
re_schedule_to_pm_doc
 BEFORE INSERT OR UPDATE OR DELETE
 ON rg_schedule
 FOR EACH ROW
DECLARE
  vsched_id  schedule.schedule_id%TYPE;
BEGIN
  IF INSERTING THEN

     SELECT schedule_id into vsched_id
       FROM schedule
      WHERE sched_fk=:new.rg_schedule_id;
      
     -- code for pm_document table
     PM_Doc.add_document(:new.name,
                         :new.folderId,
                         :new.userID,
                         'Schedule',
                         vsched_id,
                         'application/x-watchmark-doc',
                         :new.description);
  END IF;

END;
/

CREATE OR REPLACE TRIGGER
  -- ------------------------------------------------------------------------
  --     COPYRIGHT WatchMark Corp 2003
  -- *** (#) ./base/db/Oracle8i/client/pe_payload_triggers.sql BL_core_schema_8.0.7_8.0.7.4.02_20100413  064938 
  -- *** (#) 
  -- ------------------------------------------------------------------------
job_group_to_pm_doc
 BEFORE INSERT OR UPDATE OR DELETE
 ON job_group
 FOR EACH ROW
DECLARE
BEGIN
   IF INSERTING THEN
     
     -- code for pm_document table 
     PM_Doc.add_document(:new.name,
                         :new.folderId,
                         :new.userID,
                         'Report Group',
                         :new.id,
                         'application/x-watchmark-doc',
                         :new.description);
   ELSIF DELETING then
     pm_doc.delete_document(:old.id, 'Report Group');

   ELSIF UPDATING then

     -- since this is update, the :old.id and :new.id should be same
     pm_doc.update_document(:new.id,
                            :new.folderID,
                            :new.name,
                            :new.userid,
                            'Report Group',
                            :new.description);

   END IF;
END job_group_to_pm_doc;
/
show errors trigger PM_rptgrp_to_pm_doc;

